<?php
defined('BASEPATH') OR exit('No direct script access allowed');
date_default_timezone_set("Asia/Kolkata");
// This can be removed if you use __autoload() in config.php OR use Modular Extensions
/** @noinspection PhpIncludeInspection */
require APPPATH . '/libraries/REST_Controller.php';

// use namespace
use Restserver\Libraries\REST_Controller;

class V1 extends REST_Controller{

	function __construct(){	

		parent::__construct();	

		date_default_timezone_set('Asia/Kolkata');
		// Configure limits on our controller methods
	    // Ensure you have created the 'limits' table and enabled 'limits' within application/config/rest.php
	    $this->methods['users_get']['limit'] = 500; // 500 requests per hour per user/key
	    $this->methods['users_post']['limit'] = 100; // 100 requests per hour per user/key
	    $this->methods['users_delete']['limit'] = 50; // 50 requests per hour per user/key

	}

	public function index_get(){

		// Server key from Firebase Console define( 'API_ACCESS_KEY', 'AAAA----FE6F' );
		$data = array("to" => "/topics/all", "notification" => array( "title" => "notification testing", "description" => "testing"));
		$data_string = json_encode($data);
		echo "The Json Data : ".$data_string;
		$headers = array ( 'Authorization: key=AAAAvPiEYX4:APA91bEJhphvoDigryf68Gs1_QZod_PJrgeNTb-XwTG7Ca1-ERheDPvdWF7abUsqcV_4Gev-zWIcQr66_MXXPBNMyoFvebdUsxhCA2VinKaa-ByQI-k4hzZImN61KUFYLISr8TznxheR', 'Content-Type: application/json' );

		//AAAAUZaKdro:APA91bHZt5W-BU6d6TEveHkwoQhUap3gsAzttn8LZQayoMuH--Mj4aC8srJE_44Fr0vzQ1504g8YxSVlO3zYjJu4QOo_X54VbHV-1g9g7Ua4moJqZtgzvmSKcn5b2utl-aUYi811RogW

		$ch = curl_init(); curl_setopt( $ch,CURLOPT_URL, 'https://fcm.googleapis.com/fcm/send' );
		curl_setopt( $ch,CURLOPT_POST, true );
		curl_setopt( $ch,CURLOPT_HTTPHEADER, $headers );
		curl_setopt( $ch,CURLOPT_RETURNTRANSFER, true );
		curl_setopt( $ch,CURLOPT_POSTFIELDS, $data_string);
		$result = curl_exec($ch);
		curl_close ($ch);
		echo "<p>&nbsp;</p>";
		echo "The Result : ".$result;

		//$this->response(array('status'=>false,'message'=>"GET Method Not Allowed.","code"=>"401","data"=>null), REST_Controller::HTTP_BAD_REQUEST);
	}

	public function index_post(){		
		
	}				
}
?>