<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Cart_model extends CI_Model {   


    public function getCartDetails($cid){

        $sql = "SELECT * 
                FROM cart
                WHERE id = '".$cid."'
                AND status = 'ACTIVE'";
        return $this->db->query($sql)->result_array();        

    }

    public function getMyCartList($uid,$limit=null){

    	$limitQ = '';
    	if(isset($limit) && $limit!=null && $limit!=''){
    		$limitQ.= 'LIMIT 0,'.$limit;
    	}

        $sql = "SELECT C.*, P.product_code, P.product_name, P.product_price, P.discount_price, P.sku_number, P.product_description, P.in_stock 
                FROM cart AS C
                JOIN products AS P 
                ON C.product_id = P.id
                WHERE C.status = 'ACTIVE'
                AND C.user_id = '".$uid."'
                ORDER BY C.id ASC
                {$limitQ}";
        return $this->db->query($sql)->result_array();        

    }

    public function getSameProductCartList($uid,$pid,$product_price_id,$price_qty,$price_unit_name){

        $sql = "SELECT *
        		FROM cart
                WHERE user_id = '".$uid."'
                AND product_id = '".$pid."'
                AND product_price_id = '".$product_price_id."'
                AND price_qty = '".$price_qty."'
                AND price_unit_name = '".$price_unit_name."'
                AND status = 'ACTIVE'
                ORDER BY id ASC";
        return $this->db->query($sql)->result_array();        

    }

    public function updateCart($cartid,$dataArr){

    	$whereArray = array('id'=>$cartid);

        $this->db->where($whereArray);
        if( $this->db->update('cart',$dataArr))
        {
            return true;
        }
        else
        {
            return false;
        }
    }

    public function insertCart($dataArr){

        $now = date("Y-m-d H:i:s");

        $this->db->insert('cart', $dataArr);

        if($this->db->insert_id()>0){
            return $this->db->insert_id();
        }else{
            return false;
        }
    }
       
}
?>