<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Order_model extends CI_Model {   


    // public function getCartDetails($cid){

    //     $sql = "SELECT * 
    //             FROM cart
    //             WHERE id = '".$cid."'
    //             AND ACTIVE = 'ACTIVE'";
    //     return $this->db->query($sql)->result_array();        

    // }

    public function getMyOrderList($uid,$limit=null){

        $limitQ = '';
        if(isset($limit) && $limit!=null && $limit!=''){
            $limitQ.= 'LIMIT 0,'.$limit;
        }

        $sql = "SELECT O.*, P.product_code, P.product_name, P.product_price, P.discount_price, P.sku_number, P.product_description, P.in_stock 
                FROM orders AS O
                JOIN products AS P 
                ON O.product_id = P.id
                WHERE O.pay_status = 'SUCCESS'
                AND O.user_id = '".$uid."'
                ORDER BY O.id DESC
                {$limitQ}";
        return $this->db->query($sql)->result_array();        

    }

    
    public function updateOrder($oid,$dataArr){

    	$whereArray = array('id'=>$oid);

        $this->db->where($whereArray);
        if( $this->db->update('orders',$dataArr))
        {
            return true;
        }
        else
        {
            return false;
        }
    }

    public function insertOrder($dataArr){

        $now = date("Y-m-d H:i:s");

        $this->db->insert('orders', $dataArr);

        if($this->db->insert_id()>0){
            return $this->db->insert_id();
        }else{
            return false;
        }
    }
       
}
?>