<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Products_model extends CI_Model {   

    public function getProductCategoryList(){

        $sql = "SELECT * 
                FROM product_category 
                WHERE status = 'ACTIVE'
                ORDER BY id ASC";
        return $this->db->query($sql)->result_array();        

    }

    public function getProductCategoryDetails($categorykey){

        //$categoryName = str_replace('-', ' ', $categoryName);

        $sql = "SELECT * 
                FROM product_category 
                WHERE status = 'ACTIVE'
                AND categorykey = '".$categorykey."'
                ORDER BY id ASC";
        return $this->db->query($sql)->result_array();        

    }

    public function getProductListAll(){

        $sql = "SELECT P.*, PC.category, PC.categorykey  
                FROM products AS P
                JOIN product_category AS PC
                ON P.category_id = PC.id 
                WHERE P.status = 'ACTIVE'
                ORDER BY P.id DESC";
        return $this->db->query($sql)->result_array();        

    }

    public function getTopProductListAll(){

        $sql = "SELECT P.*, PC.category, PC.categorykey  
                FROM products AS P
                JOIN product_category AS PC
                ON P.category_id = PC.id 
                WHERE P.status = 'ACTIVE'
                AND P.top_product = 'YES'
                ORDER BY P.id DESC";
        return $this->db->query($sql)->result_array();        

    }

    public function getProductList($categoryId){

        $sql = "SELECT P.*, PC.category 
                FROM products AS P
                JOIN product_category AS PC
                ON P.category_id = PC.id 
                WHERE P.status = 'ACTIVE'
                AND P.category_id = '".$categoryId."'
                ORDER BY P.id DESC";
        return $this->db->query($sql)->result_array();        

    }

    public function getProductDetails($pId){

        $sql = "SELECT P.*, PC.category, PC.categorykey 
                FROM products AS P
                JOIN product_category AS PC
                ON P.category_id = PC.id 
                WHERE P.status = 'ACTIVE'
                AND P.id = '".$pId."'
                ORDER BY P.id DESC";
        return $this->db->query($sql)->result_array();

    } 

    public function getProductImage($pId){

        $sql = "SELECT * 
                FROM product_image 
                WHERE status = 'ACTIVE'
                AND product_id = '".$pId."'
                ORDER BY id ASC
                LIMIT 0,1";
        return $this->db->query($sql)->result_array();        

    }

    public function getProductImageAll($pId){

        $sql = "SELECT * 
                FROM product_image 
                WHERE status = 'ACTIVE'
                AND product_id = '".$pId."'
                ORDER BY id ASC";
        return $this->db->query($sql)->result_array();        

    }

    public function getProductPrices($pId){

        $sql = "SELECT * 
                FROM product_price 
                WHERE status = 'ACTIVE'
                AND product_id = '".$pId."'
                ORDER BY ordering ASC";
        return $this->db->query($sql)->result_array();        

    }

}
?>