<?php
defined('BASEPATH') OR exit('No direct script access allowed');
date_default_timezone_set("Asia/Kolkata");
class Products extends CI_Controller {

	function __construct()
	{

		parent::__construct();

		$checkuservars = $this->session->userdata;
                
        if((!isset($checkuservars['usertype']) || $checkuservars['usertype']!="SUPERADMIN") && (!isset($checkuservars['usertype']) || $checkuservars['usertype']!="ADMIN")){
        	redirect('login/logout/'); 
        }	
	}

	public function index()
	{
		$data = array();
		
		$this->load->model('Product_management');
		$data['product_list'] = $this->Product_management->getProductList();

		
		$this->load->view('product_list',$data);
	}

	public function add()
	{

		$data = array();
		$this->load->model('Product_management');

		if(isset($_POST['category_id']) && $_POST['category_id']!='' && isset($_POST['product_code']) && $_POST['product_code']!=''){
			
			
			
			$category_id = isset($_POST['category_id']) ? $_POST['category_id'] : '';
			$product_code = isset($_POST['product_code']) ? $_POST['product_code'] : '';			

			$valids_pcode = $this->Product_management->productCodeExists($product_code);
			if(isset($valids_pcode) && count($valids_pcode)>0){
				$this->session->set_flashdata('error', 'Product Code Already Exists.');
			}else{
				$product_name = isset($_POST['product_name']) ? $_POST['product_name'] : '';
				$product_price = isset($_POST['product_price']) ? $_POST['product_price'] : '';
				$discount_price = isset($_POST['discount_price']) ? $_POST['discount_price'] : '';
				$sku_number = isset($_POST['sku_number']) ? $_POST['sku_number'] : '';
				$product_description = isset($_POST['product_description']) ? $_POST['product_description'] : '';
				$in_stock = isset($_POST['in_stock']) ? $_POST['in_stock'] : '';
				$top_product = isset($_POST['top_product']) ? $_POST['top_product'] : 'NO';

				$created_id = $_SESSION['userid'];
				$created_on = date('Y-m-d H:i:s');
				$status = 'ACTIVE';
				
				$productArr = array(
									'category_id' => $category_id,
									'product_code' => $product_code,
									'product_name' => $product_name,
									'product_price' => $product_price,
									'discount_price' => $discount_price,
									'sku_number' => $sku_number,
									'product_description' => $product_description,
									'in_stock' => $in_stock,
									'created_id' => $created_id,
									'created_on' => $created_on,
									'status' => $status,
									'top_product' => $top_product
								);
				
				$xx = $this->Product_management->insertProduct($productArr);	
				if($xx>0){
					
					//Insert Product Price
					$priceArr = array();
					if(isset($_POST['qty']) && count($_POST['qty'])>0 && isset($_POST['unit_id']) && count($_POST['unit_id'])>0 && isset($_POST['mrp']) && count($_POST['mrp'])>0 && isset($_POST['final_price']) && count($_POST['final_price'])>0){
						foreach ($_POST['qty'] as $pkey => $pvalue) {
							
							$priceArr[$pkey]['product_id'] = $xx;
							$priceArr[$pkey]['qty'] = $pvalue;
							$priceArr[$pkey]['unit_id'] = (isset($_POST['unit_id'][$pkey]) && $_POST['unit_id'][$pkey]!='') ? $_POST['unit_id'][$pkey] : 0;

							$unitDetails = $this->Product_management->getUnitDetails('ACTIVE',$priceArr[$pkey]['unit_id']);

							$priceArr[$pkey]['unit_name'] = (isset($unitDetails[0]['unit_name']) && $unitDetails[0]['unit_name']!='') ? $unitDetails[0]['unit_name'] : '';
							$priceArr[$pkey]['mrp'] = (isset($_POST['mrp'][$pkey]) && $_POST['mrp'][$pkey]!='') ? $_POST['mrp'][$pkey] : 0;
							$priceArr[$pkey]['discount'] = (isset($_POST['discount'][$pkey]) && $_POST['discount'][$pkey]!='') ? $_POST['discount'][$pkey] : 0;
							$priceArr[$pkey]['final_price'] = (isset($_POST['final_price'][$pkey]) && $_POST['final_price'][$pkey]!='') ? $_POST['final_price'][$pkey] : 0;
							$priceArr[$pkey]['created_id'] = $created_id;
							$priceArr[$pkey]['created_on'] = $created_on;
							$priceArr[$pkey]['status'] = $status;
						}

					}
					if(isset($priceArr) && count($priceArr)>0){
						foreach ($priceArr as $pakey => $pavalue) {
							$this->Product_management->insertProductPrice($pavalue);
						}
					}
					// end product Price
					/////////insert project image
					$projectimageArr = array();
					
					if(isset($_FILES['image']['name']) && count($_FILES['image']['name'])>0){
						foreach ($_FILES['image']['name'] as $pkey => $pvalue) {

							///file upload
								
								$errors= array();
								$file_name = isset($_FILES['image']['name'][$pkey]) ? $_FILES['image']['name'][$pkey] : '';
								$file_size = isset($_FILES['image']['size'][$pkey]) ? $_FILES['image']['size'][$pkey] : '';
								$file_tmp = isset($_FILES['image']['tmp_name'][$pkey]) ? $_FILES['image']['tmp_name'][$pkey] : '';
								$file_type = isset($_FILES['image']['type'][$pkey]) ? $_FILES['image']['type'][$pkey] : '';
								//$file_ext=strtolower(end(explode('.',$_FILES['attached_doc_name']['name'][$pkey])));

								//$expensions= array("pdf");

								$new_file_name = $file_name;
								/*if(in_array($file_ext,$expensions)=== false){
								 $errors[]="extension not allowed, please choose a JPEG or PNG file.";
								}*/

								/*if($file_size > 2097152){
								 $errors[]='File size must be excately 2 MB';
								}*/
								//var_dump($new_file_name);

								if(empty($errors)==true && $new_file_name!=''){
									move_uploaded_file($file_tmp,"assets/productimages/".$new_file_name);
								}
							// end file upload
							$projectimageArr[$pkey]['image'] = $new_file_name;
							$projectimageArr[$pkey]['product_id'] = $xx;
							$projectimageArr[$pkey]['created_on'] = $created_on;
							$projectimageArr[$pkey]['created_id'] = $created_id;
							$projectimageArr[$pkey]['status'] = $status;
						}
					}
					if(isset($projectimageArr) && count($projectimageArr)>0){
						foreach ($projectimageArr as $ppkey => $ppvalue) {
							
							$this->Product_management->insertProductImage($ppvalue);
						}
					}
					$this->session->set_flashdata('success', 'Product has been added successfully.');
					redirect('products');

				}else{
					$this->session->set_flashdata('error', 'Something went wrong, Please try again after sometime.');
				}
			}		
			
		}

		$this->load->library('ckeditor');
        $this->load->library('ckfinder');
     
        $this->ckeditor->basePath = base_url().'assets/ckeditor/';
        
        $this->ckeditor->config['toolbar'] = array(array( 'Source', '-', 'Bold', 'Italic', 'Underline', '-','Cut','Copy','Paste','PasteText','PasteFromWord','-','Undo','Redo','-','NumberedList','BulletedList', 'Image','Flash', 'Table', 'HorizontalRule', 'Smiley', 'SpecialChar', 'PageBreak', 'Iframe','JustifyLeft', 'JustifyCenter', 'JustifyRight', 'JustifyBlock','-', 'BidiLtr', 'BidiRtl', 'Language','Strike', 'Subscript', 'Superscript', '-', 'RemoveFormat','Link', 'Unlink', 'Anchor','Styles', 'Format', 'Font', 'FontSize','alert', 'prompt', 'confirm', 'applet', 'audio', 'basefont', 'base', 'behavior', 'bgsound','blink', 'body', 'embed', 'expression', 'form','frameset', 'frame', 'head', 'html', 'ilayer', 'input', 'button', 'select', 'isindex', 'layer', 'meta', 'keygen', 'object','plaintext', 'style', 'script', 'textarea', 'title', 'math', 'video', 'svg', 'xml', 'xss','on\w+', 'style', 'xmlns', 'formaction', 'form', 'xlink:href', 'FSCommand', 'seekSegmentTime','find','Replace', 'selection', 'spellchecker','mode', 'document', 'doctools','basicstyles', 'cleanup','list', 'indent', 'blocks', 'align', 'bidi','NewPage', 'Preview', 'Print', '-', 'Templates','clipboard','links','TextColor', 'BGColor', 'Maximize', 'ShowBlocks','SelectAll','Checkbox','Radio','TextField','ImageButton','HiddenField','CopyFormatting','BulletedList', '-', 'Outdent', 'Indent', '-', 'Blockquote', 'CreateDiv', '-','About' ));  


        $this->ckeditor->config['language'] = 'en';
        $this->ckeditor->config['width'] = '692px';
        $this->ckeditor->config['height'] = '200px';            

        
        //Add Ckfinder to Ckeditor
        $this->ckfinder->SetupCKEditor($this->ckeditor,'../assets/ckfinder/');
		
		$data['cat_list'] = $this->Product_management->getProductCategoryList('ACTIVE');
		$data['unit_list'] = $this->Product_management->getUnitList('ACTIVE');

		$this->load->view('product_add',$data);
	}

	public function edit()
	{

		$data = array();
		$this->load->model('Product_management');
		
		$pId = $this->uri->segment('3');

		if(isset($_POST['category_id']) && $_POST['category_id']!='' && isset($_POST['product_code']) && $_POST['product_code']!=''){

			$category_id = isset($_POST['category_id']) ? $_POST['category_id'] : '';
			$product_code = isset($_POST['product_code']) ? $_POST['product_code'] : '';			

			$valids_pcode = $this->Product_management->productCode_edit($pId,$product_code);
			// echo "<pre>";
			// var_dump($valids_title);
			// die();
			if(isset($valids_pcode) && count($valids_pcode)>0){
				$this->session->set_flashdata('error', 'Product Code Already Exists.');
			}else{
				
				$product_name = isset($_POST['product_name']) ? $_POST['product_name'] : '';
				$product_price = isset($_POST['product_price']) ? $_POST['product_price'] : '';
				$discount_price = isset($_POST['discount_price']) ? $_POST['discount_price'] : '';
				$sku_number = isset($_POST['sku_number']) ? $_POST['sku_number'] : '';
				$product_description = isset($_POST['product_description']) ? $_POST['product_description'] : '';
				$in_stock = isset($_POST['in_stock']) ? $_POST['in_stock'] : '';
				$top_product = isset($_POST['top_product']) ? $_POST['top_product'] : 'NO';

				$created_id = $_SESSION['userid'];
				$created_on = date('Y-m-d H:i:s');
				$status = 'ACTIVE';
				
				$pArr = array(
							'category_id' => $category_id,
							'product_code' => $product_code,
							'product_name' => $product_name,
							'product_price' => $product_price,
							'discount_price' => $discount_price,
							'sku_number' => $sku_number,
							'product_description' => $product_description,
							'in_stock' => $in_stock,
							'top_product' => $top_product
						);
				
				$xx = $this->Product_management->updateProduct($pId,$pArr);	
				if($xx==true){
					
					/////////insert project image
					// $pImage = array(
					// 			'status' => 'DELETED'
					// 		  );
					// $this->Product_management->updateProductImage($pId,$pImage);

					// $projectimageArr = array();
					// if(isset($_FILES['image']['name']) && count($_FILES['image']['name'])>0){
					// 	foreach ($_FILES['image']['name'] as $pkey => $pvalue) {

					// 		///file upload
								
					// 			$errors= array();
					// 			$file_name = isset($_FILES['image']['name'][$pkey]) ? $_FILES['image']['name'][$pkey] : '';
					// 			$file_size = isset($_FILES['image']['size'][$pkey]) ? $_FILES['image']['size'][$pkey] : '';
					// 			$file_tmp = isset($_FILES['image']['tmp_name'][$pkey]) ? $_FILES['image']['tmp_name'][$pkey] : '';
					// 			$file_type = isset($_FILES['image']['type'][$pkey]) ? $_FILES['image']['type'][$pkey] : '';
					// 			//$file_ext=strtolower(end(explode('.',$_FILES['attached_doc_name']['name'][$pkey])));

					// 			//$expensions= array("pdf");

					// 			$new_file_name = $file_name;
					// 			/*if(in_array($file_ext,$expensions)=== false){
					// 			 $errors[]="extension not allowed, please choose a JPEG or PNG file.";
					// 			}*/

					// 			/*if($file_size > 2097152){
					// 			 $errors[]='File size must be excately 2 MB';
					// 			}*/

					// 			if(empty($errors)==true && $new_file_name!=''){
					// 				move_uploaded_file($file_tmp,"assets/productimages/".$new_file_name);
					// 			}
					// 		// end file upload
					// 		$projectimageArr[$pkey]['image'] = $new_file_name;
					// 		$projectimageArr[$pkey]['product_id'] = $xx;
					// 		$projectimageArr[$pkey]['created_on'] = $created_on;
					// 		$projectimageArr[$pkey]['created_id'] = $created_id;
					// 		$projectimageArr[$pkey]['status'] = $status;
					// 	}
					// }
					// if(isset($projectimageArr) && count($projectimageArr)>0){
					// 	foreach ($projectimageArr as $ppkey => $ppvalue) {
							
					// 		$this->Product_management->insertProductImage($ppvalue);
					// 	}
					// }

					$this->session->set_flashdata('success', 'Product has been updated successfully.');
					redirect('products');

				}else{
					$this->session->set_flashdata('error', 'Something went wrong, Please try again after sometime.');
				}
			}		
			
		}

		$this->load->library('ckeditor');
        $this->load->library('ckfinder');
     
        $this->ckeditor->basePath = base_url().'assets/ckeditor/';
        
        $this->ckeditor->config['toolbar'] = array(array( 'Source', '-', 'Bold', 'Italic', 'Underline', '-','Cut','Copy','Paste','PasteText','PasteFromWord','-','Undo','Redo','-','NumberedList','BulletedList', 'Image','Flash', 'Table', 'HorizontalRule', 'Smiley', 'SpecialChar', 'PageBreak', 'Iframe','JustifyLeft', 'JustifyCenter', 'JustifyRight', 'JustifyBlock','-', 'BidiLtr', 'BidiRtl', 'Language','Strike', 'Subscript', 'Superscript', '-', 'RemoveFormat','Link', 'Unlink', 'Anchor','Styles', 'Format', 'Font', 'FontSize','alert', 'prompt', 'confirm', 'applet', 'audio', 'basefont', 'base', 'behavior', 'bgsound','blink', 'body', 'embed', 'expression', 'form','frameset', 'frame', 'head', 'html', 'ilayer', 'input', 'button', 'select', 'isindex', 'layer', 'meta', 'keygen', 'object','plaintext', 'style', 'script', 'textarea', 'title', 'math', 'video', 'svg', 'xml', 'xss','on\w+', 'style', 'xmlns', 'formaction', 'form', 'xlink:href', 'FSCommand', 'seekSegmentTime','find','Replace', 'selection', 'spellchecker','mode', 'document', 'doctools','basicstyles', 'cleanup','list', 'indent', 'blocks', 'align', 'bidi','NewPage', 'Preview', 'Print', '-', 'Templates','clipboard','links','TextColor', 'BGColor', 'Maximize', 'ShowBlocks','SelectAll','Checkbox','Radio','TextField','ImageButton','HiddenField','CopyFormatting','BulletedList', '-', 'Outdent', 'Indent', '-', 'Blockquote', 'CreateDiv', '-','About' ));  


        $this->ckeditor->config['language'] = 'en';
        $this->ckeditor->config['width'] = '692px';
        $this->ckeditor->config['height'] = '200px';            

        
        //Add Ckfinder to Ckeditor
        $this->ckfinder->SetupCKEditor($this->ckeditor,'../assets/ckfinder/');
		
		$data['cat_list'] = $this->Product_management->getProductCategoryList('ACTIVE');
		$data['product_details'] = $this->Product_management->getProductDetails($pId);
		$data['product_img_details'] = $this->Product_management->getProductImageDetails($pId);
		
		$this->load->view('product_edit',$data);
	}

	public function addimages()
	{

		$data = array();
		$this->load->model('Product_management');
		
		$pId = $this->uri->segment('3');

		if(isset($_FILES['image']['name']) && count($_FILES['image']['name'])>0){
			
			
			/////////insert project image
			$projectimageArr = array();
			
			if(isset($_FILES['image']['name']) && count($_FILES['image']['name'])>0){
				$created_id = $_SESSION['userid'];
				$created_on = date('Y-m-d H:i:s');
				$status = 'ACTIVE';
				foreach ($_FILES['image']['name'] as $pkey => $pvalue) {

					///file upload
						
					$errors= array();
					$file_name = isset($_FILES['image']['name'][$pkey]) ? $_FILES['image']['name'][$pkey] : '';
					$file_size = isset($_FILES['image']['size'][$pkey]) ? $_FILES['image']['size'][$pkey] : '';
					$file_tmp = isset($_FILES['image']['tmp_name'][$pkey]) ? $_FILES['image']['tmp_name'][$pkey] : '';
					$file_type = isset($_FILES['image']['type'][$pkey]) ? $_FILES['image']['type'][$pkey] : '';
					//$file_ext=strtolower(end(explode('.',$_FILES['attached_doc_name']['name'][$pkey])));

					//$expensions= array("pdf");

					$new_file_name = $file_name;
					/*if(in_array($file_ext,$expensions)=== false){
					 $errors[]="extension not allowed, please choose a JPEG or PNG file.";
					}*/

					/*if($file_size > 2097152){
					 $errors[]='File size must be excately 2 MB';
					}*/
					//var_dump($new_file_name);

					if(empty($errors)==true && $new_file_name!=''){
						move_uploaded_file($file_tmp,"assets/productimages/".$new_file_name);
					}
					// end file upload
					$projectimageArr[$pkey]['image'] = $new_file_name;
					$projectimageArr[$pkey]['product_id'] = $pId;
					$projectimageArr[$pkey]['created_on'] = $created_on;
					$projectimageArr[$pkey]['created_id'] = $created_id;
					$projectimageArr[$pkey]['status'] = $status;
				}
			}
			if(isset($projectimageArr) && count($projectimageArr)>0){
				foreach ($projectimageArr as $ppkey => $ppvalue) {
					
					$this->Product_management->insertProductImage($ppvalue);
				}
			}
			$this->session->set_flashdata('success', 'Product Images has been added successfully.');
			redirect('products');		
			
		}
		
		
		$this->load->view('product_add_images',$data);
	}

	public function images()
	{
		$data = array();
		$pId = $this->uri->segment('3');

		$this->load->model('Product_management');
		$data['product_images'] = $this->Product_management->getProductImageDetails($pId);

		
		$this->load->view('product_images',$data);
	}

	public function deleteimage()
	{

		$data = array();
		$this->load->model('Product_management');
		
		$pImageId = $this->uri->segment('3');
		$pId = $this->uri->segment('4');

		if(isset($pImageId) && $pImageId!=''){

			
				$status = 'DELETED';
				
				$pArr = array(
							'status' => $status
						);
				
					
				/////////insert project image
				$pImage = array(
							'status' => 'DELETED'
						  );
				$this->Product_management->updateProductImage($pImageId,$pImage);

				$projectimageArr = array();
				
				$this->session->set_flashdata('success', 'Image has been deleted successfully.');
				redirect('products/images/'.$pId);
	
		}
		
	}

	public function prices()
	{
		$data = array();
		$pId = $this->uri->segment('3');

		$this->load->model('Product_management');
		$data['product_prices'] = $this->Product_management->getPrices('ACTIVE',$pId);

		
		$this->load->view('product_prices',$data);
	}

	public function priceadd()
	{

		$data = array();
		$this->load->model('Product_management');
		$pId = $this->uri->segment('3');

		if(isset($_POST['qty']) && $_POST['qty']!='' && isset($_POST['unit_id']) && $_POST['unit_id']!='' && isset($_POST['mrp']) && $_POST['mrp']!='' && isset($_POST['final_price']) && $_POST['final_price']!='' && $pId!=''){
			
			
			$qty = isset($_POST['qty']) ? $_POST['qty'] : '';
			$unit_id = isset($_POST['unit_id']) ? $_POST['unit_id'] : '';

			$unitDetails = $this->Product_management->getUnitDetails('ACTIVE',$unit_id);

			$unit_name = (isset($unitDetails[0]['unit_name']) && $unitDetails[0]['unit_name']!='') ? $unitDetails[0]['unit_name'] : '';

			$unit_name = isset($unit_name) ? $unit_name : '';
			$mrp = isset($_POST['mrp']) ? $_POST['mrp'] : '';
			$discount = isset($_POST['discount']) ? $_POST['discount'] : '';
			$final_price = isset($_POST['final_price']) ? $_POST['final_price'] : '';

			$created_id = $_SESSION['userid'];
			$created_on = date('Y-m-d H:i:s');
			$status = 'ACTIVE';
			
			$priceArr = array(
								'product_id' => $pId,
								'qty' => $qty,
								'unit_id' => $unit_id,
								'unit_name' => $unit_name,
								'mrp' => $mrp,
								'discount' => $discount,
								'final_price' => $final_price,
								'created_id' => $created_id,
								'created_on' => $created_on,
								'status' => $status
							);
			
			$xx = $this->Product_management->insertProductPrice($priceArr);	
			if($xx>0){
				
				$this->session->set_flashdata('success', 'Price has been added successfully.');
				redirect('products/prices/'.$pId);

			}else{
				$this->session->set_flashdata('error', 'Something went wrong, Please try again after sometime.');
			}	
			
		}
		
		$data['unit_list'] = $this->Product_management->getUnitList('ACTIVE');

		$this->load->view('product_price_add',$data);
	}

	public function priceedit()
	{

		$data = array();
		$this->load->model('Product_management');
		$pPriceId = $this->uri->segment('3');
		$pId = $this->uri->segment('4');

		if(isset($_POST['qty']) && $_POST['qty']!='' && isset($_POST['unit_id']) && $_POST['unit_id']!='' && isset($_POST['mrp']) && $_POST['mrp']!='' && isset($_POST['final_price']) && $_POST['final_price']!='' && $pId!='' && $pPriceId){
			
			
			$qty = isset($_POST['qty']) ? $_POST['qty'] : '';
			$unit_id = isset($_POST['unit_id']) ? $_POST['unit_id'] : '';

			$unitDetails = $this->Product_management->getUnitDetails('ACTIVE',$unit_id);

			$unit_name = (isset($unitDetails[0]['unit_name']) && $unitDetails[0]['unit_name']!='') ? $unitDetails[0]['unit_name'] : '';

			$unit_name = isset($unit_name) ? $unit_name : '';
			$mrp = isset($_POST['mrp']) ? $_POST['mrp'] : '';
			$discount = isset($_POST['discount']) ? $_POST['discount'] : '';
			$final_price = isset($_POST['final_price']) ? $_POST['final_price'] : '';			

			
			$priceArr = array(
								'product_id' => $pId,
								'qty' => $qty,
								'unit_id' => $unit_id,
								'unit_name' => $unit_name,
								'mrp' => $mrp,
								'discount' => $discount,
								'final_price' => $final_price
							);
			
			$xx = $this->Product_management->updateProductPrice($pPriceId,$priceArr);	
			if($xx==true){
				
				$this->session->set_flashdata('success', 'Price has been updated successfully.');
				redirect('products/prices/'.$pId);

			}else{
				$this->session->set_flashdata('error', 'Something went wrong, Please try again after sometime.');
			}	
			
		}
		
		$data['price_details'] = $this->Product_management->getproductPriceDetails($pPriceId);
		$data['unit_list'] = $this->Product_management->getUnitList('ACTIVE');
		
		$this->load->view('product_price_edit',$data);
		
	}

	public function deleteprice()
	{

		$data = array();
		$this->load->model('Product_management');
		
		$pPriceId = $this->uri->segment('3');
		$pId = $this->uri->segment('4');

		if(isset($pPriceId) && $pPriceId!=''){

			
				/////////update project price
				$pPrice = array(
							'status' => 'DELETED'
						  );
				$this->Product_management->updateProductPrice($pPriceId,$pPrice);

				$this->session->set_flashdata('success', 'Price has been deleted successfully.');
				redirect('products/prices/'.$pId);
	
		}
		
	}

	public function deletepro()
	{

		$data = array();
		$this->load->model('Product_management');
		
		$pId = $this->uri->segment('3');

		if(isset($pId) && $pId!=''){

			
				$status = 'DELETED';
				
				$pArr = array(
							'status' => $status
						);
				
					
				/////////insert project image
				$pData = array(
							'status' => 'DELETED'
						  );
				$this->Product_management->updateProduct($pId,$pData);

				
				$this->session->set_flashdata('success', 'Product has been deleted successfully.');
				redirect('products');
	
		}
		
	}



	public function cat()
	{
		$data = array();
		
		$this->load->model('Product_management');
		$data['cat_list'] = $this->Product_management->getProductCategoryList();

		
		$this->load->view('product_cat_list',$data);
	}

	public function catadd()
	{

		$data = array();
		$this->load->model('Product_management');
		
		if(isset($_POST['category']) && $_POST['category']!=''){
			
			
			$category = isset($_POST['category']) ? $_POST['category'] : '';
			$catlower = strtolower($category);			
			$categorykey = str_replace(' ', '-', $catlower);
			$valids_category = $this->Product_management->productCategoryExists($category);
			if(isset($valids_category) && count($valids_category)>0){
				$this->session->set_flashdata('error', 'Category Already Exists.');
			}else{
				$created_id = $_SESSION['userid'];
				$created_on = date('Y-m-d H:i:s');
				$status = 'ACTIVE';
				
				$categoryArr = array(
									'category' => $category,
									'categorykey' => $categorykey,
									'created_id' => $created_id,
									'created_on' => $created_on,
									'status' => $status
								);
				
				$xx = $this->Product_management->insertProductCategory($categoryArr);	
				if($xx>0){
					
					$this->session->set_flashdata('success', 'Category has been added successfully.');
					redirect('products/cat');

				}else{
					$this->session->set_flashdata('error', 'Something went wrong, Please try again after sometime.');
				}
			}		
			
		}
		

		$this->load->view('product_cat_add',$data);
	}

	public function catedit()
	{

		$data = array();
		$this->load->model('Product_management');
		
		$catId = $this->uri->segment('3');

		if(isset($_POST['category']) && $_POST['category']!=''){
			
			
			$category = isset($_POST['category']) ? $_POST['category'] : '';			

			$valids_cat = $this->Product_management->productCategory_edit($catId,$category);
			// echo "<pre>";
			// var_dump($valids_title);
			// die();
			if(isset($valids_cat) && count($valids_cat)>0){
				$this->session->set_flashdata('error', 'Category Already Exists.');
			}else{
				
				$catlower = strtolower($category);			
				$categorykey = str_replace(' ', '-', $catlower);

				$categoryArr = array(
									'category' => $category,
									'categorykey' => $categorykey
								);
				
				$xx = $this->Product_management->updateProductCategory($catId,$categoryArr);	
				if($xx==true){
					
					$this->session->set_flashdata('success', 'Category has been updated successfully.');
					redirect('products/cat');

				}else{
					$this->session->set_flashdata('error', 'Something went wrong, Please try again after sometime.');
				}
			}		
			
		}
		
		$data['cat_details'] = $this->Product_management->getproductCategoryDetails($catId);
		
		$this->load->view('product_cat_edit',$data);
	}

	public function deletecat()
	{

		$data = array();
		$this->load->model('Product_management');
		
		$cId = $this->uri->segment('3');

		if(isset($cId) && $cId!=''){

			
				$status = 'DELETED';
				
				$pArr = array(
							'status' => $status
						);
				
					
				/////////insert project image
				$cData = array(
							'status' => 'DELETED'
						  );
				$this->Product_management->updateProductCategory($cId,$cData);

				
				$this->session->set_flashdata('success', 'Category has been deleted successfully.');
				redirect('products/cat');
	
		}
		
	}

}
