<?php

if ( ! defined('BASEPATH')) exit('No direct script access allowed');

require_once dirname(__FILE__).'/tcpdf/tcpdf.php';

class Pdfcustom extends TCPDF
{
	function __construct()
	{
		parent::__construct();
	}


	 //Page header
    public function Header() {
        // Logo
        $image_file = 'https://ceebeedesignstudio.com/ceebeecms/assets/images/logo.png';
        
        //$this->Image($image_file, 10, 10, 15, '', 'PNG', '', 'T', false, 300, '', false, false, 0, false, false, false);

        // Image($file, $x='', $y='', $w=0, $h=0, $type='', $link='', $align='', $resize=false, $dpi=300, $palign='', $ismask=false, $imgmask=false, $border=0, $fitbox=false, $hidden=false, $fitonpage=false)


        $this->Image($image_file, 10, 10, 25, 25, 'PNG', false, 'R', false, 300, 'R', false, false, 0, false, false, false);

        // Set font
        //$this->SetFont('helvetica', 'B', 20);
        // Title
        //$this->Cell(0, 15, '', 0, false, 'C', 0, '', 0, false, 'M', 'M');
    }

    // Page footer
    public function Footer() {
        // Position at 15 mm from bottom
        $this->SetY(-25);
        // Set font
        $this->SetFont('helvetica', '', 8);
        // Page number
//         $html=<<<EOT
//         <p><strong>C-12, Startup Huts, #108, 2nd &amp; 3rd floor, 27 main, Sector 2, HSR layout, Bengaluru 560102 840 EB 10 Rajdanga Main Road, Kolkata 700078 GSTIN : 19AFRPB8686B1Z2 www.ceebeedesignstudio.com | +917477722403 | connect@ceebeedesignstudio.com Bangalore, Kolkata, Goa</strong></p>
//         <p style="background-color:#7b1e49; height:230px;">&nbsp;</p>
        
// EOT;

        $html=<<<EOT
        <p><strong>2739, 15th Cross, 27th Main Rd, 1st Sector, HSR Layout, Bengaluru, Karnataka 560102</strong></p>
        <p><strong>GSTIN : 29AFRPB8686B1Z1| Contact- +91 6360254435|  3045 Rajdanga Main Road, Shop & 1st Floor Kolkata, West Bengal 700107</strong></p>
        <p><strong>GSTIN : 19AFRPB8686B1Z2 I www.ceebeedesignstudio.com | contact-033-4062-1020 | connect@ceebeedesignstudio.com | Bangalore, Kolkata, Goa, Mumbai, Hyderabad</strong></p>
        <p style="background-color:#7b1e49; height:230px;">&nbsp;</p>
        
EOT;


        $this->writeHTML($html, false, true, false, true);
        

        //$this->Cell(10, 10, $html, 0, false, 'L', 0, '', 0, false, 'T', 'M');
    }


}

/* End of file Pdf.php */
/* Location: ./application/libraries/Pdf.php */
?>