<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Product_management extends CI_Model {   


    public function getProductCategoryList($status=NULL){
        if($status==NULL){
    	
            $sql = "SELECT * FROM product_category 
                WHERE status <> 'DELETED'
                ORDER BY id ASC";
        }else{
            $sql = "SELECT * FROM product_category 
                WHERE status = '".$status."'
                ORDER BY id ASC";
        }
        return $this->db->query($sql)->result_array();        

    }

    public function productCategoryExists($cat){

    	
        $sql = "SELECT * FROM product_category 
                WHERE category = '".$cat."'
                AND status <> 'DELETED'
                ORDER BY id DESC";
        return $this->db->query($sql)->result_array();        

    }

    public function productCategory_edit($cid,$cat){

    	
        $sql = "SELECT * FROM product_category 
                WHERE category = '".$cat."'
                AND id <> '".$cid."'
                AND status <> 'DELETED'
                ORDER BY id DESC";
        return $this->db->query($sql)->result_array();        

    }

    public function getproductCategoryDetails($cid){

    	
        $sql = "SELECT * FROM product_category 
                WHERE id = '".$cid."'
                AND status <> 'DELETED'
                ORDER BY id DESC";
        return $this->db->query($sql)->result_array();        

    }

    
    public function insertProductCategory($dataArr){

        $this->db->insert('product_category', $dataArr);

        if($this->db->insert_id()>0){
            return $this->db->insert_id();
        }else{
            return false;
        }
    }

    public function updateProductCategory($cid,$dataArr){

        $whereArray = array('id'=>$cid);

        $this->db->where($whereArray);
        if( $this->db->update('product_category',$dataArr))
        {
            return true;
        }
        else
        {
            return false;
        }
    }

    public function getProductList($status=NULL){

    	
        $sql = "SELECT * FROM products
                WHERE status <> 'DELETED'
                ORDER BY id DESC";
        return $this->db->query($sql)->result_array();        

    }

    public function productCodeExists($pcode){

    	
        $sql = "SELECT * FROM products 
                WHERE product_code = '".$pcode."'
                AND status <> 'DELETED'
                ORDER BY id DESC";
        return $this->db->query($sql)->result_array();        

    }

    public function productCode_edit($pid,$pcode){

    	
        $sql = "SELECT * FROM products 
                WHERE product_code = '".$pcode."'
                AND id <> '".$pid."'
                AND status <> 'DELETED'
                ORDER BY id DESC";
        return $this->db->query($sql)->result_array();        

    }

    public function insertProduct($dataArr){

        $this->db->insert('products', $dataArr);

        if($this->db->insert_id()>0){
            return $this->db->insert_id();
        }else{
            return false;
        }
    }

    public function insertProductPrice($dataArr){

        $this->db->insert('product_price', $dataArr);

        if($this->db->insert_id()>0){
            return $this->db->insert_id();
        }else{
            return false;
        }
    }

    public function insertProductImage($dataArr){

        $this->db->insert('product_image', $dataArr);

        if($this->db->insert_id()>0){
            return $this->db->insert_id();
        }else{
            return false;
        }
    }

    public function getProductDetails($pid){

    	
        $sql = "SELECT * FROM products 
                WHERE id = '".$pid."'
                AND status <> 'DELETED'
                ORDER BY id DESC";
        return $this->db->query($sql)->result_array();        

    }

    public function getProductImageDetails($pid){
		
		$sql = "SELECT * FROM product_image 
                WHERE product_id = '".$pid."'
                AND status <> 'DELETED'
                ORDER BY id DESC";
        return $this->db->query($sql)->result_array();

    }

    public function updateProduct($pid,$dataArr){

        $whereArray = array('id'=>$pid);

        $this->db->where($whereArray);
        if( $this->db->update('products',$dataArr))
        {
            return true;
        }
        else
        {
            return false;
        }
    }

    public function updateProductImage($pid,$dataArr){

        $whereArray = array('id'=>$pid);

        $this->db->where($whereArray);
        if( $this->db->update('product_image',$dataArr))
        {
            return true;
        }
        else
        {
            return false;
        }
    }

    public function getUnitList($status){
        
        $sql = "SELECT * FROM units 
                WHERE status = '".$status."'
                ORDER BY id DESC";
        
        return $this->db->query($sql)->result_array();        

    }

    public function getUnitDetails($status,$unitId){
        
        $sql = "SELECT * FROM units 
                WHERE status = '".$status."'
                AND id = '".$unitId."'
                ORDER BY id DESC";
        
        return $this->db->query($sql)->result_array();        

    }

    public function getPrices($status,$productId){
        
        $sql = "SELECT * FROM product_price 
                WHERE status = '".$status."'
                AND product_id = '".$productId."'
                ORDER BY id ASC";
        
        return $this->db->query($sql)->result_array();        

    }

    public function getproductPriceDetails($pid){

        
        $sql = "SELECT * FROM product_price 
                WHERE id = '".$pid."'
                AND status <> 'DELETED'
                ORDER BY id DESC";
        return $this->db->query($sql)->result_array();        

    }

    public function updateProductPrice($pid,$dataArr){

        $whereArray = array('id'=>$pid);

        $this->db->where($whereArray);
        if( $this->db->update('product_price',$dataArr))
        {
            return true;
        }
        else
        {
            return false;
        }
    }


 }

?>