<?php
defined('BASEPATH') OR exit('No direct script access allowed');

include_once('header.php');
?>

<!--== BODY INNER CONTAINER ==-->
<div class="sb2-2">
    <!--== breadcrumbs ==-->
    <div class="sb2-2-2">
        <ul>
            <li><a href="<?php echo base_url('dashboard');?>"><i class="fa fa-home" aria-hidden="true"></i> Home</a>
            </li>
            <li class="active-bre"><a href="#"> Bulk Order List</a>
            </li>
            <li class="page-back"><a href="<?php echo base_url('dashboard');?>"><i class="fa fa-backward" aria-hidden="true"></i> Back</a>
            </li>
        </ul>
    </div>

    <!--== User Details ==-->
    <div class="sb2-2-3">
        <div class="row">
            <div class="col-md-12">
                <div class="box-inn-sp">
                    <div class="inn-title">
						<h4>Bulk Orders</h4>
                        <?php if ($this->session->userdata('success')) { ?>
                            <div class="alert alert-success">
                                <?php echo $this->session->userdata('success');?>
                            </div>
                        <?php }?>
                        <?php if ($this->session->userdata('error')) { ?>
                            <div class="alert alert-danger">
                                <?php echo $this->session->userdata('error');?>
                            </div>
                        <?php }?>
                    </div>
                    <div class="tab-inn">
                        <div class="table-responsive table-desi dataTables_wrapper" dir="ltr">
                            <table class="table table-hover">
                                <thead>
                                    <tr>
                                        <th>#</th>
                                        <th>Users</th>
                                        <th>Buyer Details</th>
                                        <th>Product</th>
                                        <th>Unit</th>
                                        <th>Purchase Quantity</th>
                                        <th>Posted On</th>
                                        <th>Order Status</th>
                                        <th>Comments</th>
										<th>Action</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php
                                        if(isset($order_list) && count($order_list)>0){
                                            $sl = 1;
                                            foreach($order_list as $okey=>$oval){
                                                $sql = "SELECT BOM.*, U.fullname 
                                                        FROM bulk_order_master AS BOM
                                                        LEFT JOIN users AS U
                                                        ON BOM.user_id = U.id
                                                        WHERE BOM.id = '".$oval['bulk_order_master_id']."'
                                                        AND BOM.row_status = 'ACTIVE'
                                                        ORDER BY BOM.id DESC";
        
                                                $bulkOrderMasterDetails = $this->db->query($sql)->result_array();        
                                                $userFullName = (isset($bulkOrderMasterDetails[0]['fullname']) && $bulkOrderMasterDetails[0]['fullname']!='') ? $bulkOrderMasterDetails[0]['fullname'] : 'NA';

                                                $purchaseDetails = '';
                                                if(isset($bulkOrderMasterDetails[0]['name']) && isset($bulkOrderMasterDetails[0]['email']) && $bulkOrderMasterDetails[0]['phone']){

                                                    $purchaseDetails.='Name- '.$bulkOrderMasterDetails[0]['name'].'<br/>Email- '.$bulkOrderMasterDetails[0]['email'].'<br/>Phone- '.$bulkOrderMasterDetails[0]['phone'];
                                                }
                                                
                                    ?>
                                    <tr>
                                        <td><?php echo $sl;?></td>
                                        <td><?php echo $userFullName;?></td>
                                        <td><?php echo $purchaseDetails;?></td>
                                        <td><?php echo $oval['product_name'];?></td>
                                        <td><?php echo $oval['qty'].' '.$oval['unit_name'];?></td>
                                        <td><?php echo $oval['quantity'];?></td>
                                        <td><?php echo date('Y-m-s',strtotime($oval['posted_on']));?></td>
                                        <td><?php echo $oval['order_status'];?></td>
                                        <td><?php echo $oval['order_status_comments'];?></td>
                                        <td><a href="<?php echo base_url('bulkorders/changebulkorderstatus/'.$oval['id']);?>" class="ad-st-view">Change Order Status</a></td>
                                    </tr>
                                    <?php $sl++;}}?>
                                    
                                    
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<script type="text/javascript">
    function confirmDeleteRecord() {
        var r = confirm("Press a button!\neither OK for delete.");
        if (r == true) {
            return true;
        } else {
            return false;
        }
    }
</script>
<?php include_once('footer.php');?>