<?php
defined('BASEPATH') OR exit('No direct script access allowed');

include_once('header.php');
?>

<!--== BODY INNER CONTAINER ==-->
<div class="sb2-2">
    <!--== breadcrumbs ==-->
    <div class="sb2-2-2">
        <ul>
            <li><a href="<?php echo base_url('dashboard');?>"><i class="fa fa-home" aria-hidden="true"></i> Home</a>
            </li>
            <li class="active-bre"><a href="#"> Change Bulk Order Status</a>
            </li>
            <li class="page-back"><a href="<?php echo base_url('dashboard');?>"><i class="fa fa-backward" aria-hidden="true"></i> Back</a>
            </li>
        </ul>
    </div>

    <!--== User Details ==-->
    <div class="sb2-2-3">
        <div class="row">
            <div class="col-md-12">
            <div class="box-inn-sp admin-form">
                    <div class="inn-title">
                        <h4>Change Bulk Order Status</h4>
                        
                    </div>
                    <?php if ($this->session->userdata('success')) { ?>
                        <div class="alert alert-success">
                            <?php echo $this->session->userdata('success');?>
                        </div>
                    <?php }?>
                    <?php if ($this->session->userdata('error')) { ?>
                        <div class="alert alert-danger">
                            <?php echo $this->session->userdata('error');?>
                        </div>
                    <?php }?>
                    <div class="bor ad-cou-deta-h4">
                        <form name="frm" action="<?php echo base_url('Bulkorders/changebulkorderstatus/'.$this->uri->segment('3'));?>" method="post" enctype='multipart/form-data'>

                            <div class="row">
                                <div class="input-field col s12">
                                    <select name="order_status" required="">
                                        <option value="">Select Order Status</option>
                                        <option value="PENDING" <?php echo (isset($order_details[0]['order_status']) && $order_details[0]['order_status']=='PENDING') ? 'selected' : '';?>>PENDING</option>
                                        <option value="ACCEPTED" <?php echo (isset($order_details[0]['order_status']) && $order_details[0]['order_status']=='ACCEPTED') ? 'selected' : '';?>>ACCEPTED</option>
                                        <option value="SHIPPED" <?php echo (isset($order_details[0]['order_status']) && $order_details[0]['order_status']=='SHIPPED') ? 'selected' : '';?>>SHIPPED</option>

                                        <option value="DELIVERED" <?php echo (isset($order_details[0]['order_status']) && $order_details[0]['order_status']=='DELIVERED') ? 'selected' : '';?>>DELIVERED</option>

                                        <option value="CANCEL" <?php echo (isset($order_details[0]['order_status']) && $order_details[0]['order_status']=='CANCEL') ? 'selected' : '';?>>CANCEL</option>

                                        <option value="RETURNED" <?php echo (isset($order_details[0]['order_status']) && $order_details[0]['order_status']=='RETURNED') ? 'selected' : '';?>>RETURNED</option>

                                        <option value="REJECTED" <?php echo (isset($order_details[0]['order_status']) && $order_details[0]['order_status']=='REJECTED') ? 'selected' : '';?>>REJECTED</option>

                                        
                                    </select>
                                </div>
                            </div>

                            <div class="row">
                                <div class="input-field col s12">
                                    <textarea name="order_status_comments" class="validate"><?php echo (isset($order_details[0]['order_status_comments']) && $order_details[0]['order_status_comments']!='') ? $order_details[0]['order_status_comments'] : '';?></textarea>
                                    <label class="">Comments</label>
                                </div>
                            </div>
                            <hr/>

                            
                            <div class="row">
                                <div class="input-field col s12">
                                    <i class="waves-effect waves-light btn-large waves-input-wrapper" style=""><input type="submit" class="waves-button-input"></i>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<?php include_once('footer.php');?>
