<!DOCTYPE html>
<html lang="en">

<head>
    <title>Liebigs | Backend</title>
    <!-- META TAGS -->
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="keyword" content="">
    <!-- FAV ICON(BROWSER TAB ICON) -->
    <link rel="shortcut icon" href="<?php echo base_url('assets/images/fav.ico');?>" type="image/x-icon">
    <!-- GOOGLE FONT -->
    <link href="https://fonts.googleapis.com/css?family=Open+Sans:300,400,600,700%7CJosefin+Sans:600,700" rel="stylesheet">
    <!-- FONTAWESOME ICONS -->
    <?php echo link_tag('assets/css/font-awesome.min.css');?>
    <!-- ALL CSS FILES -->
    <?php echo link_tag('assets/css/materialize.css');?>
    <?php echo link_tag('assets/css/bootstrap.css');?>
    <?php echo link_tag('assets/css/style.css');?>
    <!-- RESPONSIVE.CSS ONLY FOR MOBILE AND TABLET VIEWS -->
    <?php echo link_tag('assets/css/style-mob.css');?>
    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
  <script src="js/html5shiv.js"></script>
  <script src="js/respond.min.js"></script>
  <![endif]-->
</head>

<body>

    <!-- UPCOMING EVENTS -->
    <section>
        <div class="container com-sp pad-bot-2">
            <div class="row">
                <div class="col-md-4"></div>
                <div class="col-md-4">
                    <div class="ho-lat-ev">
                      <h4 style="color: black; text-align: center;"><!-- <img src="<?php //echo base_url('assets/images/logo.png');?>" alt="" /> -->
                        Liebigs
                      </h4>
                    </div>
                    <div class="ho-ev-latest ho-ev-latest-bg-3">
                        <div class="ho-lat-ev">
                            <h4>Admin Login</h4>
                        </div>
                    </div>
                    <div class="ho-st-login">
                        <ul class="tabs tabs-hom-reg">
                            <li class="tab col s6"><a href="#hom-vijay">Login</a>
                            </li>
                            
                        </ul>
                        <div id="hom-vijay" class="col s12">
                          <form class="col s12" action="<?php echo base_url('login');?>" method="post">
                              <div class="row">
                                  <div class="input-field col s12">
                                      <input type="text" class="validate" name="username" required="">
                                      <label>User name</label>
                                  </div>
                              </div>
                              <div class="row">
                                  <div class="input-field col s12">
                                      <input type="password" class="validate" required="" value="" name="password">
                                      <label>Password</label>
                                      <div id="passwordLabel"></div>
                                  </div>
                              </div>
                              <div class="row">
                                  <div class="input-field col s12">
                                      <input type="submit" value="Login" class="waves-effect waves-light light-btn">
                                  </div>
                              </div>
                          </form>
                        </div>
                        
                    </div>
                </div>
                <div class="col-md-4"></div>
            </div>
        </div>
    </section>
    
    
    <!-- COPY RIGHTS -->
    <section class="wed-rights">
        <div class="container">
            <div class="row">
                <div class="copy-right">
                    <p>Copyrights © 2023 Liebigs. All rights reserved.</p>
                </div>
            </div>
        </div>
    </section>

    
    
    <!--Import jQuery before materialize.js-->
    <script type="text/javascript" src="<?php echo base_url('assets/js/main.min.js');?>"></script>
    <script type="text/javascript" src="<?php echo base_url('assets/js/bootstrap.min.js');?>"></script>
    <script type="text/javascript" src="<?php echo base_url('assets/js/materialize.min.js');?>"></script>
    <script type="text/javascript" src="<?php echo base_url('assets/js/custom.js');?>"></script>

  </body>

</html>