<?php
defined('BASEPATH') OR exit('No direct script access allowed');

include_once('header.php');
?>

<!--== BODY INNER CONTAINER ==-->
<div class="sb2-2">
    <!--== breadcrumbs ==-->
    <div class="sb2-2-2">
        <ul>
            <li><a href="<?php echo base_url('dashboard');?>"><i class="fa fa-home" aria-hidden="true"></i> Home</a>
            </li>
            <li class="active-bre"><a href="#"> Order List</a>
            </li>
            <li class="page-back"><a href="<?php echo base_url('dashboard');?>"><i class="fa fa-backward" aria-hidden="true"></i> Back</a>
            </li>
        </ul>
    </div>

    <!--== User Details ==-->
    <div class="sb2-2-3">
        <div class="row">
            <div class="col-md-12">
                <div class="box-inn-sp">
                    <div class="inn-title">
						<h4>Orders</h4>
                        <?php if ($this->session->userdata('success')) { ?>
                            <div class="alert alert-success">
                                <?php echo $this->session->userdata('success');?>
                            </div>
                        <?php }?>
                        <?php if ($this->session->userdata('error')) { ?>
                            <div class="alert alert-danger">
                                <?php echo $this->session->userdata('error');?>
                            </div>
                        <?php }?>
                    </div>
                    <div class="tab-inn">
                        <div class="table-responsive table-desi dataTables_wrapper" dir="ltr">
                            <table class="table table-hover">
                                <thead>
                                    <tr>
                                        <th>#</th>
                                        <th>User</th>
                                        <th>Buyer Details</th>
                                        <th>Product Name/Code</th>
                                        <th>Size</th>
                                        <th>Qty</th>
                                        <th>Per MRP Price (INR)</th>
                                        <th>Total MRP Price (INR)</th>
                                        <th>Per Discount (INR)</th>
                                        <th>Total Discount (INR)</th>
                                        <th>Per Final Price (INR)</th>
                                        <th>Total Final Price (INR)</th>
										<th>Order on</th>
                                        <th>Payment Id</th>
                                        <th>Transaction Date</th>
										<th>Payment Status</th>
                                        <th>Order Status</th>
                                        <th>Comments</th>
                                        <th>Action</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php
                                        if(isset($order_list) && count($order_list)>0){
                                            $sl = 1;
                                            foreach($order_list as $okey=>$oval){
                                                
                                                ///Users
                                                $sql_user = "SELECT * FROM users
                                                        WHERE id = '".$oval['user_id']."'
                                                        ORDER BY id DESC";
                                                $userArr = $this->db->query($sql_user)->result_array();

                                                ///Product
                                                $sql_product = "SELECT * FROM products
                                                        WHERE id = '".$oval['product_id']."'
                                                        ORDER BY id DESC";
                                                $productArr = $this->db->query($sql_product)->result_array();

                                                ///Transaction
                                                $sql_transactions = "SELECT * FROM transactions
                                                        WHERE id = '".$oval['transaction_id']."'
                                                        ORDER BY id DESC";
                                                $transactionArr = $this->db->query($sql_transactions)->result_array();
                                    ?>
                                    <tr>
                                        <td><?php echo $sl;?></td>
                                        <td><?php echo (isset($userArr[0]['fullname'])) ? $userArr[0]['fullname'] : '';?> <?php echo (isset($userArr[0]['email'])) ? $userArr[0]['email'] : '';?></td>
                                        <td>
                                            Buyer Name: <?php echo $oval['first_name'];?> <?php echo $oval['last_name'];?><br/>
                                            Email: <?php echo $oval['email'];?><br/>
                                            Phone: <?php echo $oval['phone'];?><br/>
                                            Company Name: <?php echo $oval['company_name'];?><br/>
                                            Street1: <?php echo $oval['street1'];?><br/>
                                            Street2: <?php echo $oval['street2'];?><br/>
                                            City: <?php echo $oval['city'];?><br/>
                                            State: <?php echo $oval['state'];?><br/>
                                            PIN Code: <?php echo $oval['pincode'];?><br/>
                                                
                                        </td>
                                        <td><?php echo (isset($productArr[0]['product_name'])) ? $productArr[0]['product_name'] : '';?> - <?php echo (isset($productArr[0]['product_code'])) ? $productArr[0]['product_code'] : '';?></td>
                                        <td><?php echo $oval['price_qty'].' '.$oval['price_unit_name'];?></td>
                                        <td><?php echo $oval['qty'];?></td>
                                        <td><?php echo $oval['per_mrp_price'];?></td>
                                        <td><?php echo $oval['total_mrp_price'];?></td>
                                        <td><?php echo $oval['per_discount'];?></td>
                                        <td><?php echo $oval['total_discount'];?></td>
                                        <td><?php echo $oval['final_per_price'];?></td>
                                        <td><?php echo $oval['final_total_price'];?></td>

                                        <td><?php echo date('Y-m-d H:i:s',strtotime($oval['order_date']));?></td>
                                        <td><?php echo (isset($transactionArr[0]['payment_id'])) ? $transactionArr[0]['payment_id'] : '';?></td>

                                        <td><?php echo date('Y-m-d H:i:s',strtotime($transactionArr[0]['created_at']));?></td>

                                        <td><?php echo $oval['pay_status'];?></td>
                                        <td><?php echo $oval['order_status'];?></td>
                                        <td><?php echo $oval['order_status_comments'];?></td>
                                        <td><a href="<?php echo base_url('orders/changeorderstatus/'.$oval['id']);?>" class="ad-st-view">Change Order Status</a></td>
                                        
                                    </tr>
                                    <?php $sl++;}}?>
                                    
                                    
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<script type="text/javascript">
    function confirmDeleteRecord() {
        var r = confirm("Press a button!\neither OK for delete.");
        if (r == true) {
            return true;
        } else {
            return false;
        }
    }
</script>
<?php include_once('footer.php');?>