<?php
defined('BASEPATH') OR exit('No direct script access allowed');

include_once('header.php');
?>


<!--== BODY INNER CONTAINER ==-->
<div class="sb2-2">
    <!--== breadcrumbs ==-->
    <div class="sb2-2-2">
        <ul>
            <li><a href="<?php echo base_url('dashboard');?>"><i class="fa fa-home" aria-hidden="true"></i> Home</a>
            </li>
            <li class="active-bre"><a href="#"> Add New Product</a>
            </li>
            <li class="page-back"><a href="<?php echo base_url('dashboard');?>"><i class="fa fa-backward" aria-hidden="true"></i> Back</a>
            </li>
        </ul>
    </div>

    <!--== User Details ==-->
    <div class="sb2-2-3">
        <div class="row">
            <div class="col-md-12">
            <div class="box-inn-sp admin-form">
                    <div class="inn-title">
                        <h4>New Product</h4>
                        
                    </div>
                    <?php if ($this->session->userdata('success')) { ?>
                        <div class="alert alert-success">
                            <?php echo $this->session->userdata('success');?>
                        </div>
                    <?php }?>
                    <?php if ($this->session->userdata('error')) { ?>
                        <div class="alert alert-danger">
                            <?php echo $this->session->userdata('error');?>
                        </div>
                    <?php }?>
                    <div class="bor ad-cou-deta-h4">
                        <form name="frm" action="<?php echo base_url('products/add');?>" method="post" enctype='multipart/form-data'>
                            <h4>Product Basic Details and Amount:</h4>
                            <hr/>

                            
                            <div class="row">
                                <div class="input-field col s12">
                                    <select name="category_id" required="">
                                        <option value="">Select Product Category</option>
                                        <?php
                                            if(isset($cat_list) && is_array($cat_list)){
                                                foreach ($cat_list as $ckey => $cvalue) {
                                        ?>
                                        <option value="<?php echo (isset($cvalue['id']) && $cvalue['id']!='') ? $cvalue['id'] : '0';?>"><?php echo (isset($cvalue['category']) && $cvalue['category']!='') ? $cvalue['category'] : 'NA';?></option>
                                        <?php }}?>
                                    </select>
                                </div>
                            </div>
                            
                            <div class="row">
                                <div class="input-field col s12">
                                    <input type="text" name="product_code" value="" class="validate" required>
                                    <label class="">Product Code</label>
                                </div>
                            </div>
                            <div class="row">
                                <div class="input-field col s12">
                                    <input type="text" name="product_name" value="" class="validate" required>
                                    <label class="">Product Name</label>
                                </div>
                            </div>
                            <div class="row">
                                <div class="input-field col s12">
                                    <input type="text" name="sku_number" value="" class="validate" required>
                                    <label class="">SKU Number</label>
                                </div>
                            </div>
                            <div class="row">
                                <div class="input-field col s12">
                                    <?php echo $this->ckeditor->editor("product_description",'');?>

                                    <!-- <label class="">Descriptions</label> -->
                                </div>
                            </div>
                            <!-- <div class="row">
                                <div class="input-field col s12">
                                    <input type="text" name="product_price" value="" class="validate" required>
                                    <label class="">Product Price</label>
                                </div>
                            </div>
                            <div class="row">
                                <div class="input-field col s12">
                                    <input type="text" name="discount_price" value="" class="validate">
                                    <label class="">Product Discount Price</label>
                                </div>
                            </div> -->
                            <div class="row">
                                <div class="input-field col s12">
                                    <select name="in_stock" required="">
                                        <option value="">Select Product Stock</option>
                                        <option value="INSTOCK">Yes</option>
                                        <option value="OUTOFSTOCK">No</option>
                                    </select>
                                </div>
                            </div>
                            <div class="row">
                                <div class="input-field col s12">
                                    <select name="top_product" required="">
                                        <option value="">Select Top Product</option>
                                        <option value="NO">No</option>
                                        <option value="YES">Yes</option>
                                    </select>
                                </div>
                            </div>
                            <hr/>
                            <h4>Product Price: <span style="text-align: right; float: right;"><a href="javascript:void(0);" class="label label-success" onclick="addproductprices();"><i class="fa fa-plus" aria-hidden="true"></i> Add</a></span></h4>
                            <hr/>
                            <div class="row">
                                <div class="input-field col s2">
                                    <input type="text" name="qty[]" value="" class="validate" required>
                                    <label class="">Quantity</label>
                                </div>
                                <div class="input-field col s2">
                                    <select name="unit_id[]" required="">
                                        <option value="">Select Unit</option>
                                        <?php
                                            if(isset($unit_list) && count($unit_list)>0){
                                                foreach ($unit_list as $ukey => $uvalue) {
                                        ?>
                                        <option value="<?php echo $uvalue['id']?>"><?php echo $uvalue['unit_name']?></option>
                                        <?php }}?>
                                    </select>
                                </div>
                                <div class="input-field col s2">
                                    <input type="text" name="mrp[]" value="" class="validate mrp-input" required onkeyup="calculateprice(this);">
                                    <label class="">MRP (INR)</label>
                                </div>
                                <div class="input-field col s2">
                                    <input type="text" name="discount[]" value="" class="validate discount-input" required onkeyup="calculateprice(this);">
                                    <label class="">Discount (INR)</label>
                                </div>
                                <div class="input-field col s2">
                                    <input type="text" name="final_price[]" value="" class="validate final-price-input" required readonly="">
                                    <label class="">Final Price (INR)</label>
                                </div>
                            </div>
                            <div id="productpricediv"></div>
                            
                            <hr/>
                            <h4>Product Images: <span style="text-align: right; float: right;"><a href="javascript:void(0);" class="label label-success" onclick="addprojectsimages();"><i class="fa fa-plus" aria-hidden="true"></i> Add</a></span></h4>
                            <hr/>
                            <div class="row">
                                <div class="file-field input-field col s5">
                                    <div class="btn admin-upload-btn">
                                        <span>Image</span>
                                        <input type="file" name="image[]">
                                    </div>
                                    <div class="file-path-wrapper">
                                        <input class="file-path validate" type="text" placeholder="Project Image">
                                    </div>
                                </div>
                            </div>
                            <div id="projectimagediv"></div>

                            <div class="row">
                                <div class="input-field col s12">
                                    <i class="waves-effect waves-light btn-large waves-input-wrapper" style=""><input type="submit" class="waves-button-input"></i>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<?php include_once('footer.php');?>
<script type="text/javascript">
    function addprojectsimages(){
        var html = '<div class="row"><div class="file-field input-field col s5"><div class="btn admin-upload-btn"><span>Image</span><input type="file" name="image[]"></div><div class="file-path-wrapper"><input class="file-path validate" type="text" placeholder="Project Image"></div></div><div class="input-field col s1"><a href="javascript:void(0);" class="label label-danger" onclick="deleteprojectimage(this)"><i class="fa fa-trash" aria-hidden="true"></i> Remove</a></div></div>';

        $('#projectimagediv').append(html);

    }

    function deleteprojectimage(element) {
      // Get the parent container of the skill
      let skillContainer = element.parentNode.parentNode;
      
      // Remove the skill container from the DOM
      skillContainer.remove();
    }

    function addproductprices() {
      // Create a new row for product price input
      var html = '<div class="row"><div class="input-field col s2"><input type="text" name="qty[]" value="" class="validate" required><label class="">Quantity</label></div><div class="input-field1 col s2"><select name="unit_id[]" required=""><option value="">Select Unit</option>';

      <?php if(isset($unit_list) && count($unit_list) > 0) {
        foreach ($unit_list as $ukey => $uvalue) { ?>
          html += '<option value="<?php echo $uvalue['id']?>"><?php echo $uvalue['unit_name']?></option>';
        <?php }
      } ?>

      // Close the select element and continue adding the rest of the input fields
      html += '</select></div><div class="input-field col s2"><input type="text" name="mrp[]" value="" class="validate mrp-input" required onkeyup="calculateprice(this);"><label class="">MRP (INR)</label></div><div class="input-field col s2"><input type="text" name="discount[]" value="" class="validate discount-input" required onkeyup="calculateprice(this);"><label class="">Discount (INR)</label></div><div class="input-field col s2"><input type="text" name="final_price[]" value="" class="validate final-price-input" required readonly=""><label class="">Final Price (INR)</label></div><div class="input-field col s1"><a href="javascript:void(0);" class="label label-danger" onclick="deleteproductprice(this)"><i class="fa fa-trash" aria-hidden="true"></i> Remove</a></div></div>';

      // Append the new row to the product price container
      $('#productpricediv').append(html);
      // $('#productpricediv select.initialized').formSelect();

    }

    function deleteproductprice(element) {
      // Get the parent container of the skill
      let skillContainer = element.parentNode.parentNode;
      
      // Remove the skill container from the DOM
      skillContainer.remove();
    }


</script>

<script type="text/javascript">
    // function calculateprice(){
    //     var mrp = parseFloat($('#mrp_id').val());
    //     var discount = parseFloat($('#discount_id').val());

    //     // Check if both values are valid numbers
    //     if (!isNaN(mrp) && !isNaN(discount)) {
    //         var finalPrice = mrp - discount;
    //         if (finalPrice < 0) {
    //             finalPrice = 0; // Ensure the final price is not negative
    //         }
    //         $('#final_price_id').val(finalPrice.toFixed(2)); // Set the final price with 2 decimal places
    //     } else {
    //         $('#final_price_id').val(0); // Clear the final price if input is not a valid number
    //     }
    // }

    function calculateprice(inputElement) {
      // Get the MRP and Discount input elements in the same row
      var row = inputElement.parentElement.parentElement;
      var mrpInput = row.querySelector(".mrp-input");
      var discountInput = row.querySelector(".discount-input");
      var finalPriceInput = row.querySelector(".final-price-input");

      // Parse the values from the input fields
      var mrp = parseFloat(mrpInput.value) || 0;
      var discount = parseFloat(discountInput.value) || 0;

      // Calculate the final price
      var finalPrice = mrp - discount;

      // Update the final price input field
      finalPriceInput.value = finalPrice.toFixed(2); // You can adjust the number of decimal places as needed
    }
</script>