<?php
defined('BASEPATH') OR exit('No direct script access allowed');

include_once('header.php');
?>

<!--== BODY INNER CONTAINER ==-->
<div class="sb2-2">
    <!--== breadcrumbs ==-->
    <div class="sb2-2-2">
        <ul>
            <li><a href="<?php echo base_url('dashboard');?>"><i class="fa fa-home" aria-hidden="true"></i> Home</a>
            </li>
            <li class="active-bre"><a href="#"> Product Images</a>
            </li>
            <li class="page-back"><a href="<?php echo base_url('dashboard');?>"><i class="fa fa-backward" aria-hidden="true"></i> Back</a>
            </li>
        </ul>
    </div>

    <!--== User Details ==-->
    <div class="sb2-2-3">
        <div class="row">
            <div class="col-md-12">
                <div class="box-inn-sp">
                    <div class="inn-title">
						<h4>Product Images</h4>
                        <?php if ($this->session->userdata('success')) { ?>
                            <div class="alert alert-success">
                                <?php echo $this->session->userdata('success');?>
                            </div>
                        <?php }?>
                        <?php if ($this->session->userdata('error')) { ?>
                            <div class="alert alert-danger">
                                <?php echo $this->session->userdata('error');?>
                            </div>
                        <?php }?>
                    </div>
                    <div class="tab-inn">
                        <div class="table-responsive table-desi dataTables_wrapper" dir="ltr">
                            <table class="table table-hover">
                                <thead>
                                    <tr>
                                        <th>#</th>
                                        <th>Product Image</th>
										<th>Posted On</th>
										<th>Status</th>
										<th>Action</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php
                                        if(isset($product_images) && count($product_images)>0){
                                            $sl = 1;
                                            foreach($product_images as $pkey=>$pval){

                                                $imagePath = '';
                                                if(isset($pval['image']) && $pval['image']!=''){
                                                    $imagePath = base_url('assets/productimages/'.$pval['image']);
                                                }
                                                
                                    ?>
                                    <tr>
                                        <td><?php echo $sl;?></td>
                                        <td><img src="<?php echo $imagePath;?>" width="100"></td>

                                        <td><?php echo date('Y-m-d H:i:s',strtotime($pval['created_on']));?></td>
                                        <td>
                                            <?php
                                                if(isset($pval['status']) && $pval['status']=='ACTIVE'){
                                            ?>
                                                <span class="label label-success">Active</span>
                                            <?php
                                                }else{
                                            ?>
                                            <span class="label label-default">Inactive</span>
                                            <?php
                                                }
                                            ?>
                                        </td>
                                        <td><a href="<?php echo base_url('products/deleteimage/'.$pval['id'].'/'.$pval['product_id']);?>" class="ad-st-view" onclick="return confirmDeleteRecord();">Delete</a></td>
                                    </tr>
                                    <?php $sl++;}}?>
                                    
                                    
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<script type="text/javascript">
    function confirmDeleteRecord() {
        var r = confirm("Press a button!\neither OK for delete.");
        if (r == true) {
            return true;
        } else {
            return false;
        }
    }
</script>
<?php include_once('footer.php');?>