<?php
defined('BASEPATH') OR exit('No direct script access allowed');

include_once('header.php');
?>

<!--== BODY INNER CONTAINER ==-->
<div class="sb2-2">
    <!--== breadcrumbs ==-->
    <div class="sb2-2-2">
        <ul>
            <li><a href="<?php echo base_url('dashboard');?>"><i class="fa fa-home" aria-hidden="true"></i> Home</a>
            </li>
            <li class="active-bre"><a href="#"> Product List</a>
            </li>
            <li class="page-back"><a href="<?php echo base_url('dashboard');?>"><i class="fa fa-backward" aria-hidden="true"></i> Back</a>
            </li>
        </ul>
    </div>

    <!--== User Details ==-->
    <div class="sb2-2-3">
        <div class="row">
            <div class="col-md-12">
                <div class="box-inn-sp">
                    <div class="inn-title">
						<h4>All Products</h4>
                        <?php if ($this->session->userdata('success')) { ?>
                            <div class="alert alert-success">
                                <?php echo $this->session->userdata('success');?>
                            </div>
                        <?php }?>
                        <?php if ($this->session->userdata('error')) { ?>
                            <div class="alert alert-danger">
                                <?php echo $this->session->userdata('error');?>
                            </div>
                        <?php }?>
                    </div>
                    <div class="tab-inn">
                        <div class="table-responsive table-desi dataTables_wrapper" dir="ltr">
                            <table class="table table-hover">
                                <thead>
                                    <tr>
                                        <th>#</th>
                                        <th>Category Name</th>
										<th>Product Code</th>
                                        <th>SKU Number</th>
										<th>Product Name</th>
                                        <th>Product Image</th>
										<!-- <th>Product Price (INR)</th>
                                        <th>Product Discount Price(INR)</th> -->
                                        <th>Description</th>
                                        <th>In Stock</th>
                                        <th>Top Product</th>
                                        <!-- <th>Posted On</th> -->
										<th>Status</th>
										<th>Action</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php
                                        if(isset($product_list) && count($product_list)>0){
                                            $sl = 1;
                                            foreach($product_list as $pkey=>$pval){
                                                //if($pval['product_name']=='Cutting Aid') continue;
                                                ///Category
                                                $sql_category = "SELECT * FROM product_category
                                                        WHERE status = 'ACTIVE'
                                                        AND id = '".$pval['category_id']."'
                                                        ORDER BY id DESC";
                                                $categoryArr = $this->db->query($sql_category)->result_array();

                                                ///Product Image
                                                $sql_image = "SELECT * FROM product_image
                                                        WHERE status = 'ACTIVE'
                                                        AND product_id = '".$pval['id']."'
                                                        ORDER BY id ASC
                                                        LIMIT 0,1";
                                                $imageArr = $this->db->query($sql_image)->result_array();

                                                $imagePath = '';
                                                if(isset($imageArr[0]['image']) && $imageArr[0]['image']!=''){
                                                    $imagePath = base_url('assets/productimages/'.$imageArr[0]['image']);
                                                }
                                                
                                    ?>
                                    <tr>
                                        <td><?php echo $sl;?></td>
                                        <td><?php echo (isset($categoryArr[0]['category']) && $categoryArr[0]['category']!='') ? $categoryArr[0]['category'] : 'NA';?></td>
                                        <td><?php echo $pval['product_code'];?></td>
                                        <td><?php echo $pval['sku_number'];?></td>
                                        <td><?php echo $pval['product_name'];?></td>
                                        <td><img src="<?php echo $imagePath;?>" width="100"></td>

                                        <!-- <td><?php //echo $pval['product_price'];?></td>
                                        <td><?php //echo $pval['discount_price'];?></td> -->
                                        <td><?php echo $pval['product_description'];?></td>
                                        <td><?php echo $pval['in_stock'];?></td>
                                        <td><?php echo $pval['top_product'];?></td>
                                        <!-- <td><?php //echo date('Y-m-d H:i:s',strtotime($pval['created_on']));?></td> -->
                                        <td>
                                            <?php
                                                if(isset($pval['status']) && $pval['status']=='ACTIVE'){
                                            ?>
                                                <span class="label label-success">Active</span>
                                            <?php
                                                }else{
                                            ?>
                                            <span class="label label-default">Inactive</span>
                                            <?php
                                                }
                                            ?>
                                        </td>
                                        <td><a href="<?php echo base_url('products/edit/'.$pval['id']);?>" class="ad-st-view">Edit</a> | <a href="<?php echo base_url('products/addimages/'.$pval['id']);?>" class="ad-st-view">Add Image</a> | <a href="<?php echo base_url('products/images/'.$pval['id']);?>" class="ad-st-view">Images</a> | <a href="<?php echo base_url('products/prices/'.$pval['id']);?>" class="ad-st-view">Prices</a> | <a href="<?php echo base_url('products/deletepro/'.$pval['id']);?>" class="ad-st-view" onclick="return confirmDeleteRecord();">Delete Product</a></td>
                                    </tr>
                                    <?php $sl++;}}?>
                                    
                                    
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<script type="text/javascript">
    function confirmDeleteRecord() {
        var r = confirm("Press a button!\neither OK for delete.");
        if (r == true) {
            return true;
        } else {
            return false;
        }
    }
</script>
<?php include_once('footer.php');?>