<?php
defined('BASEPATH') OR exit('No direct script access allowed');

include_once('header.php');
?>

<!--== BODY INNER CONTAINER ==-->
<div class="sb2-2">
    <!--== breadcrumbs ==-->
    <div class="sb2-2-2">
        <ul>
            <li><a href="<?php echo base_url('dashboard');?>"><i class="fa fa-home" aria-hidden="true"></i> Home</a>
            </li>
            <li class="active-bre"><a href="#"> Edit User</a>
            </li>
            <li class="page-back"><a href="<?php echo base_url('dashboard');?>"><i class="fa fa-backward" aria-hidden="true"></i> Back</a>
            </li>
        </ul>
    </div>

    <!--== User Details ==-->
    <div class="sb2-2-3">
        <div class="row">
            <div class="col-md-12">
            <div class="box-inn-sp admin-form">
                    <div class="inn-title">
                        <h4>Edit User</h4>
                        
                    </div>
                    <?php if ($this->session->userdata('success')) { ?>
                        <div class="alert alert-success">
                            <?php echo $this->session->userdata('success');?>
                        </div>
                    <?php }?>
                    <?php if ($this->session->userdata('error')) { ?>
                        <div class="alert alert-danger">
                            <?php echo $this->session->userdata('error');?>
                        </div>
                    <?php }?>
                    <div class="bor ad-cou-deta-h4">
                        <form name="frm" action="<?php echo base_url('users/edit/'.$this->uri->segment('3'));?>" method="post" enctype='multipart/form-data'>

                            <div class="row">
                                <div class="input-field col s12">
                                    <input type="text" name="fullname" value="<?php echo (isset($user_details[0]['fullname']) && $user_details[0]['fullname']!='') ? $user_details[0]['fullname'] : '';?>" class="validate" required>
                                    <label class="">Full Name</label>
                                </div>
                            </div>
                            <div class="row">
                                <div class="input-field col s12">
                                    <input type="text" name="email" value="<?php echo (isset($user_details[0]['email']) && $user_details[0]['email']!='') ? $user_details[0]['email'] : '';?>" class="validate" required>
                                    <label class="">Email</label>
                                </div>
                            </div>
                            <div class="row">
                                <div class="input-field col s12">
                                    <input type="text" name="phonenumber" value="<?php echo (isset($user_details[0]['phonenumber']) && $user_details[0]['phonenumber']!='') ? $user_details[0]['phonenumber'] : '';?>" class="validate" required>
                                    <label class="">Phone Number</label>
                                </div>
                            </div>
                            <div class="row">
                                <div class="input-field col s12">
                                    <input type="text" name="password" value="" class="validate">
                                    <label class="">Password</label>
                                </div>
                            </div>
                            <div class="row">
                                <div class="input-field col s12">
                                    <select name="category_id" required="">
                                        <option value="">Select Status</option>
                                        
                                        <option value="ACTIVE" <?php echo (isset($user_details[0]['status']) && $user_details[0]['status']=='ACTIVE') ? 'selected' : '';?>>ACTIVE</option>
                                        <option value="INACTIVE" <?php echo (isset($user_details[0]['status']) && $user_details[0]['status']=='INACTIVE') ? 'selected' : '';?>>ACTIVE</option>
                                        
                                    </select>
                                </div>
                            </div>
                            <hr/>

                            
                            <div class="row">
                                <div class="input-field col s12">
                                    <i class="waves-effect waves-light btn-large waves-input-wrapper" style=""><input type="submit" class="waves-button-input"></i>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<?php include_once('footer.php');?>
