<?php
defined('BASEPATH') OR exit('No direct script access allowed');

include_once('header.php');
?>

<!--== BODY INNER CONTAINER ==-->
<div class="sb2-2">
    <!--== breadcrumbs ==-->
    <div class="sb2-2-2">
        <ul>
            <li><a href="<?php echo base_url('dashboard');?>"><i class="fa fa-home" aria-hidden="true"></i> Home</a>
            </li>
            <li class="active-bre"><a href="#"> User List</a>
            </li>
            <li class="page-back"><a href="<?php echo base_url('dashboard');?>"><i class="fa fa-backward" aria-hidden="true"></i> Back</a>
            </li>
        </ul>
    </div>

    <!--== User Details ==-->
    <div class="sb2-2-3">
        <div class="row">
            <div class="col-md-12">
                <div class="box-inn-sp">
                    <div class="inn-title">
						<h4>Users</h4>
                        <?php if ($this->session->userdata('success')) { ?>
                            <div class="alert alert-success">
                                <?php echo $this->session->userdata('success');?>
                            </div>
                        <?php }?>
                        <?php if ($this->session->userdata('error')) { ?>
                            <div class="alert alert-danger">
                                <?php echo $this->session->userdata('error');?>
                            </div>
                        <?php }?>
                    </div>
                    <div class="tab-inn">
                        <div class="table-responsive table-desi dataTables_wrapper" dir="ltr">
                            <table class="table table-hover">
                                <thead>
                                    <tr>
                                        <th>#</th>
                                        <th>Name</th>
										<th>Email</th>
                                        <th>Phone Number</th>
										<th>Registered on</th>
                                        <th>Status</th>
										<th>Action</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php
                                        if(isset($user_list) && count($user_list)>0){
                                            $sl = 1;
                                            foreach($user_list as $ukey=>$uval){
                                                
                                                
                                    ?>
                                    <tr>
                                        <td><?php echo $sl;?></td>
                                        <td><?php echo $uval['fullname'];?></td>
                                        <td><?php echo $uval['email'];?></td>
                                        <td><?php echo $uval['phonenumber'];?></td>
                                        <td><?php echo date('Y-m-d H:i:s',strtotime($uval['created_on']));?></td>
                                        <td>
                                            <?php
                                                if(isset($uval['status']) && $uval['status']=='ACTIVE'){
                                            ?>
                                                <span class="label label-success">Active</span>
                                            <?php
                                                }else{
                                            ?>
                                            <span class="label label-default">Inactive</span>
                                            <?php
                                                }
                                            ?>
                                        </td>
                                        <td><a href="<?php echo base_url('users/edit/'.$uval['id']);?>" class="ad-st-view">Edit</a> | <a href="<?php echo base_url('users/deleteusers/'.$uval['id']);?>" class="ad-st-view" onclick="return confirmDeleteRecord();">Delete</a></td>
                                    </tr>
                                    <?php $sl++;}}?>
                                    
                                    
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<script type="text/javascript">
    function confirmDeleteRecord() {
        var r = confirm("Press a button!\neither OK for delete.");
        if (r == true) {
            return true;
        } else {
            return false;
        }
    }
</script>
<?php include_once('footer.php');?>