<?php

class Authenticationcheck extends CI_Model{

	function __construct(){
		parent::__construct();
		

	}

    public function validateUser($email){
        
        $this->db->select("*");
        $query = $this->db->get_where("users", array("email" => $email,'status !='=>'DELETED'));
        $p = $query->row_array();

        if($query->num_rows() == 1){
            /*var_dump($query->row());
            die;*/  
            return $query->row();
        }else{
            /*echo "<pre>";
            var_dump($p);
            die;*/
            return false;
        }

    }

    public function insertUsers($dataArr){

        $now = date("Y-m-d H:i:s");

        $this->db->insert('users', $dataArr);

        if($this->db->insert_id()>0){
            return $this->db->insert_id();
        }else{
            return false;
        }
    }

	public function validateLogin($email, $password){
        $password = md5($password);
        $this->db->select("*");
        $query = $this->db->get_where("users", array("email" => $email,'status'=>'ACTIVE'));
        $p = $query->row_array();

        if($query->num_rows() == 1 && $password == $p['password']){
            /*var_dump($query->row());
            die;*/  
            return $query->row();
        }else{
            /*echo "<pre>";
            var_dump($p);
            die;*/
        }

    }

    public function insertLoginLogs($user_id,$session_key,$login_time,$logout_time,$user_ip,$device_id,$status){

        $now = date("Y-m-d H:i:s");

        $data = array(
            'user_id' => $user_id,
            'session_key' => $session_key,
            'login_time' => $login_time,
            'logout_time' => $logout_time,
            'user_ip' => $user_ip,
            'device_id' => $device_id,
            'status' => $status
        );

        $this->db->insert('user_login_logs', $data);

        if($this->db->insert_id()>0){
            return $this->db->insert_id();
        }else{
            return false;
        }
    }

    public function updateLoginLogs($user_id,$session_key=null){

        if(isset($session_key) && $session_key!=null){
            $whereArray = array('user_id'=>$user_id,'session_key'=>$session_key,'logout_time'=>'0000-00-00 00:00:00','status'=>'ACTIVE');
        }else{
            $whereArray = array('user_id'=>$user_id,'logout_time'=>'0000-00-00 00:00:00','status'=>'ACTIVE');    
        }
        

        $data = array(
                    'logout_time' => date('Y-m-d H:i:s'),
                    'status' => 'INACTIVE'
                );
        $this->db->where($whereArray);
        if( $this->db->update('user_login_logs',$data))
        {
            return true;
        }
        else
        {
            return false;
        }
    }


    public function validateSessionKey($session_key, $user_id){
        //$password = md5($password);
        $this->db->select("*");
        $query = $this->db->get_where("user_login_logs", array("session_key" => $session_key,'user_id'=>$user_id, 'logout_time' => '0000-00-00 00:00:00', 'status' => 'ACTIVE'));
        $p = $query->row_array();

        if($query->num_rows() == 1){
            return true;
        }else{
            return false;
        }

    }

}


?>