<?php
defined('BASEPATH') OR exit('No direct script access allowed');
date_default_timezone_set("Asia/Kolkata");
class Bulkorders extends CI_Controller {

	function __construct()
	{

		parent::__construct();

		$checkuservars = $this->session->userdata;
                
        if((!isset($checkuservars['usertype']) || $checkuservars['usertype']!="SUPERADMIN") && (!isset($checkuservars['usertype']) || $checkuservars['usertype']!="ADMIN")){
        	redirect('login/logout/'); 
        }	
	}

	public function lists()
	{
		$data = array();
		
		$this->load->model('Bulkorder_management');
		$data['order_list'] = $this->Bulkorder_management->getOrderList();

		
		$this->load->view('bulkorder_list',$data);
	}

	public function changebulkorderstatus()
	{

		$data = array();
		$this->load->model('Bulkorder_management');
		
		$odId = $this->uri->segment('3');

		if(isset($_POST['order_status']) && $_POST['order_status']!='' ){

			$order_status = isset($_POST['order_status']) ? $_POST['order_status'] : '';
			$order_status_comments = isset($_POST['order_status_comments']) ? $_POST['order_status_comments'] : '';
			$odArr = array(
							'order_status' => $order_status,
							'order_status_comments' => $order_status_comments
						);
			
			$xx = $this->Bulkorder_management->updateBulkOrder($odId,$odArr);	
			if($xx==true){
				if(isset($order_status_comments) && $order_status_comments!=''){

					$created_id = $_SESSION['userid'];
					$created_on = date('Y-m-d H:i:s');
					$row_status = 'ACTIVE';

					$order_detailsArr = $this->Bulkorder_management->getBulkOrderDetails($odId);

					$bulk_order_master_id = (isset($order_detailsArr[0]['bulk_order_master_id']) && $order_detailsArr[0]['bulk_order_master_id']!='') ? $order_detailsArr[0]['bulk_order_master_id'] : 0;

					$ordercommentsArr = array(
										'bulk_order_master_id' => $bulk_order_master_id,
										'bulk_order_details_id' => $odId,
										'comments' => $order_status_comments,
										'created_id' => $created_id,
										'created_on' => $created_on,
										'order_status' => $order_status,
										'row_status' => $status
									);
					$this->Bulkorder_management->insertBulkOrderStatusComments($ordercommentsArr);	

				}
				

				$this->session->set_flashdata('success', 'Bulk Order status has been updated successfully.');
				redirect('bulkorders/lists');

			}else{
				$this->session->set_flashdata('error', 'Something went wrong, Please try again after sometime.');
			}
		}

		$data['order_details'] = $this->Bulkorder_management->getBulkOrderDetails($odId);

		
		$this->load->view('changebulkorderstatus',$data);
	}
}
