<?php
defined('BASEPATH') OR exit('No direct script access allowed');
date_default_timezone_set("Asia/Kolkata");
class Orders extends CI_Controller {

	function __construct()
	{

		parent::__construct();

		$checkuservars = $this->session->userdata;
                
        if((!isset($checkuservars['usertype']) || $checkuservars['usertype']!="SUPERADMIN") && (!isset($checkuservars['usertype']) || $checkuservars['usertype']!="ADMIN")){
        	redirect('login/logout/'); 
        }	
	}

	public function lists()
	{
		$data = array();
		
		$this->load->model('Order_management');
		$data['order_list'] = $this->Order_management->getOrderList();

		
		$this->load->view('order_list',$data);
	}

	public function changeorderstatus()
	{

		$data = array();
		$this->load->model('Order_management');
		
		$oId = $this->uri->segment('3');

		if(isset($_POST['order_status']) && $_POST['order_status']!='' ){

			$order_status = isset($_POST['order_status']) ? $_POST['order_status'] : '';
			$order_status_comments = isset($_POST['order_status_comments']) ? $_POST['order_status_comments'] : '';
			$oArr = array(
							'order_status' => $order_status,
							'order_status_comments' => $order_status_comments
						);
			
			$xx = $this->Order_management->updateOrder($oId,$oArr);	
			if($xx==true){
				if(isset($order_status_comments) && $order_status_comments!=''){

					$created_id = $_SESSION['userid'];
					$created_on = date('Y-m-d H:i:s');
					$status = 'ACTIVE';

					$ordercommentsArr = array(
										'order_id' => $oId,
										'comments' => $order_status_comments,
										'created_id' => $created_id,
										'created_on' => $created_on,
										'status' => $status
									);
					$this->Order_management->insertOrderStatusComments($ordercommentsArr);	

				}
				

				$this->session->set_flashdata('success', 'Order status has been updated successfully.');
				redirect('orders/lists');

			}else{
				$this->session->set_flashdata('error', 'Something went wrong, Please try again after sometime.');
			}
		}

		$data['order_details'] = $this->Order_management->getOrderDetails($oId);

		
		$this->load->view('changeorderstatus',$data);
	}

}
