<?php
defined('BASEPATH') OR exit('No direct script access allowed');
date_default_timezone_set("Asia/Kolkata");
class Users extends CI_Controller {

	function __construct()
	{

		parent::__construct();

		$checkuservars = $this->session->userdata;
                
        if((!isset($checkuservars['usertype']) || $checkuservars['usertype']!="SUPERADMIN") && (!isset($checkuservars['usertype']) || $checkuservars['usertype']!="ADMIN")){
        	redirect('login/logout/'); 
        }	
	}

	public function lists()
	{
		$data = array();
		
		$this->load->model('User_management');
		$data['user_list'] = $this->User_management->getUserList();

		
		$this->load->view('user_list',$data);
	}

	
	public function edit()
	{

		$data = array();
		$this->load->model('User_management');
		
		$uId = $this->uri->segment('3');

		if(isset($_POST['fullname']) && $_POST['fullname']!='' && isset($_POST['email']) && $_POST['email']!=''){

			$fullname = isset($_POST['fullname']) ? $_POST['fullname'] : '';
			$email = isset($_POST['email']) ? $_POST['email'] : '';
			$phonenumber = isset($_POST['phonenumber']) ? $_POST['phonenumber'] : '';
			$password = (isset($_POST['password']) && $_POST['password']!='') ? md5($_POST['password']) : '';
			$status = isset($_POST['status']) ? $_POST['status'] : '';

			$valids_user = $this->User_management->useremailvalid_edit($uId,$email);
			if(isset($valids_user) && count($valids_user)>0){
				$this->session->set_flashdata('error', 'Email Already Exists.');
			}else{
				
				
				$uArr = array(
							'fullname' => $fullname,
							'email' => $email,
							'phonenumber' => $phonenumber,
							'status' => $status
						);
				if($password!=''){
					$uArr['password'] = $password;
				}
				
				$xx = $this->User_management->updateUser($uId,$uArr);	
				if($xx==true){
					
					$this->session->set_flashdata('success', 'User has been updated successfully.');
					redirect('users/lists');

				}else{
					$this->session->set_flashdata('error', 'Something went wrong, Please try again after sometime.');
				}
			}		
			
		}

		$data['user_details'] = $this->User_management->getUserDetails($uId);

		
		$this->load->view('user_edit',$data);
	}

	
	public function deleteusers()
	{

		$data = array();
		$this->load->model('User_management');
		
		$uId = $this->uri->segment('3');

		if(isset($uId) && $uId!=''){

			
				$status = 'DELETED';
				
				$uArr = array(
							'status' => $status
						);
				
					
				$this->User_management->updateUser($uId,$uArr);

				
				$this->session->set_flashdata('success', 'User has been deleted successfully.');
				redirect('users/lists');
	
		}
		
	}

}
