<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

if ( ! function_exists('getlivingroomconf'))
{
    function getlivingroomconf(){

        $arr = array();

        $arr['shoeunit'][1] = array(
                        'type'=>'static',
                        'key'=>'shoeunit',
                        'sl'=>'1',
                        'particulars' => 'Shoe Unit',
                        'description'=>'Providing and fixing base cabinet for shoe unit in the entrance area. Structure made up of ISI marked plywood with specified finish and all necessary hardware and fittings',
                        'finish'=>array('Laminate','Veneer','PU','Veneer and PU','Lacquered Glass','Laminate with Glass','Veneer with Glass','PU with Glass','Laminate with PU'),
                        'unit'=>array('No','Sqft','Rft'),
                        'quantity'=>'',
                        'rates'=>array('1850','2500','2500','2500','2500','1900','2500','2500','2300'),
                        'amount'=>'');
        $arr['shoeunit'][2] = array(
                        'type'=>'static',
                        'key'=>'shoeunit',
                        'sl'=>'',
                        'particulars' => '',
                        'description'=>'Providing and fixing base cabinet for shoe unit in the entrance area. Structure made up of ISI marked plywood with specified finish and all necessary hardware and fittings',
                        'finish'=>array('Laminate','Veneer','PU','Veneer and PU','Lacquered Glass','Laminate with Glass','Veneer with Glass','PU with Glass','Laminate with PU'),
                        'unit'=>array('No','Sqft','Rft'),
                        'quantity'=>'',
                        'rates'=>array('1850','2500','2500','2500','2500','1900','2500','2500','2300'),
                        'amount'=>'');

        $arr['shoeunit'][3] = array(
                        'type'=>'static',
                        'key'=>'shoeunit',
                        'sl'=>'',
                        'particulars' => '',
                        'description'=>'Providing mattress for the seating.',
                        'finish'=>array('Leather','Leatherite','Fabric'),
                        'unit'=>array('LS','As per actual','As per vendor list'),
                        'quantity'=>'nodisplay',
                        'rates'=>'nodisplay',
                        'amount'=>'');

        $arr['shoeunit'][4] = array(
                        'type'=>'static',
                        'key'=>'shoeunit',
                        'sl'=>'',
                        'particulars' => '',
                        'description'=>'Providing and fixing jaali for the shoe cabinet in the entrance area. Structure made up of ISI marked plywood finish with specified finish and all necessary hardware fittings.',
                        'finish'=>array('Polish','PU','Paint'),
                        'unit'=>array('LS','As per actual','As per vendor list'),
                        'quantity'=>'nodisplay',
                        'rates'=>'nodisplay',
                        'amount'=>'');

        $arr['partition'][1] = array(
                        'type'=>'static',
                        'key'=>'partition',
                        'sl'=>'2',
                        'particulars' => 'Partition',
                        'description'=>'Providing and fixing partition behind the sofa in the living area. Structure made up of ISI marked plywood with specified   finish and  all necessary hardware and fittings',
                        'finish'=>array('Jali with polish','Jali with PU','Glass partition','Wrought iron','Ply with veneer','Ply PU','ply with laminate'),
                        'unit'=>array('LS','As Per Actual','As per vendor list'),
                        'quantity'=>'nodisplay',
                        'rates'=>'nodisplay',
                        'amount'=>'');

        $arr['livingpopmolding'][1] = array(
                        'type'=>'static',
                        'key'=>'livingpopmolding',
                        'sl'=>'3',
                        'particulars' => 'Pop Molding',
                        'description'=>'Providing and fixing POP molding design in the entrance area',
                        'finish'=>array('Paint'),
                        'unit'=>array('LS','As Per Actual','As per vendor list'),
                        'quantity'=>'nodisplay',
                        'rates'=>'nodisplay',
                        'amount'=>'');

        $arr['livingtvunit'][1] = array(
                        'type'=>'static',
                        'key'=>'livingtvunit',
                        'sl'=>'4',
                        'particulars' => 'TV Unit',
                        'description'=>'Providing and fixing base cabinet for tv unit in the living area. Structure made up of ISI marked plywood with specified finish and all necessary hardware and fittings',
                        'finish'=>array('Laminate','Veneer','PU','Veneer and PU','Lacquered Glass','Laminate with Glass','Veneer with Glass','PU with Glass','Laminate with PU'),
                        'unit'=>array('No','Sqft','Rft'),
                        'quantity'=>'',
                        'rates'=>array('1850','2500','2500','2500','2500','1900','2500','2500','2300'),
                        'amount'=>'');

        $arr['livingtvunit'][2] = array(
                        'type'=>'static',
                        'key'=>'livingtvunit',
                        'sl'=>'',
                        'particulars' => '',
                        'description'=>'Providing and fixing box paneling for TV unit in the living area. Structure made of ISI marked plywood with external laminate finish and all necessary hardware fittings.',
                        'finish'=>array('Laminate','Veneer','PU','Veneer and PU','Lacquered Glass'),
                        'unit'=>array('No','Sqft','Rft'),
                        'quantity'=>'',
                        'rates'=>array('950','1150','1150','1150','1150'),
                        'amount'=>'');

        $arr['livingtvunit'][3] = array(
                        'type'=>'static',
                        'key'=>'livingtvunit',
                        'sl'=>'',
                        'particulars' => '',
                        'description'=>'PProviding and fixing pelmet for the TV unit of the living area. Structure made of ISI marked plywood with external veneer/PU finish and all necessary hardware fittings.',
                        'finish'=>array('Laminate','Veneer'),
                        'unit'=>array('No','Sqft','Rft'),
                        'quantity'=>'',
                        'rates'=>array('750','950'),
                        'amount'=>'');
        $arr['livingtvunit'][4] = array(
                        'type'=>'static',
                        'key'=>'livingtvunit',
                        'sl'=>'',
                        'particulars' => '',
                        'description'=>'Providing and fixing top cabinet for tv unit in the living area. Structure made up of ISI marked plywood with specified finish andall necessary hardware and fittings',
                        'finish'=>array('Laminate','Veneer','PU','Veneer and PU','Lacquered Glass','Laminate with Glass','Veneer with Glass','PU with Glass','Laminate with PU'),
                        'unit'=>array('No','Sqft','Rft'),
                        'quantity'=>'',
                        'rates'=>array('1850','2500','2500','2500','2500','1900','2500','2500','2300'),
                        'amount'=>'');
        $arr['livinglowheightstorgae'][1] = array(
                        'type'=>'static',
                        'key'=>'livinglowheightstorgae',
                        'sl'=>'5',
                        'particulars' => 'Low Height Storgae',
                        'description'=>'Providing and fixing low height storage behind the partition in the dining area. Structure made up of ISI marked plywood with specified finish and all necessary hardware and fittings',
                        'finish'=>array('Laminate','Veneer','PU','Veneer and PU','Lacquered Glass','Laminate with Glass','Veneer with Glass','PU with Glass','Laminate with PU'),
                        'unit'=>array('No','Sqft','Rft'),
                        'quantity'=>'',
                        'rates'=>array('1850','2500','2500','2500','2500','1900','2500','2500','2300'),
                        'amount'=>'');

        $arr['livingcrockeryunit'][1] = array(
                        'type'=>'static',
                        'key'=>'livingcrockeryunit',
                        'sl'=>'6',
                        'particulars' => 'Crockery Unit',
                        'description'=>'Providing and fixing crockery unit in the dining area. Structure made up of ISI marked plywood and specified finish and all necessary hardware and fittings',
                        'finish'=>array('Laminate','Veneer','PU','Veneer and PU','Lacquered Glass','Laminate with Glass','Veneer with Glass','PU with Glass','Laminate with PU'),
                        'unit'=>array('No','Sqft','Rft'),
                        'quantity'=>'',
                        'rates'=>array('1850','2500','2500','2500','2500','1900','2500','2500','2300'),
                        'amount'=>'');

        $arr['livingbarunit'][1] = array(
                        'type'=>'static',
                        'key'=>'livingbarunit',
                        'sl'=>'7',
                        'particulars' => 'Bar Unit',
                        'description'=>'Providing and fixing Bar unit in the dining area. Structure made up of ISI marked plywood finish with specified finish and all necessary hardware and fittings',
                        'finish'=>array('Laminate','Veneer','PU','Veneer and PU','Lacquered Glass','Laminate with Glass','Veneer with Glass','PU with Glass','Laminate with PU'),
                        'unit'=>array('No','Sqft','Rft'),
                        'quantity'=>'',
                        'rates'=>array('1850','2500','2500','2500','2500','1900','2500','2500','2300'),
                        'amount'=>'');

        $arr['livingpanelling'][1] = array(
                        'type'=>'static',
                        'key'=>'livingpanelling',
                        'sl'=>'8',
                        'particulars' => 'Panelling',
                        'description'=>'Providing and fixing panelling in the dining/ living area. Structure made up of ISI marked plywood finish with specified finish and all necessary hardware and fittings.',
                        'finish'=>array('Laminate','Veneer','PU','Veneer and PU'),
                        'unit'=>array('No','Sqft','Rft'),
                        'quantity'=>'',
                        'rates'=>array('750','950','950','950'),
                        'amount'=>'');
        $arr['livingwallart'][1] = array(
                        'type'=>'static',
                        'key'=>'livingwallart',
                        'sl'=>'9',
                        'particulars' => 'Wall Art',
                        'description'=>'Providing wall art on the wall of the TV unit as per the design.',
                        'finish'=>array('Acrylic Paint'),
                        'unit'=>array('LS','As per actual','As per vendor list'),
                        'quantity'=>'nodisplay',
                        'rates'=>'nodisplay',
                        'amount'=>'');

        $arr['livingpujaunit'][1] = array(
                        'type'=>'static',
                        'key'=>'livingpujaunit',
                        'sl'=>'10',
                        'particulars' => 'Puja Unit',
                        'description'=>'Providing and fixing puja unit in the Living & Dining Room.  Structure made up of ISI marked plywood finish with specified finish and  all necessary hardware and fittings.',
                        'finish'=>array('Laminate','Marble'),
                        'unit'=>array('LS','As per actual','As per vendor list'),
                        'quantity'=>'nodisplay',
                        'rates'=>'nodisplay',
                        'amount'=>'');

        $arr['livingpujaunit'][2] = array(
                        'type'=>'static',
                        'key'=>'livingpujaunit',
                        'sl'=>'',
                        'particulars' => '',
                        'description'=>'Providing and fixing wall panelling above the puja unit in the study area. Structure made of ISI marked plywood withspecified finish and necessary hardware and fittings.',
                        'finish'=>array('Laminate','Veneer','PU','Veneer and PU'),
                        'unit'=>array('No','Sqft','Rft'),
                        'quantity'=>'',
                        'rates'=>array('750','950','950','950'),
                        'amount'=>'');

        $arr['livingpujaunit'][3] = array(
                        'type'=>'static',
                        'key'=>'livingpujaunit',
                        'sl'=>'',
                        'particulars' => '',
                        'description'=>'Providing and fixing honey onyx with all necesarry materials ',
                        'finish'=>array('Onyx'),
                        'unit'=>array('LS','As per actual','As per vendor list'),
                        'quantity'=>'nodisplay',
                        'rates'=>'nodisplay',
                        'amount'=>'');

        $arr['livingconsoletable'][1] = array(
                        'type'=>'static',
                        'key'=>'livingconsoletable',
                        'sl'=>'11',
                        'particulars' => 'Console table',
                        'description'=>'Providing and fixing console table in the entrance area. Structure made of ISI marked plywood with specified finish finish and all necessary hardware fittings.',
                        'finish'=>array('Laminate','Veneer','PU','Veneer and PU','Lacquered Glass','Laminate with Glass','Veneer with Glass','PU with Glass','Laminate with PU'),
                        'unit'=>array('No','Sqft','Rft'),
                        'quantity'=>'',
                        'rates'=>array('1850','2500','2500','2500','2500','1900','2500','2500','2300'),
                        'amount'=>'');

        $arr['livingconsoletable'][1] = array(
                        'type'=>'static',
                        'key'=>'livingconsoletable',
                        'sl'=>'',
                        'particulars' => '',
                        'description'=>'Providing and fixing false window above the console table. Structure made of ISI marked plywood with specified finish and all necessary hardware fittings.',
                        'finish'=>array('Laminate','Veneer','PU','Veneer and PU','Lacquered Glass','Laminate with Glass','Veneer with Glass','PU with Glass','Laminate with PU'),
                        'unit'=>array('LS','As per actual','As per vendor list'),
                        'quantity'=>'nodisplay',
                        'rates'=>'nodisplay',
                        'amount'=>'');

        $arr['livingwallpaper'][1] = array(
                        'type'=>'static',
                        'key'=>'livingwallpaper',
                        'sl'=>'12',
                        'particulars' => 'Wallpaper',
                        'description'=>'Providing and fixing wallpaper in the living area, behind the sofa.',
                        'finish'=>array('Wallpaper'),
                        'unit'=>array('LS','As per actual','As per vendor list'),
                        'quantity'=>'nodisplay',
                        'rates'=>'nodisplay',
                        'amount'=>'');

        $arr['livingfalseceiling'][1] = array(
                        'type'=>'static',
                        'key'=>'livingfalseceiling',
                        'sl'=>'13',
                        'particulars' => 'False ceiling',
                        'description'=>'Providing and fixing  false ceiling in the living and dining area Bedroom area.',
                        'finish'=>array('POP False Ceiling'),
                        'unit'=>array('No','Sqft','Rft'),
                        'quantity'=>'',
                        'rates'=>array('90'),
                        'amount'=>'');
        $arr['livingwindowseating'][1] = array(
                        'type'=>'static',
                        'key'=>'livingwindowseating',
                        'sl'=>'14',
                        'particulars' => 'Window Seating',
                        'description'=>'Providing and fixing window Seating in the Living & Dining Area. Structure made up of ISI marked plywood with specific finish and all necessary hardware and fittings.',
                        'finish'=>array('Laminate','Veneer','PU','Veneer and PU','Lacquered Glass','Laminate with Glass','Veneer with Glass','PU with Glass','Laminate with PU'),
                        'unit'=>array('No','Sqft','Rft'),
                        'quantity'=>'',
                        'rates'=>array('1850','2500','2500','2500','2500','1900','2500','2500','2300'),
                        'amount'=>'');

        return $arr;
    }

}

if ( ! function_exists('getmasterbedroomconf'))
{
    function getmasterbedroomconf(){

        $arr = array();

        $arr['bed'][1] = array(
                        'type'=>'static',
                        'key'=>'bed',
                        'sl'=>'1',
                        'particulars' => 'Bed',
                        'description'=>'Providing and fixing bed in the master bedroom. Structure made up of ISI marked plywood with specific finish and all necessary hardware and fittings.',
                        'finish'=>array('Laminate','Veneer','PU','Veneer and PU'),
                        'unit'=>array('No','Sqft','Rft'),
                        'quantity'=>'',
                        'rates'=>array('48000','55000','55000','55000'),
                        'amount'=>'');

        $arr['bed'][2] = array(
                        'type'=>'static',
                        'key'=>'bed',
                        'sl'=>'',
                        'particulars' => '',
                        'description'=>'Leather/fabric padding on the head board.',
                        'finish'=>array('Leather','Leatherite','Fabric'),
                        'unit'=>array('LS','As per actual','As per vendor list'),
                        'quantity'=>'nodisplay',
                        'rates'=>'nodisplay',
                        'amount'=>'');
        $arr['bed'][3] = array(
                        'type'=>'static',
                        'key'=>'bed',
                        'sl'=>'',
                        'particulars' => '',
                        'description'=>'Providing and fixing open cabinet above the bed in the master bedroom. Structure made up of ISI marked plywood with Specific finish and all necessary hardware and fittings.',
                        'finish'=>array('Laminate','Veneer','PU','Veneer and PU','Lacquered Glass','Laminate with Glass','Veneer with Glass','PU with Glass','Laminate with PU'),
                        'unit'=>array('No','Sqft','Rft'),
                        'quantity'=>'',
                        'rates'=>array('1850','2500','2500','2500','2500','1900','2500','2500','2300'),
                        'amount'=>'');

        $arr['mastersidetable'][1] = array(
                        'type'=>'static',
                        'key'=>'mastersidetable',
                        'sl'=>'2',
                        'particulars' => 'Side Table',
                        'description'=>'Providing and fixing side table in the master bedroom. Structure made up of ISI marked plywood with specific finish and all necessary hardware and fittings.',
                        'finish'=>array('Laminate','Veneer','PU','Veneer and PU','Lacquered Glass','Laminate with Glass','Veneer with Glass','PU with Glass','Laminate with PU'),
                        'unit'=>array('No','Sqft','Rft'),
                        'quantity'=>'',
                        'rates'=>array('1850','2500','2500','2500','2500','1900','2500','2500','2300'),
                        'amount'=>'');

        $arr['masterdresser'][1] = array(
                        'type'=>'static',
                        'key'=>'masterdresser',
                        'sl'=>'3',
                        'particulars' => 'Dresser',
                        'description'=>'Providing and fixing dresser in the master bedroom. Structure made up of ISI marked plywood finish with  specified finish and all necessary hardware and fittings.',
                        'finish'=>array('Laminate','Veneer','PU','Veneer and PU','Lacquered Glass','Laminate with Glass','Veneer with Glass','PU with Glass','Laminate with PU'),
                        'unit'=>array('No','Sqft','Rft'),
                        'quantity'=>'',
                        'rates'=>array('1850','2500','2500','2500','2500','1900','2500','2500','2300'),
                        'amount'=>'');

        $arr['masterdresser'][2] = array(
                        'type'=>'static',
                        'key'=>'masterdresser',
                        'sl'=>'',
                        'particulars' => '',
                        'description'=>'providing mirror for the dressing unit.',
                        'finish'=>array('Mirror'),
                        'unit'=>array('No','Sqft','Rft'),
                        'quantity'=>'',
                        'rates'=>array('0'),
                        'amount'=>'');

        $arr['mastertvunit'][1] = array(
                        'type'=>'static',
                        'key'=>'mastertvunit',
                        'sl'=>'4',
                        'particulars' => 'TV unit',
                        'description'=>'Providing and fixing base cabinet in the tv unit in the master bedroom. Structure made up of ISI marked plywood finish with internal & external laminate and all necessary hardware and fittings.',
                        'finish'=>array('Laminate','Veneer','PU','Veneer and PU','Lacquered Glass','Laminate with Glass','Veneer with Glass','PU with Glass','Laminate with PU'),
                        'unit'=>array('No','Sqft','Rft'),
                        'quantity'=>'',
                        'rates'=>array('1850','2500','2500','2500','2500','1900','2500','2500','2300'),
                        'amount'=>'');
        $arr['mastertvunit'][2] = array(
                        'type'=>'static',
                        'key'=>'mastertvunit',
                        'sl'=>'',
                        'particulars' => '',
                        'description'=>'Providing and fixing top cabinet for TV unit in the master bedroom. Structure made up of ISI marked plywood finish with internal & external laminate and all necessary hardware and fittings.',
                        'finish'=>array('Laminate','Veneer','PU','Veneer and PU','Lacquered Glass','Laminate with Glass','Veneer with Glass','PU with Glass','Laminate with PU'),
                        'unit'=>array('No','Sqft','Rft'),
                        'quantity'=>'',
                        'rates'=>array('1850','2500','2500','2500','2500','1900','2500','2500','2300'),
                        'amount'=>'');
        $arr['masterloftshutter'][1] = array(
                        'type'=>'static',
                        'key'=>'masterloftshutter',
                        'sl'=>'5',
                        'particulars' => 'Loft shutter',
                        'description'=>'Providing and fixing shutter for loft in the master bedroom. Structure made up of ISI marked plywood finish with internal & external laminate and all necessary hardware and fittings.',
                        'finish'=>array('Laminate','Veneer','PU','Veneer and PU','Lacquered Glass','Laminate with Glass','Veneer with Glass','PU with Glass','Laminate with PU'),
                        'unit'=>array('No','Sqft','Rft'),
                        'quantity'=>'',
                        'rates'=>array('1850','2500','2500','2500','2500','1900','2500','2500','2300'),
                        'amount'=>'');

        $arr['masterconsoleunit'][1] = array(
                        'type'=>'static',
                        'key'=>'masterconsoleunit',
                        'sl'=>'6',
                        'particulars' => 'Console unit',
                        'description'=>'Providing and fixing Console unit in the master bedroom. Structure made up of ISI marked plywood with specified finish and all necessary hardware and fittings.',
                        'finish'=>array('Laminate','Veneer','PU','Veneer and PU','Lacquered Glass','Laminate with Glass','Veneer with Glass','PU with Glass','Laminate with PU'),
                        'unit'=>array('No','Sqft','Rft'),
                        'quantity'=>'',
                        'rates'=>array('1850','2500','2500','2500','2500','1900','2500','2500','2300'),
                        'amount'=>'');

        $arr['mastercabinet'][1] = array(
                        'type'=>'static',
                        'key'=>'mastercabinet',
                        'sl'=>'7',
                        'particulars' => 'Cabinet',
                        'description'=>'Providing and fixing Cabinet in the master bedroom. Structure made up of ISI marked plywood with specific finish and all necessary hardware and fittings.',
                        'finish'=>array('Laminate','Veneer','PU','Veneer and PU','Lacquered Glass','Laminate with Glass','Veneer with Glass','PU with Glass','Laminate with PU'),
                        'unit'=>array('No','Sqft','Rft'),
                        'quantity'=>'',
                        'rates'=>array('1850','2500','2500','2500','2500','1900','2500','2500','2300'),
                        'amount'=>'');

        $arr['mastercabinet'][2] = array(
                        'type'=>'static',
                        'key'=>'mastercabinet',
                        'sl'=>'',
                        'particulars' => '',
                        'description'=>'Providing and fixing open shelves above cabinet in the master bedroom. Structure made up of ISI marked plywood with specific finish and all necessary hardware and fittings.',
                        'finish'=>array('Laminate','Veneer','PU','Veneer and PU','Lacquered Glass','Laminate with Glass','Veneer with Glass','PU with Glass','Laminate with PU'),
                        'unit'=>array('No','Sqft','Rft'),
                        'quantity'=>'',
                        'rates'=>array('1850','2500','2500','2500','2500','1900','2500','2500','2300'),
                        'amount'=>'');

        $arr['masterwardrobewithloft'][1] = array(
                        'type'=>'static',
                        'key'=>'masterwardrobewithloft',
                        'sl'=>'8',
                        'particulars' => 'Wardrobe with loft',
                        'description'=>'Providing and fixing  wardrobe with loft in the master bedroom. Structure made up of ISI marked plywood with specific finish and all necessary hardware and fittings.',
                        'finish'=>array('Laminate','Veneer','PU','Veneer and PU','Lacquered Glass','Laminate with Glass','Veneer with Glass','PU with Glass','Laminate with PU'),
                        'unit'=>array('No','Sqft','Rft'),
                        'quantity'=>'',
                        'rates'=>array('1850','2500','2500','2500','2500','1900','2500','2500','2300'),
                        'amount'=>'');

        $arr['masterwindowseating'][1] = array(
                        'type'=>'static',
                        'key'=>'masterwindowseating',
                        'sl'=>'9',
                        'particulars' => 'Window Seating',
                        'description'=>'Providing and fixing window Seating in the master bedroom. Structure made up of ISI marked plywood with specific finish and all necessary hardware and fittings.',
                        'finish'=>array('Laminate','Veneer','PU','Veneer and PU','Lacquered Glass','Laminate with Glass','Veneer with Glass','PU with Glass','Laminate with PU'),
                        'unit'=>array('No','Sqft','Rft'),
                        'quantity'=>'',
                        'rates'=>array('1850','2500','2500','2500','2500','1900','2500','2500','2300'),
                        'amount'=>'');

        $arr['masterwindowseating'][2] = array(
                        'type'=>'static',
                        'key'=>'masterwindowseating',
                        'sl'=>'',
                        'particulars' => '',
                        'description'=>'Providing mattress for the seating.',
                        'finish'=>array('Leather','Leatherite','Fabric'),
                        'unit'=>array('LS','As per actual','As per vendor list'),
                        'quantity'=>'nodisplay',
                        'rates'=>'nodisplay',
                        'amount'=>'');

        $arr['masterfalseceiling'][1] = array(
                        'type'=>'static',
                        'key'=>'masterfalseceiling',
                        'sl'=>'10',
                        'particulars' => 'False ceiling',
                        'description'=>'Providing and fixing  false ceiling in the Master Bedroom area.',
                        'finish'=>array('POP False Ceiling'),
                        'unit'=>array('No','Sqft','Rft'),
                        'quantity'=>'',
                        'rates'=>array('90'),
                        'amount'=>'');

        $arr['masterwallpaper'][1] = array(
                        'type'=>'static',
                        'key'=>'masterwallpaper',
                        'sl'=>'11',
                        'particulars' => 'Wallpaper',
                        'description'=>'Providing and fixing wallpaper in the Master bedroom.',
                        'finish'=>array('Wallpaper'),
                        'unit'=>array('LS','As per actual','As per vendor list'),
                        'quantity'=>'nodisplay',
                        'rates'=>'nodisplay',
                        'amount'=>'');

        return $arr;
    }   
}

if ( ! function_exists('getkidsconf'))
{
    function getkidsconf(){

        $arr = array();

        $arr['kidsbed'][1] = array(
                        'type'=>'static',
                        'key'=>'kidsbed',
                        'sl'=>'1',
                        'particulars' => 'Bed',
                        'description'=>'Providing and fixing bed in the kids bedroom. Structure made up of ISI marked plywood with specific finish and all necessary hardware and fittings.',
                        'finish'=>array('Laminate','Veneer','PU','Veneer and PU'),
                        'unit'=>array('No','Sqft','Rft'),
                        'quantity'=>'',
                        'rates'=>array('48000','55000','55000','55000'),
                        'amount'=>'');

        $arr['kidsbed'][2] = array(
                        'type'=>'static',
                        'key'=>'kidsbed',
                        'sl'=>'',
                        'particulars' => '',
                        'description'=>'Providing and fixing open cabinet above the bed in the kids bedroom. Structure made up of ISI marked plywood with Specific finish and all necessary hardware and fittings.',
                        'finish'=>array('Laminate','Veneer','PU','Veneer and PU','Lacquered Glass','Laminate with Glass','Veneer with Glass','PU with Glass','Laminate with PU'),
                        'unit'=>array('No','Sqft','Rft'),
                        'quantity'=>'',
                        'rates'=>array('1850','2500','2500','2500','2500','1900','2500','2500','2300'),
                        'amount'=>'');

        $arr['kidsbed'][3] = array(
                        'type'=>'static',
                        'key'=>'kidsbed',
                        'sl'=>'',
                        'particulars' => '',
                        'description'=>'Leather/fabric padding on the head board.',
                        'finish'=>array('Leather','Leatherite','Fabric'),
                        'unit'=>array('LS','As per actual','As per vendor list'),
                        'quantity'=>'nodisplay',
                        'rates'=>'nodisplay',
                        'amount'=>'');

        $arr['kidssidetable'][1] = array(
                        'type'=>'static',
                        'key'=>'kidssidetable',
                        'sl'=>'2',
                        'particulars' => 'Side Table',
                        'description'=>'Providing and fixing side table in the kids bedroom. Structure made up of ISI marked plywood with specified finish and all necessary hardware and fittings.',
                        'finish'=>array('Laminate','Veneer','PU','Veneer and PU','Lacquered Glass','Laminate with Glass','Veneer with Glass','PU with Glass','Laminate with PU'),
                        'unit'=>array('No','Sqft','Rft'),
                        'quantity'=>'',
                        'rates'=>array('1850','2500','2500','2500','2500','1900','2500','2500','2300'),
                        'amount'=>'');

        $arr['kidscabinet'][1] = array(
                        'type'=>'static',
                        'key'=>'kidscabinet',
                        'sl'=>'3',
                        'particulars' => 'Cabinet',
                        'description'=>'Providing and fixing cabinet above the side table in kidss bedroom. Structure made up of ISI marked plywood with specified finish and all necessary hardware and fittings.',
                        'finish'=>array('Laminate','Veneer','PU','Veneer and PU','Lacquered Glass','Laminate with Glass','Veneer with Glass','PU with Glass','Laminate with PU'),
                        'unit'=>array('No','Sqft','Rft'),
                        'quantity'=>'',
                        'rates'=>array('1850','2500','2500','2500','2500','1900','2500','2500','2300'),
                        'amount'=>'');

        $arr['kidsstudyunitcumbookshelf'][1] = array(
                        'type'=>'static',
                        'key'=>'kidsstudyunitcumbookshelf',
                        'sl'=>'4',
                        'particulars' => 'Study Unit cum Book Shelf',
                        'description'=>'Providing and fixing study unit with bookshelf in the Kids room. Structure made up of ISI marked plywood with specified finish withand all necessary hardware and fittings.',
                        'finish'=>array('Laminate','Veneer','PU','Veneer and PU','Lacquered Glass','Laminate with Glass','Veneer with Glass','PU with Glass','Laminate with PU'),
                        'unit'=>array('No','Sqft','Rft'),
                        'quantity'=>'',
                        'rates'=>array('1850','2500','2500','2500','2500','1900','2500','2500','2300'),
                        'amount'=>'');

        $arr['kidswardrobewithloft'][1] = array(
                        'type'=>'static',
                        'key'=>'kidswardrobewithloft',
                        'sl'=>'5',
                        'particulars' => 'Wardrobe with loft',
                        'description'=>'Providing and fixing wardrobe with loft in the kids room. Structure made up of ISI marked plywood with specific finish and all necessary hardware and fittings.',
                        'finish'=>array('Laminate','Veneer','PU','Veneer and PU','Lacquered Glass','Laminate with Glass','Veneer with Glass','PU with Glass','Laminate with PU'),
                        'unit'=>array('No','Sqft','Rft'),
                        'quantity'=>'',
                        'rates'=>array('1850','2500','2500','2500','2500','1900','2500','2500','2300'),
                        'amount'=>'');

        $arr['kidsdresser'][1] = array(
                        'type'=>'static',
                        'key'=>'kidsdresser',
                        'sl'=>'6',
                        'particulars' => 'Dresser',
                        'description'=>'Providing and fixing Dresser in the Kids room.  Structure made up of ISI marked plywood with specific finish and all necessary hardware and fittings.',
                        'finish'=>array('Laminate','Veneer','PU','Veneer and PU','Lacquered Glass','Laminate with Glass','Veneer with Glass','PU with Glass','Laminate with PU'),
                        'unit'=>array('No','Sqft','Rft'),
                        'quantity'=>'',
                        'rates'=>array('1850','2500','2500','2500','2500','1900','2500','2500','2300'),
                        'amount'=>'');

        $arr['kidsdresser'][2] = array(
                        'type'=>'static',
                        'key'=>'kidsdresser',
                        'sl'=>'',
                        'particulars' => '',
                        'description'=>'Providing and fixing mirror for the dressing unit.',
                        'finish'=>array('Mirror'),
                        'unit'=>array('No','Sqft','Rft'),
                        'quantity'=>'',
                        'rates'=>array('0'),
                        'amount'=>'');

        $arr['kidsbookshelves'][1] = array(
                        'type'=>'static',
                        'key'=>'kidsbookshelves',
                        'sl'=>'7',
                        'particulars' => 'Book Shelves',
                        'description'=>'Providing and fixing Book shelves with open & closed units in the kidss room.  Structure made up of ISI marked plywood with specific finish and all necessary hardware and fittings.',
                        'finish'=>array('Laminate','Veneer','PU','Veneer and PU','Lacquered Glass','Laminate with Glass','Veneer with Glass','PU with Glass','Laminate with PU'),
                        'unit'=>array('No','Sqft','Rft'),
                        'quantity'=>'',
                        'rates'=>array('1850','2500','2500','2500','2500','1900','2500','2500','2300'),
                        'amount'=>'');

        $arr['kidsloftshutter'][1] = array(
                        'type'=>'static',
                        'key'=>'kidsloftshutter',
                        'sl'=>'8',
                        'particulars' => 'Loft shutter',
                        'description'=>'Providing and fixing shutter for loft in the kids bedroom. Structure made up of ISI marked plywood with specific finish and all necessary hardware and fittings.',
                        'finish'=>array('Laminate','Veneer','PU','Veneer and PU','Lacquered Glass','Laminate with Glass','Veneer with Glass','PU with Glass','Laminate with PU'),
                        'unit'=>array('No','Sqft','Rft'),
                        'quantity'=>'',
                        'rates'=>array('1850','2500','2500','2500','2500','1900','2500','2500','2300'),
                        'amount'=>'');

        $arr['kidsfalseceiling'][1] = array(
                        'type'=>'static',
                        'key'=>'kidsfalseceiling',
                        'sl'=>'9',
                        'particulars' => 'False ceiling',
                        'description'=>'Providing and fixing  false ceiling in the Kids bedroom area.',
                        'finish'=>array('POP False Ceiling'),
                        'unit'=>array('No','Sqft','Rft'),
                        'quantity'=>'',
                        'rates'=>array('90'),
                        'amount'=>'');

        $arr['kidswallpaper'][1] = array(
                        'type'=>'static',
                        'key'=>'kidswallpaper',
                        'sl'=>'10',
                        'particulars' => 'Wallpaper',
                        'description'=>'Providing and fixing wallpaper in the Kids room',
                        'finish'=>array('Wallpaper'),
                        'unit'=>array('LS','As per actual','As per vendor list'),
                        'quantity'=>'nodisplay',
                        'rates'=>'nodisplay',
                        'amount'=>'');
        $arr['kidswindowseating'][1] = array(
                        'type'=>'static',
                        'key'=>'kidswindowseating',
                        'sl'=>'11',
                        'particulars' => 'Window Seating',
                        'description'=>'Providing and fixing window Seating in the Kids Room. Structure made up of ISI marked plywood with specific finish and all necessary hardware and fittings.',
                        'finish'=>array('Laminate','Veneer','PU','Veneer and PU','Lacquered Glass','Laminate with Glass','Veneer with Glass','PU with Glass','Laminate with PU'),
                        'unit'=>array('No','Sqft','Rft'),
                        'quantity'=>'',
                        'rates'=>array('1850','2500','2500','2500','2500','1900','2500','2500','2300'),
                        'amount'=>'');

        return $arr;
    }   
}

if ( ! function_exists('getguestconf'))
{
    function getguestconf(){

        $arr = array();

        $arr['guestbed'][1] = array(
                        'type'=>'static',
                        'key'=>'guestbed',
                        'sl'=>'1',
                        'particulars' => 'Bed',
                        'description'=>'Providing and fixing bed in the guest bedroom. Structure made up of ISI marked plywood with specific finish and all necessary hardware and fittings.',
                        'finish'=>array('Laminate','Veneer','PU','Veneer and PU'),
                        'unit'=>array('No','Sqft','Rft'),
                        'quantity'=>'',
                        'rates'=>array('48000','55000','55000','55000'),
                        'amount'=>'');

        $arr['guestwardobewithloft'][1] = array(
                        'type'=>'static',
                        'key'=>'guestwardobewithloft',
                        'sl'=>'2',
                        'particulars' => 'Wardobe with loft',
                        'description'=>'Providing and fixing wardrobe in the Guest room. Structure made up of ISI marked plywood specified finish and  all necessary hardware and fittings.',
                        'finish'=>array('Laminate','Veneer','PU','Veneer and PU','Lacquered Glass','Laminate with Glass','Veneer with Glass','PU with Glass','Laminate with PU'),
                        'unit'=>array('No','Sqft','Rft'),
                        'quantity'=>'',
                        'rates'=>array('1850','2500','2500','2500','2500','1900','2500','2500','2300'),
                        'amount'=>'');

        $arr['gueststudytable'][1] = array(
                        'type'=>'static',
                        'key'=>'gueststudytable',
                        'sl'=>'3',
                        'particulars' => 'Study Table',
                        'description'=>'Providing and fixing Study table in the Guest bedroom. Structure made up of ISI marked plywood finish with specified finish and all necessary hardware and fittings.',
                        'finish'=>array('Laminate','Veneer','PU','Veneer and PU','Lacquered Glass','Laminate with Glass','Veneer with Glass','PU with Glass','Laminate with PU'),
                        'unit'=>array('No','Sqft','Rft'),
                        'quantity'=>'',
                        'rates'=>array('1850','2500','2500','2500','2500','1900','2500','2500','2300'),
                        'amount'=>'');

        $arr['gueststudytable'][2] = array(
                        'type'=>'static',
                        'key'=>'gueststudytable',
                        'sl'=>'',
                        'particulars' => '',
                        'description'=>'Providing and fixing Open Shelves near the study unit in the Guest bedroom. Structure made up of ISI marked plywood finish with specified finish and all necessary hardware and fittings.',
                        'finish'=>array('Laminate','Veneer','PU','Veneer and PU','Lacquered Glass','Laminate with Glass','Veneer with Glass','PU with Glass','Laminate with PU'),
                        'unit'=>array('No','Sqft','Rft'),
                        'quantity'=>'',
                        'rates'=>array('1850','2500','2500','2500','2500','1900','2500','2500','2300'),
                        'amount'=>'');

        $arr['guestbookshelves'][1] = array(
                        'type'=>'static',
                        'key'=>'guestbookshelves',
                        'sl'=>'4',
                        'particulars' => 'Book Shelves',
                        'description'=>'Providing and fixing Book Shelves in the Guest bedroom with open & closed units. Structure made up of ISI marked plywood specified finish and all necessary hardware and fittings.',
                        'finish'=>array('Laminate','Veneer','PU','Veneer and PU','Lacquered Glass','Laminate with Glass','Veneer with Glass','PU with Glass','Laminate with PU'),
                        'unit'=>array('No','Sqft','Rft'),
                        'quantity'=>'',
                        'rates'=>array('1850','2500','2500','2500','2500','1900','2500','2500','2300'),
                        'amount'=>'');

        $arr['guestpujaunit'][1] = array(
                        'type'=>'static',
                        'key'=>'guestpujaunit',
                        'sl'=>'5',
                        'particulars' => 'Puja Unit',
                        'description'=>'Providing and fixing puja unit in the Guest Room.  Structure made up of ISI marked plywood finish with specified finish and  all necessary hardware and fittings.',
                        'finish'=>array('Laminate','Marble'),
                        'unit'=>array('LS','As per actual','As per vendor list'),
                        'quantity'=>'nodisplay',
                        'rates'=>'nodisplay',
                        'amount'=>'');

        $arr['guestpujaunit'][2] = array(
                        'type'=>'static',
                        'key'=>'guestpujaunit',
                        'sl'=>'',
                        'particulars' => '',
                        'description'=>'Providing and fixing wall panelling above the puja unit in the study area. Structure made of ISI marked plywood withspecified finish and necessary hardware and fittings.',
                        'finish'=>array('Laminate','Veneer','PU','Veneer and PU'),
                        'unit'=>array('No','Sqft','Rft'),
                        'quantity'=>'',
                        'rates'=>array('750','950','950','950'),
                        'amount'=>'');

        $arr['guestpujaunit'][3] = array(
                        'type'=>'static',
                        'key'=>'guestpujaunit',
                        'sl'=>'',
                        'particulars' => '',
                        'description'=>'Providing and fixing honey onyx with all necesarry materials',
                        'finish'=>array('Onyx'),
                        'unit'=>array('LS','As per actual','As per vendor list'),
                        'quantity'=>'nodisplay',
                        'rates'=>'nodisplay',
                        'amount'=>'');

        $arr['guestfalseceiling'][1] = array(
                        'type'=>'static',
                        'key'=>'guestfalseceiling',
                        'sl'=>'6',
                        'particulars' => 'False ceiling',
                        'description'=>'Providing and fixing  false ceiling in the Guest bedroom area.',
                        'finish'=>array('POP False Ceiling'),
                        'unit'=>array('No','Sqft','Rft'),
                        'quantity'=>'',
                        'rates'=>array('90'),
                        'amount'=>'');

        $arr['guestwallpaper'][1] = array(
                        'type'=>'static',
                        'key'=>'guestwallpaper',
                        'sl'=>'7',
                        'particulars' => 'Wallpaper',
                        'description'=>'Providing and fixing wallpaper in the Guest bedroom',
                        'finish'=>array('Wallpaper'),
                        'unit'=>array('LS','As per actual','As per vendor list'),
                        'quantity'=>'nodisplay',
                        'rates'=>'nodisplay',
                        'amount'=>'');
        $arr['guestwindowseating'][1] = array(
                        'type'=>'static',
                        'key'=>'guestwindowseating',
                        'sl'=>'8',
                        'particulars' => 'Window Seating',
                        'description'=>'Providing and fixing window Seating in the Guest Room. Structure made up of ISI marked plywood with specific finish and all necessary hardware and fittings.',
                        'finish'=>array('Laminate','Veneer','PU','Veneer and PU','Lacquered Glass','Laminate with Glass','Veneer with Glass','PU with Glass','Laminate with PU'),
                        'unit'=>array('No','Sqft','Rft'),
                        'quantity'=>'',
                        'rates'=>array('1850','2500','2500','2500','2500','1900','2500','2500','2300'),
                        'amount'=>'');

        return $arr;
    }   
}

if ( ! function_exists('getdenconf'))
{
    function getdenconf(){

        $arr = array();

        $arr['pulldownbed'][1] = array(
                        'type'=>'static',
                        'key'=>'pulldownbed',
                        'sl'=>'1',
                        'particulars' => 'Pull down bed',
                        'description'=>'Providing and fixing pull down bed in the den area. Structure made of ISI marked plywood, finish with internal & external laminate  and all necessary hardware fittings.',
                        'finish'=>array('Laminate','Veneer','PU','Veneer and PU'),
                        'unit'=>array('No','Sqft','Rft'),
                        'quantity'=>'',
                        'rates'=>array('48000','55000','55000','55000'),
                        'amount'=>'');

        $arr['pulldownbed'][2] = array(
                        'type'=>'static',
                        'key'=>'pulldownbed',
                        'sl'=>'',
                        'particulars' => '',
                        'description'=>'Fitting for the pulldown bed',
                        'finish'=>array(''),
                        'unit'=>array('LS','As per actual','As per vendor list'),
                        'quantity'=>'nodisplay',
                        'rates'=>'nodisplay',
                        'amount'=>'');
        $arr['pulldownbed'][3] = array(
                        'type'=>'static',
                        'key'=>'pulldownbed',
                        'sl'=>'',
                        'particulars' => '',
                        'description'=>'Leather padding on the head board',
                        'finish'=>array(''),
                        'unit'=>array('LS','As per actual','As per vendor list'),
                        'quantity'=>'nodisplay',
                        'rates'=>'nodisplay',
                        'amount'=>'');

        $arr['denopenshelves'][1] = array(
                        'type'=>'static',
                        'key'=>'denopenshelves',
                        'sl'=>'2',
                        'particulars' => 'Open Shelves',
                        'description'=>'Providing and fixing open shelves beside pulldown bed in the den area. Structure made of ISI marked plywood, finish with internal & external laminate  and all necessary hardware fittings.',
                        'finish'=>array('Laminate','Veneer','PU','Veneer and PU','Lacquered Glass','Laminate with Glass','Veneer with Glass','PU with Glass','Laminate with PU'),
                        'unit'=>array('No','Sqft','Rft'),
                        'quantity'=>'',
                        'rates'=>array('1850','2500','2500','2500','2500','1900','2500','2500','2300'),
                        'amount'=>'');

        $arr['denwindowseating'][1] = array(
                        'type'=>'static',
                        'key'=>'denwindowseating',
                        'sl'=>'3',
                        'particulars' => 'Window Seating',
                        'description'=>'Providing and fixing base for window seating   in the den area. Structure made of ISI marked plywood, finish with internal & external laminate  and all necessary hardware fittings.',
                        'finish'=>array('Laminate','Veneer','PU','Veneer and PU','Lacquered Glass','Laminate with Glass','Veneer with Glass','PU with Glass','Laminate with PU'),
                        'unit'=>array('No','Sqft','Rft'),
                        'quantity'=>'',
                        'rates'=>array('1850','2500','2500','2500','2500','1900','2500','2500','2300'),
                        'amount'=>'');

        $arr['denwindowseating'][2] = array(
                        'type'=>'static',
                        'key'=>'denwindowseating',
                        'sl'=>'',
                        'particulars' => '',
                        'description'=>'Mattress for the seating',
                        'finish'=>array(''),
                        'unit'=>array('LS','As per actual','As per vendor list'),
                        'quantity'=>'nodisplay',
                        'rates'=>'nodisplay',
                        'amount'=>'');

        $arr['denwardrobewithloft'][1] = array(
                        'type'=>'static',
                        'key'=>'denwardrobewithloft',
                        'sl'=>'4',
                        'particulars' => 'Wardrobe With Loft',
                        'description'=>'Providing and fixing wardrobe with loft in the den area. Structure made of ISI marked plywood, finish with internal & external laminate  and all necessary hardware fittings.',
                        'finish'=>array('Laminate','Veneer','PU','Veneer and PU','Lacquered Glass','Laminate with Glass','Veneer with Glass','PU with Glass','Laminate with PU'),
                        'unit'=>array('No','Sqft','Rft'),
                        'quantity'=>'',
                        'rates'=>array('1850','2500','2500','2500','2500','1900','2500','2500','2300'),
                        'amount'=>'');

        $arr['denstudytable'][1] = array(
                        'type'=>'static',
                        'key'=>'denstudytable',
                        'sl'=>'5',
                        'particulars' => 'Study Table',
                        'description'=>'Providing and fixing study table in the kids room. Structure made of ISI marked plywood finish with internal laminate & external veneer/PU and all necessary hardware fittings.',
                        'finish'=>array('Laminate','Veneer','PU','Veneer and PU','Lacquered Glass','Laminate with Glass','Veneer with Glass','PU with Glass','Laminate with PU'),
                        'unit'=>array('No','Sqft','Rft'),
                        'quantity'=>'',
                        'rates'=>array('1850','2500','2500','2500','2500','1900','2500','2500','2300'),
                        'amount'=>'');

        $arr['denstudytable'][2] = array(
                        'type'=>'static',
                        'key'=>'denstudytable',
                        'sl'=>'',
                        'particulars' => '',
                        'description'=>'Providing and fixing overhead cabinet for the study table  in the den area. Structure made of ISI marked plywood, finish with internal & external laminate  and all necessary hardware fittings.',
                        'finish'=>array('Laminate','Veneer','PU','Veneer and PU','Lacquered Glass','Laminate with Glass','Veneer with Glass','PU with Glass','Laminate with PU'),
                        'unit'=>array('No','Sqft','Rft'),
                        'quantity'=>'',
                        'rates'=>array('1850','2500','2500','2500','2500','1900','2500','2500','2300'),
                        'amount'=>'');

        $arr['denstudytable'][3] = array(
                        'type'=>'static',
                        'key'=>'denstudytable',
                        'sl'=>'',
                        'particulars' => '',
                        'description'=>'Providing and fixing loft for the study table  in the den area. Structure made of ISI marked plywood, finish with internal & external laminate  and all necessary hardware fittings.',
                        'finish'=>array('Laminate','Veneer','PU','Veneer and PU','Lacquered Glass','Laminate with Glass','Veneer with Glass','PU with Glass','Laminate with PU'),
                        'unit'=>array('No','Sqft','Rft'),
                        'quantity'=>'',
                        'rates'=>array('1850','2500','2500','2500','2500','1900','2500','2500','2300'),
                        'amount'=>'');

        $arr['denstudychair'][1] = array(
                        'type'=>'static',
                        'key'=>'denstudychair',
                        'sl'=>'6',
                        'particulars' => 'Study chair',
                        'description'=>'Providing and fixing study chair in the kids room. ',
                        'finish'=>array('Study Chair'),
                        'unit'=>array('LS','As per actual','As per vendor list'),
                        'quantity'=>'nodisplay',
                        'rates'=>'nodisplay',
                        'amount'=>'');

        $arr['denwallpaper'][1] = array(
                        'type'=>'static',
                        'key'=>'denwallpaper',
                        'sl'=>'7',
                        'particulars' => 'Wallpaper',
                        'description'=>'Providing and fixing wallpaper in den area',
                        'finish'=>array('Wallpaper'),
                        'unit'=>array('LS','As per actual','As per vendor list'),
                        'quantity'=>'nodisplay',
                        'rates'=>'nodisplay',
                        'amount'=>'');

        return $arr;
    }   
}

if ( ! function_exists('getpujaconf'))
{
    function getpujaconf(){

        $arr = array();

        $arr['panellingforonyx'][1] = array(
                        'type'=>'static',
                        'key'=>'panellingforonyx',
                        'sl'=>'1',
                        'particulars' => 'Panelling for onyx',
                        'description'=>'Providing and fixing panelling for fixing onyx behind the puja unit in thr puja area. Structure made of ISI marked plywood with all necessary hardware fittings.',
                        'finish'=>array('Laminate','Veneer','PU','Veneer and PU','Ply Box Paneling'),
                        'unit'=>array('No','Sqft','Rft'),
                        'quantity'=>'',
                        'rates'=>array('950','1150','1150','1150','1150'),
                        'amount'=>'');

        $arr['onyx'][1] = array(
                        'type'=>'static',
                        'key'=>'onyx',
                        'sl'=>'2',
                        'particulars' => 'Onyx',
                        'description'=>'Fixing onyx behind the puja unit in the puja area with all necessary hardware fittings.',
                        'finish'=>array('Onyx'),
                        'unit'=>array('LS','As per actual','As per vendor list'),
                        'quantity'=>'nodisplay',
                        'rates'=>'nodisplay',
                        'amount'=>'');
        $arr['jali'][1] = array(
                        'type'=>'static',
                        'key'=>'jali',
                        'sl'=>'3',
                        'particulars' => 'Jali',
                        'description'=>'Providing and fixing jali in front of the onyx behind the puja unit in the puja area . Structure made of ISI marked pywood mdf with polish finish with necessary hardware fittings.',
                        'finish'=>array('Jali'),
                        'unit'=>array('LS','As per actual','As per vendor list'),
                        'quantity'=>'nodisplay',
                        'rates'=>'nodisplay',
                        'amount'=>'');

        $arr['woodenceiling'][1] = array(
                        'type'=>'static',
                        'key'=>'woodenceiling',
                        'sl'=>'4',
                        'particulars' => 'Wooden Ceiling',
                        'description'=>'Providing and fixing wooden carved design with wooden moulding and cornice on the ceiling in the puja area. Structure made up of wood with polish finish and all necessary hardware fittings.',
                        'finish'=>array('Wooden Ceiling'),
                        'unit'=>array('LS','As per actual','As per vendor list'),
                        'quantity'=>'nodisplay',
                        'rates'=>'nodisplay',
                        'amount'=>'');

        $arr['popcornice'][1] = array(
                        'type'=>'static',
                        'key'=>'popcornice',
                        'sl'=>'5',
                        'particulars' => 'POP Cornice',
                        'description'=>'Providing and fixing POP cornice inside the dome design on the ceiling in the puja area. Structure made up of wood with polish finish and all necessary hardware fittings.',
                        'finish'=>array('POP Cornice'),
                        'unit'=>array('LS','As per actual','As per vendor list'),
                        'quantity'=>'nodisplay',
                        'rates'=>'nodisplay',
                        'amount'=>'');

        $arr['metallicpaint'][1] = array(
                        'type'=>'static',
                        'key'=>'metallicpaint',
                        'sl'=>'6',
                        'particulars' => 'Metallic Paint',
                        'description'=>'Providing and fixing golden metallic paint inside the dome design on the ceiling in the puja area. ( mettalic shade)',
                        'finish'=>array('Metallic Paint'),
                        'unit'=>array('LS','As per actual','As per vendor list'),
                        'quantity'=>'nodisplay',
                        'rates'=>'nodisplay',
                        'amount'=>'');

        return $arr;
    }   
}

if ( ! function_exists('getparentsconf'))
{
    function getparentsconf(){

        $arr = array();

        $arr['parentsbed'][1] = array(
                        'type'=>'static',
                        'key'=>'parentsbed',
                        'sl'=>'1',
                        'particulars' => 'Bed',
                        'description'=>'Providing and fixing bed in the parents bedroom. Structure made up of ISI marked plywood with internal laminate finish and all necessary hardware fittings.',
                        'finish'=>array('Laminate','Veneer','PU','Veneer and PU'),
                        'unit'=>array('No','Sqft','Rft'),
                        'quantity'=>'',
                        'rates'=>array('48000','55000','55000','55000'),
                        'amount'=>'');

        $arr['headboardpaneling'][1] = array(
                        'type'=>'static',
                        'key'=>'headboardpaneling',
                        'sl'=>'',
                        'particulars' => 'Headboard paneling',
                        'description'=>'Providing and fixing leather padding on the headboard and on the sides of the bed.',
                        'finish'=>array('Laminate','Leatherite','Fabric'),
                        'unit'=>array('LS','As per actual','As per vendor list'),
                        'quantity'=>'nodisplay',
                        'rates'=>'nodisplay',
                        'amount'=>'');

        $arr['parentssidetable'][1] = array(
                        'type'=>'static',
                        'key'=>'parentssidetable',
                        'sl'=>'2',
                        'particulars' => 'Side table',
                        'description'=>'Providing and fixing Side table in the parent bedroom. Structure made of ISI marked plywood with internal & external laminate finish and all necessary hardware fittings.',
                        'finish'=>array('Laminate','Veneer','PU','Veneer and PU','Lacquered Glass','Laminate with Glass','Veneer with Glass','PU with Glass','Laminate with PU'),
                        'unit'=>array('No','Sqft','Rft'),
                        'quantity'=>'',
                        'rates'=>array('1850','2500','2500','2500','2500','1900','2500','2500','2300'),
                        'amount'=>'');

        $arr['parentsdresser'][1] = array(
                        'type'=>'static',
                        'key'=>'parentsdresser',
                        'sl'=>'3',
                        'particulars' => 'Dresser',
                        'description'=>'Providing and fixing Dresser in the Kids room.  Structure made up of ISI marked plywood with specific finish and all necessary hardware and fittings.',
                        'finish'=>array('Laminate','Veneer','PU','Veneer and PU','Lacquered Glass','Laminate with Glass','Veneer with Glass','PU with Glass','Laminate with PU'),
                        'unit'=>array('No','Sqft','Rft'),
                        'quantity'=>'',
                        'rates'=>array('1850','2500','2500','2500','2500','1900','2500','2500','2300'),
                        'amount'=>'');

        $arr['parentsdresser'][1] = array(
                        'type'=>'static',
                        'key'=>'parentsdresser',
                        'sl'=>'',
                        'particulars' => '',
                        'description'=>'Providing and fixing mirror for the dressing unit.',
                        'finish'=>array('Mirror'),
                        'unit'=>array('No','Sqft','Rft'),
                        'quantity'=>'',
                        'rates'=>array('0'),
                        'amount'=>'');

        $arr['parentsopenshelves'][1] = array(
                        'type'=>'static',
                        'key'=>'parentsopenshelves',
                        'sl'=>'4',
                        'particulars' => 'Open Shelves',
                        'description'=>'Providing and fixing open shelves near the dresser in the Parents room area. Structure made of ISI marked plywood with internal & external laminate finish and all necessary hardware fittings.',
                        'finish'=>array('Laminate','Veneer','PU','Veneer and PU','Lacquered Glass','Laminate with Glass','Veneer with Glass','PU with Glass','Laminate with PU'),
                        'unit'=>array('No','Sqft','Rft'),
                        'quantity'=>'',
                        'rates'=>array('1850','2500','2500','2500','2500','1900','2500','2500','2300'),
                        'amount'=>'');
        $arr['parentstvunit'][1] = array(
                        'type'=>'static',
                        'key'=>'parentstvunit',
                        'sl'=>'5',
                        'particulars' => 'T.V Unit',
                        'description'=>'Providing and fixing base storage in the TV unit of the parents room. Structure made of ISI marked plywood with internal & external laminate finish and all necessary hardware fittings.',
                        'finish'=>array('Laminate','Veneer','PU','Veneer and PU','Lacquered Glass','Laminate with Glass','Veneer with Glass','PU with Glass','Laminate with PU'),
                        'unit'=>array('No','Sqft','Rft'),
                        'quantity'=>'',
                        'rates'=>array('1850','2500','2500','2500','2500','1900','2500','2500','2300'),
                        'amount'=>'');
        $arr['parentstvunit'][2] = array(
                        'type'=>'static',
                        'key'=>'parentstvunit',
                        'sl'=>'',
                        'particulars' => '',
                        'description'=>'Providing and fixing paneling for TV unit in the parents room. Structure made of ISI marked plywood with external laminate finish and all necessary hardware fittings.',
                        'finish'=>array('Laminate','Veneer','PU','Veneer and PU','Lacquered Glass','Laminate with Glass','Veneer with Glass','PU with Glass','Laminate with PU'),
                        'unit'=>array('No','Sqft','Rft'),
                        'quantity'=>'',
                        'rates'=>array('1850','2500','2500','2500','2500','1900','2500','2500','2300'),
                        'amount'=>'');

        $arr['parentswarbrobewithloft'][1] = array(
                        'type'=>'static',
                        'key'=>'parentswarbrobewithloft',
                        'sl'=>'6',
                        'particulars' => 'Warbrobe with loft',
                        'description'=>'Providing and fixing wardrobe or storage closed cabinet in the Parents room. Structure made of ISI marked plywood with internal & external laminate & paint finish and all necessary hardware fittings.',
                        'finish'=>array('Laminate','Veneer','PU','Veneer and PU','Lacquered Glass','Laminate with Glass','Veneer with Glass','PU with Glass','Laminate with PU'),
                        'unit'=>array('No','Sqft','Rft'),
                        'quantity'=>'',
                        'rates'=>array('1850','2500','2500','2500','2500','1900','2500','2500','2300'),
                        'amount'=>'');
        $arr['parentswindowseating'][1] = array(
                        'type'=>'static',
                        'key'=>'parentswindowseating',
                        'sl'=>'7',
                        'particulars' => 'Window seating',
                        'description'=>'Providing and fixing window seating in the Parents room. Structure made of ISI marked plywood with internal & external laminate finish and all necessary hardware fittings.',
                        'finish'=>array('Laminate','Veneer','PU','Veneer and PU','Lacquered Glass','Laminate with Glass','Veneer with Glass','PU with Glass','Laminate with PU'),
                        'unit'=>array('No','Sqft','Rft'),
                        'quantity'=>'',
                        'rates'=>array('1850','2500','2500','2500','2500','1900','2500','2500','2300'),
                        'amount'=>'');

        $arr['parentswindowseating'][2] = array(
                        'type'=>'static',
                        'key'=>'parentswindowseating',
                        'sl'=>'',
                        'particulars' => '',
                        'description'=>'Providing and fixing open cabinet above the seating area in the Parents room. Structure made of ISI marked plywood with internal & external laminate finish and all necessary hardware fittings.',
                        'finish'=>array('Laminate','Veneer','PU','Veneer and PU','Lacquered Glass','Laminate with Glass','Veneer with Glass','PU with Glass','Laminate with PU'),
                        'unit'=>array('No','Sqft','Rft'),
                        'quantity'=>'',
                        'rates'=>array('1850','2500','2500','2500','2500','1900','2500','2500','2300'),
                        'amount'=>'');

        $arr['parentswallpaper'][1] = array(
                        'type'=>'static',
                        'key'=>'parentswallpaper',
                        'sl'=>'8',
                        'particulars' => 'Wallpaper',
                        'description'=>'Providing and fixing wallpaper behind the bed.',
                        'finish'=>array('Wallpaper'),
                        'unit'=>array('LS','As per actual','As per vendor list'),
                        'quantity'=>'nodisplay',
                        'rates'=>'nodisplay',
                        'amount'=>'');
        $arr['parentswindowseating'][1] = array(
                        'type'=>'static',
                        'key'=>'parentswindowseating',
                        'sl'=>'9',
                        'particulars' => 'Window Seating',
                        'description'=>'Providing and fixing window Seating in the Parents Room. Structure made up of ISI marked plywood with specific finish and all necessary hardware and fittings.',
                        'finish'=>array('Laminate','Veneer','PU','Veneer and PU','Lacquered Glass','Laminate with Glass','Veneer with Glass','PU with Glass','Laminate with PU'),
                        'unit'=>array('No','Sqft','Rft'),
                        'quantity'=>'',
                        'rates'=>array('1850','2500','2500','2500','2500','1900','2500','2500','2300'),
                        'amount'=>'');

        return $arr;
    }   
}

if ( ! function_exists('getkitchenconf'))
{
    function getkitchenconf(){

        $arr = array();

        $arr['basecabinet'][1] = array(
                        'type'=>'static',
                        'key'=>'basecabinet',
                        'sl'=>'1',
                        'particulars' => 'Base Cabinet',
                        'description'=>'Providing and fixing base cabinets for the kitchen. Structure made up of ISI marked plywood specific finish with and all necessary hardware and fittings.',
                        'finish'=>array('Laminate','Veneer','PU','Veneer and PU','Lacquered Glass','Laminate with Glass','Veneer with Glass','PU with Glass','Laminate with PU'),
                        'unit'=>array('No','Sqft','Rft'),
                        'quantity'=>'',
                        'rates'=>array('1850','2500','2500','2500','2500','1900','2500','2500','2300'),
                        'amount'=>'');

        $arr['topcabinets'][1] = array(
                        'type'=>'static',
                        'key'=>'topcabinets',
                        'sl'=>'2',
                        'particulars' => 'Top cabinets',
                        'description'=>'Providing and fixing top cabinets for the kitchen. Structure made up of ISI marked plywood with specific finish and all necessary hardware and fittings.',
                        'finish'=>array('Laminate','Veneer','PU','Veneer and PU','Lacquered Glass','Laminate with Glass','Veneer with Glass','PU with Glass','Laminate with PU'),
                        'unit'=>array('No','Sqft','Rft'),
                        'quantity'=>'',
                        'rates'=>array('1850','2500','2500','2500','2500','1900','2500','2500','2300'),
                        'amount'=>'');

        $arr['loft'][1] = array(
                        'type'=>'static',
                        'key'=>'loft',
                        'sl'=>'3',
                        'particulars' => 'Loft',
                        'description'=>'Providing and fixing loft for the kitchen. Structure made up of ISI marked plywood specific finish and all necessary hardware and fittings.',
                        'finish'=>array('Laminate','Veneer','PU','Veneer and PU','Lacquered Glass','Laminate with Glass','Veneer with Glass','PU with Glass','Laminate with PU'),
                        'unit'=>array('No','Sqft','Rft'),
                        'quantity'=>'',
                        'rates'=>array('1850','2500','2500','2500','2500','1900','2500','2500','2300'),
                        'amount'=>'');

        $arr['breakfastcounter'][1] = array(
                        'type'=>'static',
                        'key'=>'breakfastcounter',
                        'sl'=>'4',
                        'particulars' => 'Breakfast Counter',
                        'description'=>'Providing and fixing top cabinets for the kitchen. Structure made up of ISI marked plywood specific finish and all necessary hardware and fittings.',
                        'finish'=>array('Laminate','Veneer','PU','Veneer and PU','Lacquered Glass','Laminate with Glass','Veneer with Glass','PU with Glass','Laminate with PU'),
                        'unit'=>array('No','Sqft','Rft'),
                        'quantity'=>'',
                        'rates'=>array('1850','2500','2500','2500','2500','1900','2500','2500','2300'),
                        'amount'=>'');

        $arr['quartz'][1] = array(
                        'type'=>'static',
                        'key'=>'quartz',
                        'sl'=>'5',
                        'particulars' => 'Quartz',
                        'description'=>'Fixing Quartz for the kitchen counter, bar unit, low height storage unit & crckery unit.',
                        'finish'=>array('Quartz'),
                        'unit'=>array('LS','As per actual','As per vendor list'),
                        'quantity'=>'nodisplay',
                        'rates'=>'nodisplay',
                        'amount'=>'');
        $arr['kitchenaccessories'][1] = array(
                        'type'=>'static',
                        'key'=>'kitchenaccessories',
                        'sl'=>'6',
                        'particulars' => 'Kitchen Accessories',
                        'description'=>'Providing and fixing  kitchen accessories in kitchen.',
                        'finish'=>array('Kitchen Accessories'),
                        'unit'=>array('LS','As per actual','As per vendor list'),
                        'quantity'=>'nodisplay',
                        'rates'=>'nodisplay',
                        'amount'=>'');

        $arr['dadotiles'][1] = array(
                        'type'=>'static',
                        'key'=>'dadotiles',
                        'sl'=>'7',
                        'particulars' => 'Dado Tiles',
                        'description'=>'Providing and fixing  Dado Tiles in kitchen (Rate INR 80-INR 85).',
                        'finish'=>array('Dado Tiles'),
                        'unit'=>array('No','Sqft','Rft'),
                        'quantity'=>'',
                        'rates'=>array('190'),
                        'amount'=>'');

        return $arr;
    }   
}

if ( ! function_exists('getdoorpanelconf'))
{
    function getdoorpanelconf(){

        $arr = array();

        $arr['livingroomdoors'][1] = array(
                        'type'=>'static',
                        'key'=>'livingroomdoors',
                        'sl'=>'1',
                        'particulars' => 'Living room doors',
                        'description'=>'Providing and fixing door panelling on one side, visible from the living/dining area with veneer/PU finish and all necessary hardware fittings (not included- door eye, handle, lock or any decorative item).',
                        'finish'=>array('Laminate','Veneer','PU','Door Skin'),
                        'unit'=>array('No','Sqft','Rft'),
                        'quantity'=>'',
                        'rates'=>array('1200','1500','1500','1250'),
                        'amount'=>'');

        $arr['toiletdoors'][1] = array(
                        'type'=>'static',
                        'key'=>'toiletdoors',
                        'sl'=>'2',
                        'particulars' => 'Toilet Doors',
                        'description'=>'Providing and fixing door panelling with pvc sheet on internal side of  the toilet door with all necessary hardware fittings (not included door eye, handle, lock or any decorative item).',
                        'finish'=>array('Laminate','Veneer','PU','Door Skin'),
                        'unit'=>array('No','Sqft','Rft'),
                        'quantity'=>'',
                        'rates'=>array('1200','1500','1500','1250'),
                        'amount'=>'');

        $arr['masterbedroomdoor'][1] = array(
                        'type'=>'static',
                        'key'=>'masterbedroomdoor',
                        'sl'=>'3',
                        'particulars' => 'Master bedroom door',
                        'description'=>'Providing and fixing door panelling on one side of the doors visible from inside the master bedroom with laminate finish and all necessary hardware fittings (not included door eye, handle, lock or any decorative item). ',
                        'finish'=>array('Laminate','Veneer','PU','Door Skin'),
                        'unit'=>array('No','Sqft','Rft'),
                        'quantity'=>'',
                        'rates'=>array('1200','1500','1500','1250'),
                        'amount'=>'');

        $arr['daughtersroomdoor'][1] = array(
                        'type'=>'static',
                        'key'=>'daughtersroomdoor',
                        'sl'=>'4',
                        'particulars' => 'Daughters Room',
                        'description'=>'Providing and fixing door panelling on one side of the doors visible from inside the daughter bedroom with laminate finish and all necessary hardware fittings (not included door eye, handle, lock or any decorative item). ',
                        'finish'=>array('Laminate','Veneer','PU','Door Skin'),
                        'unit'=>array('No','Sqft','Rft'),
                        'quantity'=>'',
                        'rates'=>array('1200','1500','1500','1250'),
                        'amount'=>'');

        $arr['guestbedroomdoor'][1] = array(
                        'type'=>'static',
                        'key'=>'guestbedroomdoor',
                        'sl'=>'5',
                        'particulars' => 'Guest bedroom door',
                        'description'=>'Providing and fixing door panelling on one side of the door visible from inside the guest bedroom with laminate finish and all necessary hardware fittings (not included door eye, handle, lock or any decorative item).',
                        'finish'=>array('Laminate','Veneer','PU','Door Skin'),
                        'unit'=>array('No','Sqft','Rft'),
                        'quantity'=>'',
                        'rates'=>array('1200','1500','1500','1250'),
                        'amount'=>'');

        return $arr;
    }   
}

if ( ! function_exists('gettoiletconf'))
{
    function gettoiletconf(){

        $arr = array();

        $arr['vanityunit'][1] = array(
                        'type'=>'static',
                        'key'=>'vanityunit',
                        'sl'=>'1',
                        'particulars' => 'Vanity Unit',
                        'description'=>'Providing and fixing vanity unit in the common toilet. Structure made of ply and finished with laminates & pvc sheets and all necessary hardware fittings.',
                        'finish'=>array('Internal Laminate & PVC Sheet'),
                        'unit'=>array('No','Sqft','Rft'),
                        'quantity'=>'',
                        'rates'=>array('1850'),
                        'amount'=>'');

        $arr['mirror'][1] = array(
                        'type'=>'static',
                        'key'=>'mirror',
                        'sl'=>'2',
                        'particulars' => 'Mirror',
                        'description'=>'Providing and fixing mirror with lights above the vanity unit in the common toilet.',
                        'finish'=>array('Mirror'),
                        'unit'=>array('No','Sqft','Rft'),
                        'quantity'=>'',
                        'rates'=>array('0'),
                        'amount'=>'');

        $arr['showerpartition'][1] = array(
                        'type'=>'static',
                        'key'=>'showerpartition',
                        'sl'=>'3',
                        'particulars' => 'Shower partition',
                        'description'=>'Providing and fixing glass shower enclosure in the Common toilet.',
                        'finish'=>array('Glass'),
                        'unit'=>array('No','Sqft','Rft'),
                        'quantity'=>'',
                        'rates'=>array('0'),
                        'amount'=>'');

        $arr['commontoiletvanityunit'][1] = array(
                        'type'=>'static',
                        'key'=>'commontoiletvanityunit',
                        'sl'=>'1',
                        'particulars' => 'Common Toilet Vanity Unit',
                        'description'=>'Providing and fixing vanity unit in the master toilet. Structure made of ply and finished with laminates & pvc sheets and all necessary hardware fittings.',
                        'finish'=>array('Internal Laminate & PVC Sheet'),
                        'unit'=>array('No','Sqft','Rft'),
                        'quantity'=>'',
                        'rates'=>array('1850'),
                        'amount'=>'');

        $arr['commontoiletmirror'][1] = array(
                        'type'=>'static',
                        'key'=>'commontoiletmirror',
                        'sl'=>'2',
                        'particulars' => 'Common Toilet Mirror',
                        'description'=>'Providing and fixing mirror with lights above the vanity unit in the  master toilet.',
                        'finish'=>array('Mirror'),
                        'unit'=>array('No','Sqft','Rft'),
                        'quantity'=>'',
                        'rates'=>array('0'),
                        'amount'=>'');

        $arr['kidsroomvanityunit'][1] = array(
                        'type'=>'static',
                        'key'=>'kidsroomvanityunit',
                        'sl'=>'1',
                        'particulars' => 'Kids Room Vanity Unit',
                        'description'=>'Providing and fixing vanity unit in the Daughters toilet. Structure made of ply and finished with laminates & pvc sheets and all necessary hardware fittings.',
                        'finish'=>array('Internal Laminate & PVC Sheet'),
                        'unit'=>array('No','Sqft','Rft'),
                        'quantity'=>'',
                        'rates'=>array('1850'),
                        'amount'=>'');

        $arr['kidsroommirror'][1] = array(
                        'type'=>'static',
                        'key'=>'kidsroommirror',
                        'sl'=>'2',
                        'particulars' => 'Kids Room Mirror',
                        'description'=>'Providing and fixing mirror with lights above the vanity unit in theDaughters room toilet.',
                        'finish'=>array('Mirror'),
                        'unit'=>array('No','Sqft','Rft'),
                        'quantity'=>'',
                        'rates'=>array('0'),
                        'amount'=>'');

        $arr['kidsroomshowerpartition'][1] = array(
                        'type'=>'static',
                        'key'=>'kidsroomshowerpartition',
                        'sl'=>'3',
                        'particulars' => 'Kids Room Shower partition',
                        'description'=>'Providing and fixing glass shower enclosure in the Daughters room toilet.',
                        'finish'=>array('Glass'),
                        'unit'=>array('No','Sqft','Rft'),
                        'quantity'=>'',
                        'rates'=>array('0'),
                        'amount'=>'');

        $arr['parentsroomvanityunit'][1] = array(
                        'type'=>'static',
                        'key'=>'parentsroomvanityunit',
                        'sl'=>'1',
                        'particulars' => 'Parents Room Vanity Unit',
                        'description'=>'Providing and fixing vanity unit in the Daughters toilet. Structure made of ply and finished with laminates & pvc sheets and all necessary hardware fittings.',
                        'finish'=>array('Internal Laminate & PVC Sheet'),
                        'unit'=>array('No','Sqft','Rft'),
                        'quantity'=>'',
                        'rates'=>array('1850'),
                        'amount'=>'');

        $arr['parentsroommirror'][1] = array(
                        'type'=>'static',
                        'key'=>'parentsroommirror',
                        'sl'=>'2',
                        'particulars' => 'Parents Room Mirror',
                        'description'=>'Providing and fixing mirror with lights above the vanity unit in theDaughters room toilet.',
                        'finish'=>array('Mirror'),
                        'unit'=>array('No','Sqft','Rft'),
                        'quantity'=>'',
                        'rates'=>array('0'),
                        'amount'=>'');

        $arr['parentsroomshowerpartition'][1] = array(
                        'type'=>'static',
                        'key'=>'parentsroomshowerpartition',
                        'sl'=>'3',
                        'particulars' => 'Parents Room Shower partition',
                        'description'=>'Providing and fixing glass shower enclosure in the Daughters room toilet.',
                        'finish'=>array('Glass'),
                        'unit'=>array('No','Sqft','Rft'),
                        'quantity'=>'',
                        'rates'=>array('0'),
                        'amount'=>'');

        $arr['perentsroomvanityunit'][1] = array(
                        'type'=>'static',
                        'key'=>'perentsroomvanityunit',
                        'sl'=>'1',
                        'particulars' => 'Perents Room Vanity Unit',
                        'description'=>'Providing and fixing vanity unit in the Daughters toilet. Structure made of ply and finished with laminates & pvc sheets and all necessary hardware fittings.',
                        'finish'=>array('Internal Laminate & PVC Sheet'),
                        'unit'=>array('No','Sqft','Rft'),
                        'quantity'=>'',
                        'rates'=>array('1850'),
                        'amount'=>'');

        $arr['perentsroommirror'][1] = array(
                        'type'=>'static',
                        'key'=>'perentsroommirror',
                        'sl'=>'2',
                        'particulars' => 'Perents Room Mirror',
                        'description'=>'Providing and fixing mirror with lights above the vanity unit in theDaughters room toilet.',
                        'finish'=>array('Glass'),
                        'unit'=>array('No','Sqft','Rft'),
                        'quantity'=>'',
                        'rates'=>array('0'),
                        'amount'=>'');

        $arr['perentsroomshowerpartition'][1] = array(
                        'type'=>'static',
                        'key'=>'perentsroomshowerpartition',
                        'sl'=>'3',
                        'particulars' => 'Perents Room Shower partition',
                        'description'=>'Providing and fixing glass shower enclosure in the Daughters room toilet.',
                        'finish'=>array('Glass'),
                        'unit'=>array('No','Sqft','Rft'),
                        'quantity'=>'',
                        'rates'=>array('0'),
                        'amount'=>'');

        $arr['guestroomvanityunit'][1] = array(
                        'type'=>'static',
                        'key'=>'guestroomvanityunit',
                        'sl'=>'1',
                        'particulars' => 'Guest Room Vanity Unit',
                        'description'=>'Providing and fixing vanity unit in the Daughters toilet. Structure made of ply and finished with laminates & pvc sheets and all necessary hardware fittings.',
                        'finish'=>array('Internal Laminate & PVC Sheet'),
                        'unit'=>array('No','Sqft','Rft'),
                        'quantity'=>'',
                        'rates'=>array('1850'),
                        'amount'=>'');

        $arr['guestroommirror'][1] = array(
                        'type'=>'static',
                        'key'=>'guestroommirror',
                        'sl'=>'2',
                        'particulars' => 'Guest Room Mirror',
                        'description'=>'Providing and fixing mirror with lights above the vanity unit in theDaughters room toilet.',
                        'finish'=>array('Mirror'),
                        'unit'=>array('No','Sqft','Rft'),
                        'quantity'=>'',
                        'rates'=>array('0'),
                        'amount'=>'');

        $arr['guestroomshowerpartition'][1] = array(
                        'type'=>'static',
                        'key'=>'guestroomshowerpartition',
                        'sl'=>'3',
                        'particulars' => 'Guest Room Shower partition',
                        'description'=>'Providing and fixing glass shower enclosure in the Daughters room toilet.',
                        'finish'=>array('Glass'),
                        'unit'=>array('No','Sqft','Rft'),
                        'quantity'=>'',
                        'rates'=>array('0'),
                        'amount'=>'');

        return $arr;
    }   
}

if ( ! function_exists('getpaintconf'))
{
    function getpaintconf(){

        $arr = array();

        $arr['painting'][1] = array(
                        'type'=>'static',
                        'key'=>'painting',
                        'sl'=>'1',
                        'particulars' => 'Painting',
                        'description'=>'Providing & executing paint in the full property with "Royale Paints ". (2coats of primer/putty & paint)',
                        'finish'=>array('Asian Paints Royal with Touch up putty','Asian Paints Royal with Full putty','Asian Paints Acrylic Emulsion with Touch up putty','Asian Paint Acrylic Emulsion with full putty'),
                        'unit'=>array('No','Sqft','Rft'),
                        'quantity'=>'',
                        'rates'=>array('28','45','22','36'),
                        'amount'=>'');

        return $arr;
    }   
}

if ( ! function_exists('getelectricalconf'))
{
    function getelectricalconf(){

        $arr = array();

        $arr['electrical'][1] = array(
                        'type'=>'static',
                        'key'=>'electrical',
                        'sl'=>'1',
                        'particulars' => 'Electrical',
                        'description'=>'Providing and fixing new electrical lines in the full property. The wires will be of havells or finolex brand. (light fittings not included and existing switch plates will be used and excluding ceiling lights,decorative lights fittings,fan etc).',
                        'finish'=>array(),
                        'unit'=>array('No','Sqft','Rft'),
                        'quantity'=>'',
                        'rates'=>array('','110'),
                        'amount'=>'');

        return $arr;
    }   
}

if ( ! function_exists('getfalseceilingconf'))
{
    function getfalseceilingconf(){

        $arr = array();

        $arr['popfalseceiling'][1] = array(
                        'type'=>'static',
                        'key'=>'popfalseceiling',
                        'sl'=>'1',
                        'particulars' => 'P.O.P False Ceiling',
                        'description'=>'Providing and fixing partial POP false ceiling in the full property (except toilet, balconies & utility area.)',
                        'finish'=>array(),
                        'unit'=>array('No','Sqft','Rft'),
                        'quantity'=>'',
                        'rates'=>array('','90'),
                        'amount'=>'');

        return $arr;
    }   
}

if ( ! function_exists('getmiscconf'))
{
    function getmiscconf(){

        $arr = array();

        $arr['floorprotector'][1] = array(
                        'type'=>'static',
                        'key'=>'floorprotector',
                        'sl'=>'1',
                        'particulars' => 'Floor Protector',
                        'description'=>'Providing & fixing floor protector to protect any kind of damage during execution of work (Expect toilets & balconies and utility area).',
                        'finish'=>array(),
                        'unit'=>array('No','Sqft','Rft'),
                        'quantity'=>'',
                        'rates'=>array('','15'),
                        'amount'=>'');

        $arr['handlesknobs'][1] = array(
                        'type'=>'static',
                        'key'=>'handlesknobs',
                        'sl'=>'2',
                        'particulars' => 'Handles & Knobs',
                        'description'=>'Providing and fixing handles and knobs of the furniture as per the design.',
                        'finish'=>array(),
                        'unit'=>array('LS','As per actual','As per vendor list'),
                        'quantity'=>'nodisplay',
                        'rates'=>'nodisplay',
                        'amount'=>'');

        $arr['edgebinding'][1] = array(
                        'type'=>'static',
                        'key'=>'edgebinding',
                        'sl'=>'3',
                        'particulars' => 'Edge Binding',
                        'description'=>'Providing and fixing edge binding in the wardrobes and the cabinets.',
                        'finish'=>array(),
                        'unit'=>array('LS','As per actual','As per vendor list'),
                        'quantity'=>'nodisplay',
                        'rates'=>'nodisplay',
                        'amount'=>'');

        $arr['sitecleaning'][1] = array(
                        'type'=>'static',
                        'key'=>'sitecleaning',
                        'sl'=>'4',
                        'particulars' => 'Site Cleaning',
                        'description'=>'Providing and executing the disposal of the rubbish during the working phase and deep site cleaning in the end.',
                        'finish'=>array(),
                        'unit'=>array('LS','As per actual','As per vendor list'),
                        'quantity'=>'nodisplay',
                        'rates'=>'nodisplay',
                        'amount'=>'');

        return $arr;
    }   
}

if ( ! function_exists('getcivilconf'))
{
    function getcivilconf(){

        $arr = array();

        $arr['dismantaling'][1] = array(
                        'type'=>'static',
                        'key'=>'dismantaling',
                        'sl'=>'1',
                        'particulars' => 'Dismantaling',
                        'description'=>'Dismantaling the existing kitchen wall to open it for breakfast counter',
                        'finish'=>array(),
                        'unit'=>array('LS','As Per Actual','As per vendor list'),
                        'quantity'=>'nodisplay',
                        'rates'=>'nodisplay',
                        'amount'=>'');

        $arr['dismantaling'][2] = array(
                        'type'=>'static',
                        'key'=>'dismantaling',
                        'sl'=>'',
                        'particulars' => '',
                        'description'=>'Dismantaling the existing dado tiles & kitchen counter top of the kitchen.',
                        'finish'=>array(),
                        'unit'=>array('LS','As Per Actual','As per vendor list'),
                        'quantity'=>'nodisplay',
                        'rates'=>'nodisplay',
                        'amount'=>'');

        $arr['civiltiles'][1] = array(
                        'type'=>'static',
                        'key'=>'civiltiles',
                        'sl'=>'2',
                        'particulars' => 'Tiles',
                        'description'=>'Fixing the dado tiles for the kitchen back splash.',
                        'finish'=>array(),
                        'unit'=>array('LS','As Per Actual','As per vendor list'),
                        'quantity'=>'nodisplay',
                        'rates'=>'nodisplay',
                        'amount'=>'');

        $arr['civiltiles'][2] = array(
                        'type'=>'static',
                        'key'=>'civiltiles',
                        'sl'=>'',
                        'particulars' => '',
                        'description'=>'Fixing the  tiles for the toilet',
                        'finish'=>array(),
                        'unit'=>array('LS','As Per Actual','As per vendor list'),
                        'quantity'=>'nodisplay',
                        'rates'=>'nodisplay',
                        'amount'=>'');

        $arr['civilplastering'][1] = array(
                        'type'=>'static',
                        'key'=>'civilplastering',
                        'sl'=>'3',
                        'particulars' => 'Plastering',
                        'description'=>'Plastering the walls where the demolition has been done.',
                        'finish'=>array(),
                        'unit'=>array('LS','As Per Actual','As per vendor list'),
                        'quantity'=>'nodisplay',
                        'rates'=>'nodisplay',
                        'amount'=>'');

        $arr['rubbishdisposal'][1] = array(
                        'type'=>'static',
                        'key'=>'rubbishdisposal',
                        'sl'=>'4',
                        'particulars' => 'Rubbish disposal',
                        'description'=>'Cleaning the civil rubbish from the property.',
                        'finish'=>array(),
                        'unit'=>array('LS','As Per Actual','As per vendor list'),
                        'quantity'=>'nodisplay',
                        'rates'=>'nodisplay',
                        'amount'=>'');

        return $arr;
    }   
}

if ( ! function_exists('getothersconf'))
{
    function getothersconf(){

        $arr = array();

        $arr['others'][1] = array(
                        'type'=>'static',
                        'key'=>'others',
                        'sl'=>'1',
                        'particulars' => '',
                        'description'=>'',
                        'finish'=>array(),
                        'unit'=>array('LS','As Per Actual','As per vendor list'),
                        'quantity'=>'',
                        'rates'=>'',
                        'amount'=>'');

        return $arr;
    }   
}

?>