<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

if ( ! function_exists('getthreedproposal'))
{
    function getthreedproposal(){

        $html=<<<EOT
        <p><strong><span style="font-size:16px">Area: Sqft</span> </strong></p>

        <p>Thank you for choosing us as your design partner.</p> 
        <p><strong><u>Designing Process</u></strong></p>
        <p>We at CeeBee design studio attempt to approach the full designing process in a very detailed and comprehensive manner, so that the step by step approach helps us to accomplish the best design solutions for your home.</p>
        <p><strong>1.&nbsp;Consultation</strong></p> 
        <p>The design consultation is the starting point. During this first visit we will discuss the scope of your project, your goals and your budget. We shall discuss your tastes and how you intend to use the space.</p>
        <p><u>During the consultation we will cover:</u></p>
        <p>1.&nbsp;The scope of your project in detail.</p>
        <p>This will include the area involved in the project, how you intend to use each room, and your ideas and goals for each space.</p> 
        <p>2.&nbsp;Your tastes, preferences, like - dislikes, style and lifestyle</p>
        <p>We’ll ask lots of questions and look at pictures to focus in on your tastes.</p>
        <p>3.&nbsp;Budget</p>
        <p>We’ll set an overall budget before you begin the project. We will work with you to determine your options, goals and set a realistic budget for your space. We have an in-depth step-by-step process for determining your best budget right from the very start.</p>
        <p><strong>2.&nbsp;Site Measure and Assessment</strong></p>
        <p>We will take detailed measurements and photographs of all the spaces involved in your project. Where appropriate, we will also arrange to have the trades people who will be working on your project come in and take their own measurements for estimating purposes.</p>
        <p><strong><u>Step 3: Space Planning (Furniture layout) -</u></strong></p>
        <p>Carefully considered space planning is crucial to a well-designed space. After all the measurements have been taken we will develop floor plans for the space. Floor plans allow us to determine what pieces will best fit into the space, how it is arranged, and the scale of each piece.</p>
        <p>Analyzing and understanding the layout of the property according to the floor plan and requirements mentioned.</p>
        <p>Doing the permutation and combination to get the best and most suitable layout where optimum utilization of space will be achieved. This will require detailing like the placement of the bed, side tables, wardrobes, TV unit and other elements in the rooms.</p>
        <p>Understanding the family which the number of members, ages, needs, preferences and allotting the rooms accordingly.</p>
        <p>Understanding the placement of the temple which will be done keeping vaastu in consideration. Allotting the best possible placement among the different options which will be worked on.</p>
        <p>With the aesthetic and functioning capability of every room kept in mind a final furniture layout will be created.</p>
        <p><strong>4.&nbsp;Estimation</strong></p>
        <p>Once the Furniture layout has been finalized, the next step is to prepare a basic estimate based on the requirements.</p> 
        <p>This will help you determine the cost that will be incurred for the designs finalized.
        After the 3D, we send a final quotation to the client.</p>
        <p><strong>5.&nbsp;Story Board</strong></p> 
        <p>Along with the detailed furniture layout, we will also be sending a story board related to the proposed layout. This would be in a PPT format and allow you to understand what are the designs and ideas that we have shortlisted for your property.</p>
        <p>Every area of the property will have different concept images and choices will be given out of which the best can be chosen by you. The concept images will be varying from different designs like Modern, Traditional, Country Style, European etc.</p>
        <p>This will also have a proper explanation to understand the aesthetics and look which we intend to propose for your property.</p>
        <p><strong>6.&nbsp;3D designing</strong></p>
        <p>Once we have decided on a floor plan, estimate and concepts the next step is to create the 3D designs for each area. It includes views for all the four walls including the existing ceiling view for each section.</p>
        <p>It gives you a virtual image as in how your property would look like in terms of flooring, furniture, laminates/veneers, upholsteries, wallpapers, texture paint, light fittings etc. used.</p>
        <p>At this stage, the shades of paint, laminate etc. can be chosen. This will ensure transparency avoiding changes in the design at the time of execution.</p>
        <p>All the final designs shall be shared in a zip folder along with a deviation PPT mentioning minor changes as required for the client approval.</p>
        <p><strong>7.&nbsp;Fees & Remuneration</strong></p>
        <p>We propose the following remuneration for the above-mentioned 3D services –<br/>
        Total Sqft for the property<br/>
        1857 sqft. (Built up area) @ Rs. 40/- per sqft (BGL)/ @ Rs 50/- per sqft (Kol)/ @ Rs 50/- per sqft (Other cities)<br/>
        = Rs. 92,850/- <br/>
        + 18% GST (Rs. 16,713/-)<br/>
        = Rs. 109,563/- (Rupees One Lakh Nine Thousand Five Hundred and Sixty-Three Only)</p>
        <p><strong><u>Payment Terms & Conditions</u></strong></p>
        <p>3D designing-<br/>
        1. 50% before the start of work<br/>
        2. 30% after completion of 50% of the designs<br/>
        3. 20% after completion and approval of all the designs.</p>
        <p><strong>In case the termination happens at the mentioned stage -  
        These will be the refund clause:</strong></p>
        <p>* At the stage, before we start point-6 (Designing) of the property: Clause as mentioned above, we shall refund 25% of the received amount</p>
        <p>* At the stage where 50% 3D has been started there shall be no Cancellation-Exception of Unavoidable and Emergency situation [Discretion of management and mutual consent]</p>
        <p>There will also be a PPT sent to you, which will explain the designing process in greater detail for your better understanding.</p>
        <p>Regards,</p>
        <p>CeeBee Design Studios</p>
EOT;
        
        

        return $html;
    }

}



if ( ! function_exists('gettwodproposal'))
{
    function gettwodproposal(){

        $html=<<<EOT
        <p><span style="font-size:16px"><strong>Area: Sqft</strong></span></p>
        <p>Thank you for choosing us as your design partner.</p> 
        <p><u>Designing Process</u></p>  
        <p>We at CeeBee design studio attempt to approach the full designing process in a very detailed and comprehensive manner, so that the step by step approach helps us to accomplish the best design solutions for your home.</p>
        <p><strong><u>Step 1: Consultation</u></strong></p> 
        <p>The design consultation is the starting point. During this first visit we will discuss the scope of your project, your goals and your budget. We shall discuss your tastes and how you intend to use the space.</p>
        <p><u>During the consultation we will cover:</u></p>
        <p>1.&nbsp;The scope of your project in detail This will include the area involved in the project, how you intend to use each area, and your ideas and goals for each space.</p>
        <p>2.&nbsp;Your tastes, preferences, like - dislikes, style and lifestyle We’ll ask lots of questions and look at pictures to focus in on your tastes.</p>
        <p>3.&nbsp;Budget</p>
        <p>We’ll set an overall budget before you begin the project. We will work with you to determine your options, goals and set a realistic budget for your space. We have an in-depth step-by-step process for determining your best budget right from the very start.</p>
        <p><strong><u>Step 2: Site Measure and Assessment</u></strong></p>
        <p>We will take detailed measurements and photographs of all the spaces involved in your project. Where appropriate, we will also arrange to have the trades people who will be working on your project come in and take their own measurements for estimating purposes.</p>
        <p><strong><u>Step 3: Space Planning (Furniture layout)</u></strong></p>
        <p>A carefully considered space planning is crucial to a well-designed space. After all the measurements have been taken, we will develop floor plans for the space.</p>
        <p>Analyzing and understanding the layout of the property according to the floor plan and requirements mentioned will help us understand that best utilization of space.</p>
        <p>Doing the permutation and combination to get the best and most suitable layout where optimum utilization of space will be achieved. This will require detailing like the placement of the bed, side tables, wardrobes, TV unit and other elements in the rooms.</p>
        <p>Understanding the family which the number of members, ages, needs, preferences and allotting the rooms accordingly.</p>
        <p>Understanding the placement of the temple which will be done keeping vaastu in consideration. Allotting the best possible placement among the different options which will be worked on.</p>
        <p>With the aesthetic and functioning capability of every room kept in mind a final furniture layout will be created.</p>
        <p><strong><u>Step 4: Story Board</u></strong></p>
        <p>Along with the detailed furniture layout, we will also be sending a story board related to the proposed layout. This would be in a PPT format and allow you to understand what are the designs and ideas that we have shortlisted for your property.</p>
        <p>Every area of the property will have different concept images and choices will be given out of which the best can be chosen by you. The concept images will be varying from different designs like Modern, Traditional, Country Style, European etc. This will also have a proper explanation to understand the aesthetics and look which we intend to propose for your property.</p>
        <p><strong><u>Step 5: Estimate</u></strong></p>
        <p>Providing detailed estimate break up based on the furniture layout, concepts & the requirements for you to get an overall idea of budget.</p>
        <p><strong><u>Fees & Remuneration –</u></strong></p>
        <p>We propose the following remuneration for the above mentioned 2D & consultation services – <br/>
        Lump sum – Rs 15,000/- + 18% GST (Rs 2,700/-) = Rs 17,700/- (Rupees Seventeen Thousand seven hundred only)</p>
        <p><strong>Payment Terms & Conditions–</strong></p>
        <p>1.&nbsp;100% payment in advance</p>
        <p>There will also be a PPT sent to you, which will explain the designing process in greater detail for your better understanding.</p>
        <p>Regards,</p>
        <p>Designer </p>
        <p>consultant</p>
        <p>CeeBee Design Studios</p>
        <p>&nbsp;</p>
EOT;
        
        

        return $html;
    }

}

if ( ! function_exists('getdesignconsultationproposal'))
{
    function getdesignconsultationproposal(){

        $html=<<<EOT
        <p><span style="font-size:16px"><strong>Area: Sqft</strong></span></p>
        <p>Thank you for choosing us as your design partner.</p> 
        <p><u>Designing Process</u></p> 
        <p>We at CeeBee design studio attempt to approach the full designing process in a very detailed and comprehensive manner, so that the step by step approach helps us to accomplish the best design solutions for your home.</p>
        <p><strong><u>Step 1: Consultation</u></strong></p> 
        <p>The design consultation is the starting point. During this first visit we will discuss the scope of your project, your goals and your budget. We shall discuss your tastes and how you intend to use the space.</p>
        <p><u>During the consultation we will cover:</u></p>
        <p>The scope of your project in detail:</p>
        <p>This will include the area involved in the project, how you intend to use each rooms, and your ideas and goals for each space.</p>
        <p>Your tastes, preferences, like - dislikes, style and lifestyle:</p>
        <p>We’ll ask lots of questions and look at pictures to focus in on your tastes.</p>
        <p><strong><u>Step 2: Site Measure and Assessment -</u></strong>
        <p>We will take detailed measurements and photographs of all the spaces involved in your project. Where appropriate, we will also arrange to have the trades people who will be working on your project come in and take their own measurements for estimating purposes.</p>
        <p><strong><u>Step 3: Space Planning (Furniture layout) -</u></strong></p>
        <p>Carefully considered space planning is crucial to a well-designed space. After all the measurements have been taken we will develop floor plans for the space. Floor plans allow us to determine what pieces will best fit into the space, how it is arranged, and the scale of each piece.</p>
        <p>Analyzing and understanding the layout of the property according to the floor plan and requirements mentioned.</p>
        <p>Doing the permutation and combination to get the best and most suitable layout where optimum utilization of space will be achieved. This will require detailing like the placement of the bed, side tables, wardrobes, TV unit and other elements in the rooms.</p>
        <p>Understanding the family which the number of members, ages, needs, preferences and allotting the rooms accordingly.</p>
        <p>Understanding the placement of the temple which will be done keeping vaastu in consideration. Allotting the best possible placement among the different options which will be worked on.</p>
        <p>With the aesthetic and functioning capability of every room kept in mind a final furniture layout will be created.</p>
        <p><strong><u>Step 4: Story Board -</u></strong></p>
        <p>Along with the detailed furniture layout, we will also be sending a story board related to the proposed layout. This would be in a PPT format and allow you to understand what are the designs and ideas that we have shortlisted for your property.</p>
        <p>Every area of the property will have different concept images and choices will be given out of which the best can be chosen by you. The concept images will be varying from different designs like Modern, Traditional, Country Style, European etc.</p>
        <p>This will also have a proper explanation to understand the aesthetics and look which we intend to propose for your property.</p>
        <p><strong><u>Step 5: 3D designing –</u></strong></p>
        <p>Once we have decided on a floor plan, concepts the next step is to create the 3D designs for each area. It includes views for all the four walls including the existing ceiling view for each section.</p>
        <p>It gives you a virtual image as in how your property would look like in terms of flooring, furniture, laminates/veneers, upholsteries, wallpapers, texture paint, light fittings etc. used.</p>
        <p>At this stage, the shades of paint, laminate etc. can be chosen. This will ensure transparency avoiding changes in the design at the time of execution.</p> 
        <p>All the final designs shall be shared in a zip folder along with a deviation PPT mentioning minor changes as required for the client approval.</p>
        <p><strong><u>Step 6: Scope of work and Consultancy -</u></strong></p>
        <p>1.   Preparation of detailed electrical drawings keeping in mind A.C. placement, existing switch boards’ placement, lights placement.<br/>
        2.   Preparation of the False ceiling plan and sectional drawings for execution as per the designs<br/>
        3.   Detailed floor and walls tiles layout as per the material selected and approved (if required)<br/>
        4.   Detailed carpentry elevations and sectional drawings for execution. This includes the elevations of each furniture in each area of the property. E.g.- Crockery unit, wardrobes, dressers etc. Interacting with the client regularly for approval of the designs till final consent is received on the same.<br/>
        5. Providing details for the paint shades, wallpapers, PSD files for customized jaali/sticker etc.<br/>
        6.  Consultation / Introduction to vendors (if required) along with providing materials ordering support at the site.<br/>
        7.   Material requirement will be calculated including the hardware like hinges, nails, handles etc. Choosing of the hardware, handles, knobs etc.<br/>
        8. Arranging visit for the Hafele, Tiles choosing, marble choosing etc.<br/>
        9. Selection materials as per the 3D designs like laminates, veneer, paint shades etc.<br/>
        10. Provide support in selection of curtains, rugs etc<br/>
        11. Travel to showrooms in order to select the buyout furniture like sofa, dining table, coffee table etc.<br/></p>
        <p><strong><u>Supervision –</u></strong></p>
        <p>a.  Explanation of all the working drawings to respective vendors at the beginning of the project<br/>
        b.  Managing the out sourced vendors selected for the respective jobs to get the work completed<br/> 
        c.   Explanation of all the working drawings at the site to the respective labors for site execution.<br/> 
        d.   Providing full guidance to the labors during the execution of the work.<br/>
        e.   Providing a detailed site report to the client mentioning the progress and concerns (if any) of the work going on.<br/>
        f.  Quality and quantity audit of the full work at the end of the process<br/>
        g.  The supervisor will visit the site twice in a week to check the work in progress.<br/>
        </p>
        <p><strong>Fees & Remuneration –</strong></p>
        <p>We propose the following remuneration for the above-mentioned 3D & consultation services –<br/>
        Total Sqft for the property = 2000 Sqft<br/>
        2000 Sqft x Rs 200/- = Rs. 4,00,000<br/> 
        + 18% GST (Rs 72,000) = Rs 4,72,000 /-<br/>
        Supervision –<br/>
        Rs. 30,000/- + 18% GST (Rs. 5,400) = Rs. 35,400/-<br/>
        </p>
        <p><strong><u>Payment Terms & Conditions–</u></strong></p>
        <p> 1. 40% before the start of work as advance payment<br/>
            2. 20% after approval on all the concepts and story board and start of 3D designing<br/>
            3. 20% after completion and approval of all the 3D designs<br/>
            4. 20% after completion of all 2d drawings and all material sheet and material requirements completion
        </p>
        <p><strong>In case the termination happens at the mentioned stage - These will be the refund clause:</strong></p>
        <p>* At the stage where concepts are done we shall refund 20% of the received amount</p>
        <p>* At the stage where concepts are approved and start with 3D designing we shall refund 10% of the received amount</p>
        <p>* At the stage where, 50% 3D has been completed there shall be no Cancellation of the Designing Charges-Exception of Unavoidable and Emergency situation [Discretion of management and mutual consent]</p>
        <p>There will also be a PPT sent to you, which will explain the process in detail for your better understanding.</p>
        <p>Regards,</p>
        <p>CeeBee Design Studios</p>
        <p>&nbsp;</p>
EOT;
        
        

        return $html;
    }

}

if ( ! function_exists('gettokenproposalproposal'))
{
    function gettokenproposalproposal($tokenAmount){


        $html=<<<EOT
        <p><span style="font-size:16px"><strong>Area: Sqft</strong></span></p>
        <p>Thank you for choosing us as your design partner.</p> 
        <p><u>Designing Process</u></p> 
        <p>We at Cee Bee Design Studio attempt to approach the full designing process in a very detailed and comprehensive manner, so that the step by step approach helps us to accomplish the best design solutions for your home.</p>
        <p>1.&nbsp;Consultation</p>     
        <p>The design consultation is the starting point. During this first visit we will discuss the scope of your project, your goals and your budget. We shall discuss your tastes and how you intend to use the space.</p>
        <p><u>During the consultation we will cover:</u></p>
        <p>1.&nbsp;The scope of your project in detail.</p>
        <p>This will include the area involved in the project, how you intend to use each room, and your ideas and goals for each space.</p>
        <p>2.&nbsp;Your tastes, preferences, like - dislikes, style and lifestyle</p>
        <p>We’ll ask lots of questions and look at pictures to focus in on your tastes.</p>
        <p>3.&nbsp;Budget</p>
        <p>We’ll set an overall budget before you begin the project. We will work with you to determine your options, goals and set a realistic budget for your space. We have an in-depth step-by-step process for determining your best budget right from the very start.</p>
        <p><strong>2.&nbsp;Site Measure and Assessment</strong></p>
        <p>We will take detailed measurements and photographs of all the spaces involved in your project. Where appropriate, we will also arrange to have the trades people who will be working on your project come in and take their own measurements for estimating purposes.</p>
        <p><strong><u>Step 3: Space Planning (Furniture layout) -</u></strong></p>
        <p>Carefully considered space planning is crucial to a well-designed space. After all the measurements have been taken we will develop floor plans for the space. Floor plans allow us to determine what pieces will best fit into the space, how it is arranged, and the scale of each piece.</p>
        <p>Analyzing and understanding the layout of the property according to the floor plan and requirements mentioned.</p>
        <p>Doing the permutation and combination to get the best and most suitable layout where optimum utilization of space will be achieved. This will require detailing like the placement of the bed, side tables, wardrobes, TV unit and other elements in the rooms.</p>
        <p>Understanding the family which the number of members, ages, needs, preferences and allotting the rooms accordingly.</p>
        <p>Understanding the placement of the temple which will be done keeping vaastu in consideration. Allotting the best possible placement among the different options which will be worked on.</p>
        <p>With the aesthetic and functioning capability of every room kept in mind a final furniture layout will be created.</p>
        <p><strong>4.&nbsp;Estimation</strong></p> 
        <p>Once the Furniture layout has been finalized, the next step is to prepare a basic estimate based on the requirements.</p> 
        <p>This will help you determine the cost that will be incurred for the designs finalized.
        After the 3D, we send a final quotation to the client.</p>
        <p><strong>5.&nbsp;Story Board</strong></p> 
        <p>Along with the detailed furniture layout, we will also be sending a story board related to the proposed layout. This would be in a PPT format and allow you to understand what are the designs and ideas that we have shortlisted for your property.<p>
        <p>Every area of the property will have different concept images and choices will be given out of which the best can be chosen by you. The concept images will be varying from different designs like Modern, Traditional, Country Style, European etc.</p>
        <p>This will also have a proper explanation to understand the aesthetics and look which we intend to propose for your property.</p>
        <p><strong>6.&nbsp;3D designing</strong></p> 
        <p>Once we have decided on a floor plan, estimate and concepts the next step is to create the 3D designs for each area. It includes views for all the four walls including the existing ceiling view for each section.</p>
        <p>It gives you a virtual image as in how your property would look like in terms of flooring, furniture, laminates/veneers, upholsteries, wallpapers, texture paint, light fittings etc. used.</p> 
        <p>At this stage, the shades of paint, laminate etc. can be chosen. This will ensure transparency avoiding changes in the design at the time of execution.</p>
        <p>All the final designs shall be shared in a zip folder along with a deviation PPT mentioning minor changes as required for the client approval.</p>
        <p><strong>7.&nbsp;Fees & Remuneration</strong></p> 
        <p>We propose the following remuneration for the above mentioned services –</p>
        <p><strong>The amount will be filled by Client owner as per discussion-</strong></p>  
        <p><strong>Designing Charges- ......./- and Token Advance towards project- ......./-</strong></p>  
        <strong>In case the termination happens at the mentioned stage -  
        These will be the refund clause:</strong></p>
        <p>* *At the stage, before we start point-6 (Designing) of the property: Clause as mentioned above, we shall refund 25% of the Designing Charges</p>  
        <p>* At the stage where 50% 3D has been started there shall be no Cancellation of the Designing Charges- Exception of Unavoidable and Emergency situation [Discretion of management and mutual consent]</p> 
        <p>* *For the Token Advance towards project payment we shall refund 80%</p>
        <p>There will also be a PPT sent to you, which will explain the designing process in greater detail for your better understanding.</p>
        <p>Regards,</p>
        <p>CeeBee Design Studios</p>
        <p>&nbsp;</p>
EOT;
        
        

        return $html;
    }

}



if ( ! function_exists('generateProposalPDF'))
{
    function generateProposalPDF($data,$clientName,$siteAddress,$location,$proposal_code){

        $clientName = trim($clientName);
        $location = ucfirst($location);
        $html=<<<EOT
    <html>
    <head></head>
    <body>
        <div style="width: 100%; float: left;">            
            <div style="width: 100%; float: left;">
                <div style="width: 100%; float: left;">

                    <p><strong><span style="font-size:16px">Name: {$clientName}
                    </span></strong></p>
                    <p><strong><span style="font-size:16px">Site Address: {$siteAddress}</span></strong></p>
                    <p><strong><span style="font-size:10px">Location: {$location}</span></strong></p>
                    <p><strong><span style="font-size:10px">Proposal Code: {$proposal_code}</span></strong></p>                   

                    {$data}
                </div>                
            </div>
        </div>  
    </body>
</html>
EOT;

        return $html;
        //die();
    }

}

?>
