<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Bulkorder_management extends CI_Model {

    public function getOrderList(){
        
        $sql = "SELECT BOD.*, P.product_name 
        		FROM bulk_order_details AS BOD
        		LEFT JOIN products AS P
        		ON BOD.product_id = P.id
                WHERE BOD.row_status = 'ACTIVE'
                ORDER BY BOD.id DESC";
        
        return $this->db->query($sql)->result_array();        

    }

    public function getBulkOrderDetails($oid){
        
        $sql = "SELECT * FROM bulk_order_details 
                WHERE id = '".$oid."'
                ORDER BY id DESC";
        
        return $this->db->query($sql)->result_array();        

    }

    public function updateBulkOrder($oid,$dataArr){

        $whereArray = array('id'=>$oid);

        $this->db->where($whereArray);
        if( $this->db->update('bulk_order_details',$dataArr))
        {
            return true;
        }
        else
        {
            return false;
        }
    }

    public function insertBulkOrderStatusComments($dataArr){

        $this->db->insert('bulk_order_status_comments', $dataArr);

        if($this->db->insert_id()>0){
            return $this->db->insert_id();
        }else{
            return false;
        }
    }
}
?>