<?php
defined('BASEPATH') OR exit('No direct script access allowed');

include_once('header.php');
?>

<!--== BODY INNER CONTAINER ==-->
<div class="sb2-2">
    <!--== breadcrumbs ==-->
    <div class="sb2-2-2">
        <ul>
            <li><a href="<?php echo base_url('dashboard');?>"><i class="fa fa-home" aria-hidden="true"></i> Home</a>
            </li>
            <li class="active-bre"><a href="#"> Add Product Images</a>
            </li>
            <li class="page-back"><a href="<?php echo base_url('dashboard');?>"><i class="fa fa-backward" aria-hidden="true"></i> Back</a>
            </li>
        </ul>
    </div>

    <!--== User Details ==-->
    <div class="sb2-2-3">
        <div class="row">
            <div class="col-md-12">
			<div class="box-inn-sp admin-form">
                    <div class="inn-title">
                        <h4>New Product Images</h4>
                        
                    </div>
                    <?php if ($this->session->userdata('success')) { ?>
                        <div class="alert alert-success">
                            <?php echo $this->session->userdata('success');?>
                        </div>
                    <?php }?>
                    <?php if ($this->session->userdata('error')) { ?>
                        <div class="alert alert-danger">
                            <?php echo $this->session->userdata('error');?>
                        </div>
                    <?php }?>
                    <div class="bor ad-cou-deta-h4">
                        <form name="frm" action="<?php echo base_url('products/addimages/'.$this->uri->segment('3'));?>" method="post" enctype='multipart/form-data'>
                            <h4>Project Images: <span style="text-align: right; float: right;"><a href="javascript:void(0);" class="label label-success" onclick="addprojectsimages();"><i class="fa fa-plus" aria-hidden="true"></i> Add</a></span></h4>
                            <hr/>
                            <div class="row">
                                <div class="file-field input-field col s5">
                                    <div class="btn admin-upload-btn">
                                        <span>Image</span>
                                        <input type="file" name="image[]">
                                    </div>
                                    <div class="file-path-wrapper">
                                        <input class="file-path validate" type="text" placeholder="Project Image">
                                    </div>
                                </div>
                            </div>
                            <div id="projectimagediv"></div>

                            <div class="row">
                                <div class="input-field col s12">
                                    <i class="waves-effect waves-light btn-large waves-input-wrapper" style=""><input type="submit" class="waves-button-input"></i>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<?php include_once('footer.php');?>
<script type="text/javascript">
    function addprojectsimages(){
        var html = '<div class="row"><div class="file-field input-field col s5"><div class="btn admin-upload-btn"><span>Image</span><input type="file" name="image[]"></div><div class="file-path-wrapper"><input class="file-path validate" type="text" placeholder="Project Image"></div></div><div class="input-field col s1"><a href="javascript:void(0);" class="label label-danger" onclick="deleteprojectimage(this)"><i class="fa fa-trash" aria-hidden="true"></i> Remove</a></div></div>';

        $('#projectimagediv').append(html);

    }

    function deleteprojectimage(element) {
      // Get the parent container of the skill
      let skillContainer = element.parentNode.parentNode;
      
      // Remove the skill container from the DOM
      skillContainer.remove();
    }
</script>