<?php
defined('BASEPATH') OR exit('No direct script access allowed');

include_once('header.php');
?>

<!--== BODY INNER CONTAINER ==-->
<div class="sb2-2">
    <!--== breadcrumbs ==-->
    <div class="sb2-2-2">
        <ul>
            <li><a href="<?php echo base_url('dashboard');?>"><i class="fa fa-home" aria-hidden="true"></i> Home</a>
            </li>
            <li class="active-bre"><a href="#"> Edit Product</a>
            </li>
            <li class="page-back"><a href="<?php echo base_url('dashboard');?>"><i class="fa fa-backward" aria-hidden="true"></i> Back</a>
            </li>
        </ul>
    </div>

    <!--== User Details ==-->
    <div class="sb2-2-3">
        <div class="row">
            <div class="col-md-12">
            <div class="box-inn-sp admin-form">
                    <div class="inn-title">
                        <h4>Edit Product</h4>
                        
                    </div>
                    <?php if ($this->session->userdata('success')) { ?>
                        <div class="alert alert-success">
                            <?php echo $this->session->userdata('success');?>
                        </div>
                    <?php }?>
                    <?php if ($this->session->userdata('error')) { ?>
                        <div class="alert alert-danger">
                            <?php echo $this->session->userdata('error');?>
                        </div>
                    <?php }?>
                    <div class="bor ad-cou-deta-h4">
                        <form name="frm" action="<?php echo base_url('products/edit/'.$this->uri->segment('3'));?>" method="post" enctype='multipart/form-data'>
                            <h4>Product Basic Details and Amount:</h4>
                            <hr/>

                            <div class="row">
                                <div class="input-field col s12">
                                    <select name="category_id" required="">
                                        <option value="">Select Product Category</option>
                                        <?php
                                            if(isset($cat_list) && is_array($cat_list)){
                                                foreach ($cat_list as $ckey => $cvalue) {
                                        ?>
                                        <option value="<?php echo (isset($cvalue['id']) && $cvalue['id']!='') ? $cvalue['id'] : '0';?>" <?php echo (isset($product_details[0]['category_id']) && $product_details[0]['category_id']==$cvalue['id']) ? 'selected' : '';?>><?php echo (isset($cvalue['category']) && $cvalue['category']!='') ? $cvalue['category'] : 'NA';?></option>
                                        <?php }}?>
                                    </select>
                                </div>
                            </div>
                            
                            <div class="row">
                                <div class="input-field col s12">
                                    <input type="text" name="product_code" value="<?php echo (isset($product_details[0]['product_code']) && $product_details[0]['product_code']!='') ? $product_details[0]['product_code'] : '';?>" class="validate" required>
                                    <label class="">Product Code</label>
                                </div>
                            </div>
                            <div class="row">
                                <div class="input-field col s12">
                                    <input type="text" name="product_name" value="<?php echo (isset($product_details[0]['product_name']) && $product_details[0]['product_name']!='') ? $product_details[0]['product_name'] : '';?>" class="validate" required>
                                    <label class="">Product Name</label>
                                </div>
                            </div>
                            <div class="row">
                                <div class="input-field col s12">
                                    <input type="text" name="sku_number" value="<?php echo (isset($product_details[0]['sku_number']) && $product_details[0]['sku_number']!='') ? $product_details[0]['sku_number'] : '';?>" class="validate" required>
                                    <label class="">SKU Number</label>
                                </div>
                            </div>
                            <div class="row">
                                <div class="input-field col s12">
                                    
                                    <?php $product_description = (isset($product_details[0]['product_description']) && $product_details[0]['product_description']!='') ? $product_details[0]['product_description'] : '';?>
                                    <?php echo $this->ckeditor->editor("product_description",$product_description);?>

                                    <!-- <label class="">Descriptions</label> -->
                                </div>
                            </div>
                            <!-- <div class="row">
                                <div class="input-field col s12">
                                    <input type="text" name="product_price" value="<?php //echo (isset($product_details[0]['product_price']) && $product_details[0]['product_price']!='') ? $product_details[0]['product_price'] : '';?>" class="validate" required>
                                    <label class="">Product Price</label>
                                </div>
                            </div>
                            <div class="row">
                                <div class="input-field col s12">
                                    <input type="text" name="discount_price" value="<?php //echo (isset($product_details[0]['discount_price']) && $product_details[0]['discount_price']!='') ? $product_details[0]['discount_price'] : '';?>" class="validate" >
                                    <label class="">Product Discount Price</label>
                                </div>
                            </div> -->
                            <div class="row">
                                <div class="input-field col s12">
                                    <select name="in_stock" required="">
                                        <option value="">Select Product Stock</option>
                                        <option value="INSTOCK" <?php echo (isset($product_details[0]['in_stock']) && $product_details[0]['in_stock']=='INSTOCK') ? 'selected' : '';?>>Yes</option>
                                        <option value="OUTOFSTOCK" <?php echo (isset($product_details[0]['in_stock']) && $product_details[0]['in_stock']=='OUTOFSTOCK') ? 'selected' : '';?>>No</option>
                                    </select>
                                </div>
                            </div>

                            <div class="row">
                                <div class="input-field col s12">
                                    <select name="top_product" required="">
                                        <option value="">Select Top Product</option>
                                        <option value="NO" <?php echo (isset($product_details[0]['top_product']) && $product_details[0]['top_product']=='NO') ? 'selected' : '';?>>No</option>
                                        <option value="YES" <?php echo (isset($product_details[0]['top_product']) && $product_details[0]['top_product']=='YES') ? 'selected' : '';?>>Yes</option>
                                    </select>
                                </div>
                            </div>                            
                            <hr/>

                            <!-- <h4>Project Image: <span style="text-align: right; float: right;"><a href="javascript:void(0);" class="label label-success" onclick="addprojectimage();"><i class="fa fa-plus" aria-hidden="true"></i> Add</a></span></h4>
                            <hr/>
                            <?php
                                if(isset($product_img_details) && count($product_img_details)>0){
                                    $i=1;
                                    foreach ($product_img_details as $pkey => $pvalue) {
                                        
                            ?>
                            <div class="row">
                                <div class="file-field input-field col s5">
                                    <div class="btn admin-upload-btn">
                                        <span>Image</span>
                                        <input type="file" name="image[]">
                                    </div>
                                    <div class="file-path-wrapper">
                                        <input class="file-path validate" type="text" placeholder="Project Image">
                                    </div>
                                </div>
                                <?php if($i!=1){?>
                                    <div class="input-field col s1"><a href="javascript:void(0);" class="label label-danger" onclick="deleteprojectimage(this)"><i class="fa fa-trash" aria-hidden="true"></i> Remove</a></div>
                                <?php }?>
                            </div>
                            <?php $i++;}}else{?>
                            <div class="row">
                                <div class="file-field input-field col s5">
                                    <div class="btn admin-upload-btn">
                                        <span>Image</span>
                                        <input type="file" name="image[]">
                                    </div>
                                    <div class="file-path-wrapper">
                                        <input class="file-path validate" type="text" placeholder="Project Image">
                                    </div>
                                </div>
                                
                            </div>
                            <?php }?>
                            <div id="projectimagediv"></div> -->

                            <div class="row">
                                <div class="input-field col s12">
                                    <i class="waves-effect waves-light btn-large waves-input-wrapper" style=""><input type="submit" class="waves-button-input"></i>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<?php include_once('footer.php');?>
<script type="text/javascript">

    function addprojectimage(){
        var html = '<div class="row"><div class="file-field input-field col s5"><div class="btn admin-upload-btn"><span>Attaching File</span><input type="file" name="image[]"></div><div class="file-path-wrapper"><input class="file-path validate" type="text" placeholder="Project Document"></div></div><div class="input-field col s1"><a href="javascript:void(0);" class="label label-danger" onclick="deleteprojectimage(this)"><i class="fa fa-trash" aria-hidden="true"></i> Remove</a></div></div>';

        $('#projectimagediv').append(html);

    }

    function deleteprojectimage(element) {
      // Get the parent container of the skill
      let skillContainer = element.parentNode.parentNode;
      
      // Remove the skill container from the DOM
      skillContainer.remove();
    }
</script>