<?php
defined('BASEPATH') OR exit('No direct script access allowed');

include_once('header.php');
?>

<!--== BODY INNER CONTAINER ==-->
<div class="sb2-2">
    <!--== breadcrumbs ==-->
    <div class="sb2-2-2">
        <ul>
            <li><a href="<?php echo base_url('dashboard');?>"><i class="fa fa-home" aria-hidden="true"></i> Home</a>
            </li>
            <li class="active-bre"><a href="#"> Transaction List</a>
            </li>
            <li class="page-back"><a href="<?php echo base_url('dashboard');?>"><i class="fa fa-backward" aria-hidden="true"></i> Back</a>
            </li>
        </ul>
    </div>

    <!--== User Details ==-->
    <div class="sb2-2-3">
        <div class="row">
            <div class="col-md-12">
                <div class="box-inn-sp">
                    <div class="inn-title">
						<h4>Transactions</h4>
                        <?php if ($this->session->userdata('success')) { ?>
                            <div class="alert alert-success">
                                <?php echo $this->session->userdata('success');?>
                            </div>
                        <?php }?>
                        <?php if ($this->session->userdata('error')) { ?>
                            <div class="alert alert-danger">
                                <?php echo $this->session->userdata('error');?>
                            </div>
                        <?php }?>
                    </div>
                    <div class="tab-inn">
                        <div class="table-responsive table-desi dataTables_wrapper" dir="ltr">
                            <table class="table table-hover">
                                <thead>
                                    <tr>
                                        <th>#</th>
                                        <th>User</th>
										<th>Amount (INR)</th>
										<th>Transaction on</th>
                                        <th>Payment Id</th>
										<th>Payment Method</th>
                                        <th>Payment Status</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php
                                        if(isset($transaction_list) && count($transaction_list)>0){
                                            $sl = 1;
                                            foreach($transaction_list as $tkey=>$tval){
                                                
                                                ///Users
                                                $sql_user = "SELECT * FROM users
                                                        WHERE id = '".$tval['user_id']."'
                                                        ORDER BY id DESC";
                                                $userArr = $this->db->query($sql_user)->result_array();
                                    ?>
                                    <tr>
                                        <td><?php echo $sl;?></td>
                                        <td><?php echo (isset($userArr[0]['fullname'])) ? $userArr[0]['fullname'] : '';?> <?php echo (isset($userArr[0]['email'])) ? $userArr[0]['email'] : '';?></td>
                                        <td><?php echo $tval['amount'];?></td>
                                        <td><?php echo date('Y-m-d H:i:s',strtotime($tval['created_at']));?></td>
                                        <td><?php echo $tval['payment_id'];?></td>
                                        <td><?php echo $tval['payment_status'];?></td>
                                        <td><?php echo $tval['pay_status'];?></td>

                                        
                                    </tr>
                                    <?php $sl++;}}?>
                                    
                                    
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<script type="text/javascript">
    function confirmDeleteRecord() {
        var r = confirm("Press a button!\neither OK for delete.");
        if (r == true) {
            return true;
        } else {
            return false;
        }
    }
</script>
<?php include_once('footer.php');?>